#!/bin/sh

#  Network-Integrated Multimedia Middleware (NMM)
#  http://www.motama.com/nmm.html
#   
#  Copyright (C) 2006-2007
#  Motama GmbH, Saarbruecken, Germany
#  http://www.motama.com
#  
#  See file LICENCE for terms and conditions of usage
# 
#


# this function tries to run a specified program and prints out a
# message, if it fails (e.g. the program does not exists in the path)
run_autotool() {
    program=$1
    cmd="$@"
    echo "$cmd"
    $cmd || (echo "Cannot run autotool \"$program\". Please install and try again!"; exit 1)
}

# the order of the autotools-chain is important!
run_autotool aclocal
run_autotool autoheader
# the "--automake" switch informs libtoolize, that it runs on a
# project which uses automake
if  libtoolize ; then
run_autotool libtoolize --automake
    else
echo "Try run glibtoolize instead."    
run_autotool glibtoolize --automake
fi

# the "--add-missing" switch informs automake to symlink missing files
# (e.g. the GPL file or the "missing" tool)
# if you don't care about disk space, you can additionally specify the
# "--copy" switch which copies the files instead of symlinking them!
run_autotool automake --add-missing
run_autotool autoconf
