/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "IConnectionManagerImpl.hpp"
#include "nmm/comm/serialize/SerializeResult.hpp"
#include "nmm/comm/messaging/TEDObject.hpp"

#include "nmm/nmm_prefix.hpp"

/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * See file LICENCE for terms and conditions of usage
 *
 */

#include "TSAddress.hpp"

#include "nmm/comm/format/Format.hpp"
#include "nmm/comm/messaging/CEvent.hpp"

#include "nmm/comm/serialize/StdValue.hpp"

namespace NMM
{
  
  void IConnectionManagerImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IConnectionManager::handleConnect_event, new NMM::TEDObject2<IConnectionManagerImpl, TSAddress*, TSAddress*, void(IConnectionManagerImpl:: * )(const TSAddress*, TSAddress*&) const, void >(this, &IConnectionManagerImpl::handleConnect));
  
    getEventDispatcher().registerEvent(IConnectionManager::sendReliableEvent_event, new NMM::TEDObject2<IConnectionManagerImpl, NMMReference, Event, Result(IConnectionManagerImpl:: * )(const NMMReference&, Event&) const, Result >(this, &IConnectionManagerImpl::sendReliableEvent));
  
    getEventDispatcher().registerEvent(IConnectionManager::sendReliableConfigEvent_event, new NMM::TEDObject2<IConnectionManagerImpl, NMMReference, Event, Result(IConnectionManagerImpl:: * )(const NMMReference&, Event&) const, Result >(this, &IConnectionManagerImpl::sendReliableConfigEvent));
  
    getEventDispatcher().registerEvent(IConnectionManager::sendReliableInstreamMessage_event, new NMM::TEDObject2<IConnectionManagerImpl, NMMReference, CEvent, Result(IConnectionManagerImpl:: * )(const NMMReference&, CEvent&) const, Result >(this, &IConnectionManagerImpl::sendReliableInstreamMessage));
  
    getEventDispatcher().registerEvent(IConnectionManager::getSupportedStrategies_event, new NMM::TEDObject1<IConnectionManagerImpl, Format, list<TSDescription > (IConnectionManagerImpl:: * )(const Format&) const, list<TSDescription >  >(this, &IConnectionManagerImpl::getSupportedStrategies));

  }

}


#include "nmm/nmm_suffix.hpp"

