/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "IInstreamCompositeStrategyImpl.hpp"
#include "nmm/comm/serialize/SerializeResult.hpp"
#include "nmm/comm/messaging/TEDObject.hpp"

#include "nmm/nmm_prefix.hpp"


namespace NMM
{
  
  void IInstreamCompositeStrategyImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IInstreamCompositeStrategy::getOneWayBufferReceiverStrategy_event, new NMM::TEDObject0<IInstreamCompositeStrategyImpl, ITransportStrategy*(IInstreamCompositeStrategyImpl:: * )() const, ITransportStrategy* >(this, &IInstreamCompositeStrategyImpl::getOneWayBufferReceiverStrategy));
  
    getEventDispatcher().registerEvent(IInstreamCompositeStrategy::getOneWayCEventReceiverStrategy_event, new NMM::TEDObject0<IInstreamCompositeStrategyImpl, ITransportStrategy*(IInstreamCompositeStrategyImpl:: * )() const, ITransportStrategy* >(this, &IInstreamCompositeStrategyImpl::getOneWayCEventReceiverStrategy));
  
    getEventDispatcher().registerEvent(IInstreamCompositeStrategy::getOneWayBufferSenderStrategy_event, new NMM::TEDObject0<IInstreamCompositeStrategyImpl, ITransportStrategy*(IInstreamCompositeStrategyImpl:: * )() const, ITransportStrategy* >(this, &IInstreamCompositeStrategyImpl::getOneWayBufferSenderStrategy));
  
    getEventDispatcher().registerEvent(IInstreamCompositeStrategy::getOneWayCEventSenderStrategy_event, new NMM::TEDObject0<IInstreamCompositeStrategyImpl, ITransportStrategy*(IInstreamCompositeStrategyImpl:: * )() const, ITransportStrategy* >(this, &IInstreamCompositeStrategyImpl::getOneWayCEventSenderStrategy));
  
    getEventDispatcher().registerEvent(IInstreamCompositeStrategy::notifyEventReceived_event, new NMM::TEDObject1<IInstreamCompositeStrategyImpl, nmm_int32, void(IInstreamCompositeStrategyImpl:: * )(const nmm_int32&), void >(this, &IInstreamCompositeStrategyImpl::notifyEventReceived));
  
    getEventDispatcher().registerEvent(IInstreamCompositeStrategy::setInstreamMuxStrategy_event, new NMM::TEDObject1<IInstreamCompositeStrategyImpl, IInstreamCompositeStrategy::MuxDemuxStrategy, void(IInstreamCompositeStrategyImpl:: * )(const IInstreamCompositeStrategy::MuxDemuxStrategy&), void >(this, &IInstreamCompositeStrategyImpl::setInstreamMuxStrategy));
  
    getEventDispatcher().registerEvent(IInstreamCompositeStrategy::setInstreamDemuxStrategy_event, new NMM::TEDObject1<IInstreamCompositeStrategyImpl, IInstreamCompositeStrategy::MuxDemuxStrategy, void(IInstreamCompositeStrategyImpl:: * )(const IInstreamCompositeStrategy::MuxDemuxStrategy&), void >(this, &IInstreamCompositeStrategyImpl::setInstreamDemuxStrategy));
  
    getEventDispatcher().registerEvent(IInstreamCompositeStrategy::setBufferLossInterval_event, new NMM::TEDObject1<IInstreamCompositeStrategyImpl, nmm_uint32, void(IInstreamCompositeStrategyImpl:: * )(const nmm_uint32&), void >(this, &IInstreamCompositeStrategyImpl::setBufferLossInterval));

  }

}


#include "nmm/nmm_suffix.hpp"

