/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "IJackImpl.hpp"
#include "nmm/comm/serialize/SerializeResult.hpp"
#include "nmm/comm/messaging/TEDObject.hpp"

#include "nmm/nmm_prefix.hpp"

/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * See file LICENCE for terms and conditions of usage
 *
 */

#include "nmm/comm/TSAddress.hpp"

namespace NMM
{
  
  void IJackImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IJack::getJackTag_event, new NMM::TEDObject0<IJackImpl, string(IJackImpl:: * )() const, string >(this, &IJackImpl::getJackTag));
  
    getEventDispatcher().registerEvent(IJack::isConnected_event, new NMM::TEDObject0<IJackImpl, nmm_bool(IJackImpl:: * )() const, nmm_bool >(this, &IJackImpl::isConnected));
  
    getEventDispatcher().registerEvent(IJack::setTransportStrategy_event, new NMM::TEDObject1<IJackImpl, TSAddress*, void(IJackImpl:: * )(const TSAddress*), void >(this, &IJackImpl::setTransportStrategy));
  
    getEventDispatcher().registerEvent(IJack::disconnect_event, new NMM::TEDObject0<IJackImpl, void(IJackImpl:: * )(), void >(this, &IJackImpl::disconnect));

  }

}


#include "nmm/nmm_suffix.hpp"

