/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "INamedImpl.hpp"
#include "nmm/comm/serialize/SerializeResult.hpp"
#include "nmm/comm/messaging/TEDObject.hpp"

#include "nmm/nmm_prefix.hpp"


namespace NMM
{
  
  void INamedImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(INamed::setName_event, new NMM::TEDObject1<INamedImpl, string, void(INamedImpl:: * )(const string&), void >(this, &INamedImpl::setName));
  
    getEventDispatcher().registerEvent(INamed::getName_event, new NMM::TEDObject0<INamedImpl, string(INamedImpl:: * )() const, string >(this, &INamedImpl::getName));
  
    getEventDispatcher().registerEvent(INamed::setErrorStream_event, new NMM::TEDObject2<INamedImpl, string, nmm_int32, void(INamedImpl:: * )(const string&, const nmm_int32&), void >(this, &INamedImpl::setErrorStream));
  
    getEventDispatcher().registerEvent(INamed::setDebugStream_event, new NMM::TEDObject2<INamedImpl, string, nmm_int32, void(INamedImpl:: * )(const string&, const nmm_int32&), void >(this, &INamedImpl::setDebugStream));
  
    getEventDispatcher().registerEvent(INamed::setWarningStream_event, new NMM::TEDObject2<INamedImpl, string, nmm_int32, void(INamedImpl:: * )(const string&, const nmm_int32&), void >(this, &INamedImpl::setWarningStream));
  
    getEventDispatcher().registerEvent(INamed::setMessageStream_event, new NMM::TEDObject2<INamedImpl, string, nmm_int32, void(INamedImpl:: * )(const string&, const nmm_int32&), void >(this, &INamedImpl::setMessageStream));

  }

}


#include "nmm/nmm_suffix.hpp"

