/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "IObjectAcceptorImpl.hpp"
#include "nmm/comm/serialize/SerializeResult.hpp"
#include "nmm/comm/messaging/TEDObject.hpp"

#include "nmm/nmm_prefix.hpp"

/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * See file LICENCE for terms and conditions of usage
 *
 */

#include "nmm/comm/serialize/StdValue.hpp"

namespace NMM
{
  
  void IObjectAcceptorImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IObjectAcceptor::connectToObject_event, new NMM::TEDObject1<IObjectAcceptorImpl, NMMReference, void(IObjectAcceptorImpl:: * )(const NMMReference&), void >(this, &IObjectAcceptorImpl::connectToObject));
  
    getEventDispatcher().registerEvent(IObjectAcceptor::connectToService_event, new NMM::TEDObject1<IObjectAcceptorImpl, string, void(IObjectAcceptorImpl:: * )(const string&), void >(this, &IObjectAcceptorImpl::connectToService));
  
    getEventDispatcher().registerEvent(IObjectAcceptor::connectToJack_event, new NMM::TEDObject1<IObjectAcceptorImpl, NMMReference, void(IObjectAcceptorImpl:: * )(const NMMReference&), void >(this, &IObjectAcceptorImpl::connectToJack));
  
    getEventDispatcher().registerEvent(IObjectAcceptor::connectToOutOfBandCompositeStrategy_event, new NMM::TEDObject2<IObjectAcceptorImpl, NMMReference, nmm_uint32, void(IObjectAcceptorImpl:: * )(NMMReference&, const nmm_uint32&), void >(this, &IObjectAcceptorImpl::connectToOutOfBandCompositeStrategy));
  
    getEventDispatcher().registerEvent(IObjectAcceptor::connectToInstreamCompositeStrategy_event, new NMM::TEDObject2<IObjectAcceptorImpl, NMMReference, nmm_uint32, void(IObjectAcceptorImpl:: * )(NMMReference&, const nmm_uint32&), void >(this, &IObjectAcceptorImpl::connectToInstreamCompositeStrategy));
  
    getEventDispatcher().registerEvent(IObjectAcceptor::getServiceList_event, new NMM::TEDObject0<IObjectAcceptorImpl, list<string > (IObjectAcceptorImpl:: * )() const, list<string >  >(this, &IObjectAcceptorImpl::getServiceList));

  }

}


#include "nmm/nmm_suffix.hpp"

