/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "IOutputJackImpl.hpp"
#include "nmm/comm/serialize/SerializeResult.hpp"
#include "nmm/comm/messaging/TEDObject.hpp"

#include "nmm/nmm_prefix.hpp"

/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * See file LICENCE for terms and conditions of usage
 *
 */

#include "nmm/comm/IInputJack.hpp"
#include "nmm/comm/InstreamChannel.hpp"
#include "nmm/comm/IInstreamCompositeStrategy.hpp"

namespace NMM
{
  
  void IOutputJackImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IOutputJack::connectTo_event, new NMM::TEDObject1<IOutputJackImpl, IInputJack, InstreamChannel*(IOutputJackImpl:: * )(const IInputJack&), InstreamChannel* >(this, &IOutputJackImpl::connectTo));
  
    getEventDispatcher().registerEvent(IOutputJack::getDataPartner_event, new NMM::TEDObject0<IOutputJackImpl, IInputJack*(IOutputJackImpl:: * )(), IInputJack* >(this, &IOutputJackImpl::getDataPartner));
  
    getEventDispatcher().registerEvent(IOutputJack::getTransportStrategy_event, new NMM::TEDObject0<IOutputJackImpl, IInstreamCompositeStrategy*(IOutputJackImpl:: * )() const, IInstreamCompositeStrategy* >(this, &IOutputJackImpl::getTransportStrategy));

  }

}


#include "nmm/nmm_suffix.hpp"

