/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "IQueuedImpl.hpp"
#include "nmm/comm/serialize/SerializeResult.hpp"
#include "nmm/comm/messaging/TEDObject.hpp"

#include "nmm/nmm_prefix.hpp"


namespace NMM
{
  
  void IQueuedImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IQueued::getSize_event, new NMM::TEDObject1<IQueuedImpl, string, unsigned int(IQueuedImpl:: * )(const string&) const, unsigned int >(this, &IQueuedImpl::getSize));
  
    getEventDispatcher().registerEvent(IQueued::getMaxSize_event, new NMM::TEDObject1<IQueuedImpl, string, nmm_uint32(IQueuedImpl:: * )(const string&) const, nmm_uint32 >(this, &IQueuedImpl::getMaxSize));
  
    getEventDispatcher().registerEvent(IQueued::setMaxSize_event, new NMM::TEDObject2<IQueuedImpl, nmm_uint32, string, Result(IQueuedImpl:: * )(const nmm_uint32&, const string&), Result >(this, &IQueuedImpl::setMaxSize));
  
    getEventDispatcher().registerEvent(IQueued::getMode_event, new NMM::TEDObject1<IQueuedImpl, string, IQueued::Mode(IQueuedImpl:: * )(const string&) const, IQueued::Mode >(this, &IQueuedImpl::getMode));
  
    getEventDispatcher().registerEvent(IQueued::setMode_event, new NMM::TEDObject2<IQueuedImpl, IQueued::Mode, string, Result(IQueuedImpl:: * )(const IQueued::Mode&, const string&), Result >(this, &IQueuedImpl::setMode));

  }

}


#include "nmm/nmm_suffix.hpp"

