/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 * 
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *  
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#ifndef NMM_ADDRESS_ADDRESS_HPP
#define NMM_ADDRESS_ADDRESS_HPP NMM_LOCAL_ADDRESS_HPP

#include "nmm/nmm_prefix.hpp"

#include "TSAddress.hpp"

#include "visibility.hpp"

namespace NMM {
  
  /** This TSAddress is used for a local connection.
   */
  class DLLEXPORT LocalAddress : public TSAddress {
  public:
    /** @name Constructor & Destructor
     */
    //@{
    /** Default constructor.
     *
     * @param ref NMMReference to object represented
     */
    LocalAddress(const NMMReference& ref= 0);
    
    /** Virtual copy constructor.
     *
     * @return pointer to copy of this LocalAddress
     */
    virtual LocalAddress* copy() const { return new LocalAddress(*this); }
    //@}
  };
  
}

#include "nmm/nmm_suffix.hpp"

#endif
