/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *  
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *  
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */
#include "ObjectID.hpp"
#include "nmm/comm/serialize/OValueStream.hpp"
#include "nmm/comm/serialize/IValueStream.hpp"
#include "nmm/comm/serialize/StdValue.hpp"
#include "nmm/comm/serialize/TValueConstructor.hpp"

#include "nmm/nmm_prefix.hpp"

namespace NMM {

OValueStream& operator<<(OValueStream& ov, const std::list<ObjectID>& string_list)
{
  return writeList<ObjectID>(ov, string_list, "ObjectID");
}

IValueStream& operator>>(IValueStream& ov, std::list<ObjectID>& string_list){
  return readList<ObjectID>(ov, string_list, "ObjectID");
}

TValueConstructor<list<ObjectID> >       list_ObjectID_value("list_ObjectID", "std");

}

#include "nmm/nmm_suffix.hpp"
