/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *  
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *  
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "TransportStrategy.hpp"

#include "nmm/nmm_prefix.hpp"

namespace NMM {
  
  TransportStrategy::TransportStrategy(const std::string& /*name*/)
    // XXX: fw: TransportStrategy is not a NamedObject
//     : NamedObject(name),
//       __com_channel(0)
    : __com_channel(0)
  {}
  
  TransportStrategy::~TransportStrategy() {}
  
  Event* TransportStrategy::getEventPrototype(const std::string&) const {
    return 0;
  }
  
  ITransportStrategy* TransportStrategy::getThisStrategy() const {
    return const_cast<TransportStrategy*>(this)->getInterface<ITransportStrategy>();
  }
  
  ITransportStrategy* TransportStrategy::getPartnerStrategy() const {
    TOutValue<ITransportStrategy*> return_value(0);
    Event event(ITransportStrategy::getThisStrategy_event);
    event.setReturnValue(&return_value);
    if(sendReliableConfigEvent(event) != SUCCESS) {
      if(event.getException()) {
        throw *event.getException();
      }
    }
    
    return return_value.getValue();
  }
  
}

#include "nmm/nmm_suffix.hpp"
