/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "IIPControlImpl.hpp"
#include "nmm/comm/serialize/SerializeResult.hpp"
#include "nmm/comm/messaging/TEDObject.hpp"

#include "nmm/nmm_prefix.hpp"


namespace NMM
{
  
  void IIPControlImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IIPControl::setRecvBufferSize_event, new NMM::TEDObject1<IIPControlImpl, nmm_int32, void(IIPControlImpl:: * )(const nmm_int32&), void >(this, &IIPControlImpl::setRecvBufferSize));
  
    getEventDispatcher().registerEvent(IIPControl::getRecvBufferSize_event, new NMM::TEDObject0<IIPControlImpl, nmm_int32(IIPControlImpl:: * )() const, nmm_int32 >(this, &IIPControlImpl::getRecvBufferSize));
  
    getEventDispatcher().registerEvent(IIPControl::setSendBufferSize_event, new NMM::TEDObject1<IIPControlImpl, nmm_int32, void(IIPControlImpl:: * )(const nmm_int32&), void >(this, &IIPControlImpl::setSendBufferSize));
  
    getEventDispatcher().registerEvent(IIPControl::getSendBufferSize_event, new NMM::TEDObject0<IIPControlImpl, nmm_int32(IIPControlImpl:: * )() const, nmm_int32 >(this, &IIPControlImpl::getSendBufferSize));
  
    getEventDispatcher().registerEvent(IIPControl::setPriority_event, new NMM::TEDObject1<IIPControlImpl, nmm_int32, void(IIPControlImpl:: * )(const nmm_int32&), void >(this, &IIPControlImpl::setPriority));
  
    getEventDispatcher().registerEvent(IIPControl::getPriority_event, new NMM::TEDObject0<IIPControlImpl, nmm_int32(IIPControlImpl:: * )() const, nmm_int32 >(this, &IIPControlImpl::getPriority));
  
    getEventDispatcher().registerEvent(IIPControl::setInstreamBufferPriority_event, new NMM::TEDObject1<IIPControlImpl, Sock::QOS_TAG, void(IIPControlImpl:: * )(const Sock::QOS_TAG&), void >(this, &IIPControlImpl::setInstreamBufferPriority));
  
    getEventDispatcher().registerEvent(IIPControl::setInstreamEventPriority_event, new NMM::TEDObject1<IIPControlImpl, Sock::QOS_TAG, void(IIPControlImpl:: * )(const Sock::QOS_TAG&), void >(this, &IIPControlImpl::setInstreamEventPriority));
  
    getEventDispatcher().registerEvent(IIPControl::setOutOfBandEventPriority_event, new NMM::TEDObject1<IIPControlImpl, Sock::QOS_TAG, void(IIPControlImpl:: * )(const Sock::QOS_TAG&), void >(this, &IIPControlImpl::setOutOfBandEventPriority));
  
    getEventDispatcher().registerEvent(IIPControl::getInstreamBufferPriority_event, new NMM::TEDObject0<IIPControlImpl, Sock::QOS_TAG(IIPControlImpl:: * )(), Sock::QOS_TAG >(this, &IIPControlImpl::getInstreamBufferPriority));
  
    getEventDispatcher().registerEvent(IIPControl::getInstreamEventPriority_event, new NMM::TEDObject0<IIPControlImpl, Sock::QOS_TAG(IIPControlImpl:: * )(), Sock::QOS_TAG >(this, &IIPControlImpl::getInstreamEventPriority));
  
    getEventDispatcher().registerEvent(IIPControl::getOutOfBandEventPriority_event, new NMM::TEDObject0<IIPControlImpl, Sock::QOS_TAG(IIPControlImpl:: * )(), Sock::QOS_TAG >(this, &IIPControlImpl::getOutOfBandEventPriority));

  }

}


#include "nmm/nmm_suffix.hpp"

