/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *  
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *  
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "IPGeneric.hpp"

#include "nmm/utils/net/Sock.hpp"

#include "nmm/nmm_prefix.hpp"

namespace NMM {
  IPGeneric::IPGeneric() : __out_of_band_event(__global_out_of_band_event), __instream_event(__global_instream_event), __instream_buffer(__global_instream_buffer)  {}
  
  void IPGeneric::setRecvBufferSize(const nmm_int32& value) {
    getSocket().setRecvBufferSize(value);
  }

  nmm_int32 IPGeneric::getRecvBufferSize() const {
    return getSocket().getRecvBufferSize();
  }

  void IPGeneric::setSendBufferSize(const nmm_int32& value) {
    getSocket().setSendBufferSize(value);
  }

  nmm_int32 IPGeneric::getSendBufferSize() const {
    return getSocket().getSendBufferSize();
  }

  void IPGeneric::setPriority(const nmm_int32& value) {
    getSocket().setPriority(value);
  }
  
  nmm_int32 IPGeneric::getPriority() const {
    return getSocket().getPriority();
  }
  
  Sock::QOS_TAG IPGeneric::__global_out_of_band_event = Sock::DEFAULT;
  Sock::QOS_TAG IPGeneric::__global_instream_event = Sock::DEFAULT;
  Sock::QOS_TAG IPGeneric::__global_instream_buffer = Sock::DEFAULT;
  
}

#include "nmm/nmm_suffix.hpp"
