/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "IRTPControlImpl.hpp"
#include "nmm/comm/serialize/SerializeResult.hpp"
#include "nmm/comm/messaging/TEDObject.hpp"

#include "nmm/nmm_prefix.hpp"


namespace NMM
{
  
  void IRTPControlImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IRTPControl::setCNAME_event, new NMM::TEDObject1<IRTPControlImpl, string, void(IRTPControlImpl:: * )(const string&), void >(this, &IRTPControlImpl::setCNAME));
  
    getEventDispatcher().registerEvent(IRTPControl::getCNAME_event, new NMM::TEDObject0<IRTPControlImpl, string(IRTPControlImpl:: * )() const, string >(this, &IRTPControlImpl::getCNAME));
  
    getEventDispatcher().registerEvent(IRTPControl::setTTL_event, new NMM::TEDObject1<IRTPControlImpl, nmm_uint32, void(IRTPControlImpl:: * )(const nmm_uint32&), void >(this, &IRTPControlImpl::setTTL));
  
    getEventDispatcher().registerEvent(IRTPControl::getTTL_event, new NMM::TEDObject0<IRTPControlImpl, nmm_uint32(IRTPControlImpl:: * )() const, nmm_uint32 >(this, &IRTPControlImpl::getTTL));
  
    getEventDispatcher().registerEvent(IRTPControl::setBufferSize_event, new NMM::TEDObject1<IRTPControlImpl, nmm_uint32, void(IRTPControlImpl:: * )(const nmm_uint32&), void >(this, &IRTPControlImpl::setBufferSize));
  
    getEventDispatcher().registerEvent(IRTPControl::getBufferSize_event, new NMM::TEDObject0<IRTPControlImpl, nmm_uint32(IRTPControlImpl:: * )() const, nmm_uint32 >(this, &IRTPControlImpl::getBufferSize));
  
    getEventDispatcher().registerEvent(IRTPControl::setMaxFrameSize_event, new NMM::TEDObject1<IRTPControlImpl, nmm_uint32, void(IRTPControlImpl:: * )(const nmm_uint32&), void >(this, &IRTPControlImpl::setMaxFrameSize));
  
    getEventDispatcher().registerEvent(IRTPControl::getMaxFrameSize_event, new NMM::TEDObject0<IRTPControlImpl, nmm_uint32(IRTPControlImpl:: * )() const, nmm_uint32 >(this, &IRTPControlImpl::getMaxFrameSize));
  
    getEventDispatcher().registerEvent(IRTPControl::setSessionBandwidth_event, new NMM::TEDObject1<IRTPControlImpl, nmm_uint32, void(IRTPControlImpl:: * )(const nmm_uint32&), void >(this, &IRTPControlImpl::setSessionBandwidth));
  
    getEventDispatcher().registerEvent(IRTPControl::getSessionBandwidth_event, new NMM::TEDObject0<IRTPControlImpl, nmm_uint32(IRTPControlImpl:: * )() const, nmm_uint32 >(this, &IRTPControlImpl::getSessionBandwidth));
  
    getEventDispatcher().registerEvent(IRTPControl::sendRTCPReport_event, new NMM::TEDObject0<IRTPControlImpl, void(IRTPControlImpl:: * )(), void >(this, &IRTPControlImpl::sendRTCPReport));

  }

}


#include "nmm/nmm_suffix.hpp"

