/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "IRTPTransmissionStatsImpl.hpp"
#include "nmm/comm/serialize/SerializeResult.hpp"
#include "nmm/comm/messaging/TEDObject.hpp"

#include "nmm/nmm_prefix.hpp"


namespace NMM
{
  
  void IRTPTransmissionStatsImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IRTPTransmissionStats::getLastReceivedPacketNumber_event, new NMM::TEDObject0<IRTPTransmissionStatsImpl, nmm_uint32(IRTPTransmissionStatsImpl:: * )() const, nmm_uint32 >(this, &IRTPTransmissionStatsImpl::getLastReceivedPacketNumber));
  
    getEventDispatcher().registerEvent(IRTPTransmissionStats::getFirstReportetPacketNumber_event, new NMM::TEDObject0<IRTPTransmissionStatsImpl, nmm_uint32(IRTPTransmissionStatsImpl:: * )() const, nmm_uint32 >(this, &IRTPTransmissionStatsImpl::getFirstReportetPacketNumber));
  
    getEventDispatcher().registerEvent(IRTPTransmissionStats::getTotalNumberOfPackets_event, new NMM::TEDObject0<IRTPTransmissionStatsImpl, nmm_uint64(IRTPTransmissionStatsImpl:: * )() const, nmm_uint64 >(this, &IRTPTransmissionStatsImpl::getTotalNumberOfPackets));
  
    getEventDispatcher().registerEvent(IRTPTransmissionStats::getTotalNumberOfBytes_event, new NMM::TEDObject0<IRTPTransmissionStatsImpl, nmm_uint64(IRTPTransmissionStatsImpl:: * )() const, nmm_uint64 >(this, &IRTPTransmissionStatsImpl::getTotalNumberOfBytes));
  
    getEventDispatcher().registerEvent(IRTPTransmissionStats::getNumberOfLostPackets_event, new NMM::TEDObject0<IRTPTransmissionStatsImpl, nmm_uint32(IRTPTransmissionStatsImpl:: * )() const, nmm_uint32 >(this, &IRTPTransmissionStatsImpl::getNumberOfLostPackets));
  
    getEventDispatcher().registerEvent(IRTPTransmissionStats::getJitter_event, new NMM::TEDObject0<IRTPTransmissionStatsImpl, Interval(IRTPTransmissionStatsImpl:: * )() const, Interval >(this, &IRTPTransmissionStatsImpl::getJitter));
  
    getEventDispatcher().registerEvent(IRTPTransmissionStats::getPacketLossRatio_event, new NMM::TEDObject0<IRTPTransmissionStatsImpl, nmm_float(IRTPTransmissionStatsImpl:: * )() const, nmm_float >(this, &IRTPTransmissionStatsImpl::getPacketLossRatio));
  
    getEventDispatcher().registerEvent(IRTPTransmissionStats::getRoundTripDelay_event, new NMM::TEDObject0<IRTPTransmissionStatsImpl, Interval(IRTPTransmissionStatsImpl:: * )() const, Interval >(this, &IRTPTransmissionStatsImpl::getRoundTripDelay));
  
    getEventDispatcher().registerEvent(IRTPTransmissionStats::getPacketsLostBetweenRR_event, new NMM::TEDObject0<IRTPTransmissionStatsImpl, nmm_int32(IRTPTransmissionStatsImpl:: * )() const, nmm_int32 >(this, &IRTPTransmissionStatsImpl::getPacketsLostBetweenRR));

  }

}


#include "nmm/nmm_suffix.hpp"

