/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "ITCPControlImpl.hpp"
#include "nmm/comm/serialize/SerializeResult.hpp"
#include "nmm/comm/messaging/TEDObject.hpp"

#include "nmm/nmm_prefix.hpp"


namespace NMM
{
  
  void ITCPControlImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(ITCPControl::enableNoDelay_event, new NMM::TEDObject1<ITCPControlImpl, nmm_bool, void(ITCPControlImpl:: * )(const nmm_bool&), void >(this, &ITCPControlImpl::enableNoDelay));
  
    getEventDispatcher().registerEvent(ITCPControl::isDelayEnabled_event, new NMM::TEDObject0<ITCPControlImpl, nmm_bool(ITCPControlImpl:: * )() const, nmm_bool >(this, &ITCPControlImpl::isDelayEnabled));
  
    getEventDispatcher().registerEvent(ITCPControl::setMaxSegment_event, new NMM::TEDObject1<ITCPControlImpl, nmm_int32, void(ITCPControlImpl:: * )(const nmm_int32&), void >(this, &ITCPControlImpl::setMaxSegment));
  
    getEventDispatcher().registerEvent(ITCPControl::getMaxSegment_event, new NMM::TEDObject0<ITCPControlImpl, nmm_int32(ITCPControlImpl:: * )() const, nmm_int32 >(this, &ITCPControlImpl::getMaxSegment));
  
    getEventDispatcher().registerEvent(ITCPControl::enablePartialFrames_event, new NMM::TEDObject1<ITCPControlImpl, nmm_bool, void(ITCPControlImpl:: * )(const nmm_bool&), void >(this, &ITCPControlImpl::enablePartialFrames));
  
    getEventDispatcher().registerEvent(ITCPControl::isPartialFramesEnabled_event, new NMM::TEDObject0<ITCPControlImpl, nmm_bool(ITCPControlImpl:: * )(), nmm_bool >(this, &ITCPControlImpl::isPartialFramesEnabled));
  
    getEventDispatcher().registerEvent(ITCPControl::getUnreadQueueCount_event, new NMM::TEDObject0<ITCPControlImpl, nmm_int32(ITCPControlImpl:: * )() const, nmm_int32 >(this, &ITCPControlImpl::getUnreadQueueCount));
  
    getEventDispatcher().registerEvent(ITCPControl::allUrgentDataSend_event, new NMM::TEDObject0<ITCPControlImpl, nmm_bool(ITCPControlImpl:: * )() const, nmm_bool >(this, &ITCPControlImpl::allUrgentDataSend));
  
    getEventDispatcher().registerEvent(ITCPControl::getUnsendQueueCount_event, new NMM::TEDObject0<ITCPControlImpl, nmm_int32(ITCPControlImpl:: * )() const, nmm_int32 >(this, &ITCPControlImpl::getUnsendQueueCount));
  
    getEventDispatcher().registerEvent(ITCPControl::enableKeepAlive_event, new NMM::TEDObject1<ITCPControlImpl, nmm_bool, void(ITCPControlImpl:: * )(const nmm_bool&), void >(this, &ITCPControlImpl::enableKeepAlive));
  
    getEventDispatcher().registerEvent(ITCPControl::getKeepAlive_event, new NMM::TEDObject0<ITCPControlImpl, bool(ITCPControlImpl:: * )() const, bool >(this, &ITCPControlImpl::getKeepAlive));

  }

}


#include "nmm/nmm_suffix.hpp"

