/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "IUDPControlImpl.hpp"
#include "nmm/comm/serialize/SerializeResult.hpp"
#include "nmm/comm/messaging/TEDObject.hpp"

#include "nmm/nmm_prefix.hpp"


namespace NMM
{
  
  void IUDPControlImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IUDPControl::resetStatistics_event, new NMM::TEDObject0<IUDPControlImpl, void(IUDPControlImpl:: * )(), void >(this, &IUDPControlImpl::resetStatistics));
  
    getEventDispatcher().registerEvent(IUDPControl::getTotalSentBytes_event, new NMM::TEDObject0<IUDPControlImpl, nmm_uint32(IUDPControlImpl:: * )() const, nmm_uint32 >(this, &IUDPControlImpl::getTotalSentBytes));
  
    getEventDispatcher().registerEvent(IUDPControl::getTotalReceivedBytes_event, new NMM::TEDObject0<IUDPControlImpl, nmm_uint32(IUDPControlImpl:: * )() const, nmm_uint32 >(this, &IUDPControlImpl::getTotalReceivedBytes));
  
    getEventDispatcher().registerEvent(IUDPControl::getTotalSentPackets_event, new NMM::TEDObject0<IUDPControlImpl, nmm_uint32(IUDPControlImpl:: * )() const, nmm_uint32 >(this, &IUDPControlImpl::getTotalSentPackets));
  
    getEventDispatcher().registerEvent(IUDPControl::getTotalReceivedPackets_event, new NMM::TEDObject0<IUDPControlImpl, nmm_uint32(IUDPControlImpl:: * )() const, nmm_uint32 >(this, &IUDPControlImpl::getTotalReceivedPackets));
  
    getEventDispatcher().registerEvent(IUDPControl::getTotalDiscardedPackets_event, new NMM::TEDObject0<IUDPControlImpl, nmm_uint32(IUDPControlImpl:: * )() const, nmm_uint32 >(this, &IUDPControlImpl::getTotalDiscardedPackets));
  
    getEventDispatcher().registerEvent(IUDPControl::getTotalLostPackets_event, new NMM::TEDObject0<IUDPControlImpl, nmm_uint32(IUDPControlImpl:: * )() const, nmm_uint32 >(this, &IUDPControlImpl::getTotalLostPackets));

  }

}


#include "nmm/nmm_suffix.hpp"

