/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *  
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *  
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */


#ifndef NMM_RTP_PAYLOADTYPE_FORMAT_MATCHING_HPP
#define NMM_RTP_PAYLOADTYPE_FORMAT_MATCHING_HPP

#include "nmm/comm/format/Format.hpp"

namespace NMM {
  
  class RTPPayloadtypeFormatMatching{
    
    public:
    
    static Format* getFormatFromPayloadType(int payload_type);
    
    static int getPayloadTypeFromFormat(Format* format);
    
    static const char* getMimeSubtypeFromPayloadType(int payload_type);
    
    enum PayloadType {
    PCMU       = 0,
    GSM        = 3,
    PCMA       = 8,
    L16_STEREO = 10,
    L16_MONO   = 11,
    MPEG_AUDIO = 14,
    MJPEG      = 26,
    MPEG_VIDEO = 32,
    H263       = 34
    };
  
  };
} // namespace NMM

#endif // NMM_RTP_PAYLOADTYPE_FORMAT_MATCHING_HPP
