/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 * 
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *  
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#ifndef NMM_SERIALIZE_INET_ADDR_HPP
#define NMM_SERIALIZE_INET_ADDR_HPP NMM_SERIALIZE_INET_ADDR_HPP

#include "nmm/nmm_prefix.hpp"

#include "visibility.hpp"

namespace NMM {
  
  class IValueStream;
  class OValueStream;
  
  class INetAddr;

  /** Input serialization operator for INetAddr.
   * This operator reads an INetAddr from an input value stream.
   *
   * @param s An input value stream
   * @param addr Reference for variable to be serialized
   * @return s
   */
  DLLEXPORT IValueStream& operator>>(IValueStream& s, INetAddr& addr);

  /** Output serialization operator for INetAddr.
   * This operator writes an INetAddr to an output value stream.
   *
   * @param s An output value stream
   * @param addr Reference for variable to be serialized
   * @return s
   */
  DLLEXPORT OValueStream& operator<<(OValueStream& s, const INetAddr& addr);
  
}

#include "nmm/nmm_suffix.hpp"

#endif
