/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *  
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *  
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#ifndef NMM_GENERIC_MAGIC_NUMBER_HPP
#define NMM_GENERIC_MAGIC_NUMBER_HPP NMM_GENERIC_MAGIC_NUMBER_HPP

#include "nmm/nmm_prefix.hpp"

namespace NMM {
  
  class TypeInfo;
  
  /** This class is used as base class for the MagicNumberIValueStream and MagicNumberOValueStream.
   * It defines the Magigc number for the C++ base types, like int, float, etc..
   */
  class GenericMagicNumber{
  public:
    enum MagicNumber{
      COMPLEX_END = 0, COMPLEX_BEGIN, 
      U_INT16, INT16, U_INT32, INT32, U_INT64, INT64, BOOL,
      DOUBLE, FLOAT, CHAR, UNSIGNED_CHAR, CHAR_PTR, UNSIGNED_CHAR_PTR,
      STRING, FINFLAG
    };

    static const TypeInfo* magic_number_map[];        ///< Map with TypeInfo for the magic number

    static const int magic_number[];                  ///< Map with the integer values for the magic number
  };
  
}

#include "nmm/nmm_suffix.hpp"

#endif
