/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *  
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *  
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#ifndef SERIALIZE_LOCAL_TIME_HPP
#define SERIALIZE_LOCAL_TIME_HPP SERIALIZE_LOCAL_TIME_HPP

#include "nmm/nmm_prefix.hpp"

#include "visibility.hpp"

namespace NMM {
  
  class LocalTime;
  
  class IValueStream;
  class OValueStream;

  /** This file contains methods to serialize/deserializie LocalTime.
   */
  
  /** Serialization operator for LocalTime.
   *
   * @param ov OValueStream to write to
   * @param local_time LocalTime to serialize
   * @return reference to OValueStream given by argument
   */
  DLLEXPORT OValueStream& operator<<(OValueStream& ov, const LocalTime& local_time);

  /** Deserialization operator for LocalTime.
   *
   * @param iv IValueStream to read from
   * @param local_time LocalTime to deserialize
   * @return reference to IValueStream given by argument
   */
  DLLEXPORT IValueStream& operator>>(IValueStream& iv, LocalTime& local_time);
  
}

#include "nmm/nmm_suffix.hpp"

#endif
