/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *  
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *  
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "SerializeUtilsNet.hpp"
#include "nmm/utils/net/Sock.hpp"
#include "TValueConstructor.hpp"
#include "InvalidTypeException.hpp"
#include "nmm/nmm_prefix.hpp"

namespace NMM {

  TValueConstructor< Sock::QOS_TAG > __Sock_QOS_TAG_prototype(TypeInfo("Sock::QOS_TAG", "NMM"));

  NMM::OValueStream& operator<<(NMM::OValueStream& ov, const Sock::QOS_TAG& t)
  {
    ov.beginType(TypeInfo("Sock::QOS_TAG", "NMM"));
    nmm_int32 temp = static_cast<nmm_int32>(t);
    ov << temp;
    ov.endType();
    return ov;
  }

  NMM::IValueStream& operator>>(NMM::IValueStream& iv, Sock::QOS_TAG& t)
  {
    if(iv.getCurrentTypeInfo() != TypeInfo("Sock::QOS_TAG", "NMM")) {
      throw NMM::InvalidTypeException(TypeInfo("Sock::QOS_TAG", "NMM"), iv.getCurrentTypeInfo());
    }
    iv.goDown();
    nmm_int32 temp;
    iv >> temp;
    t = static_cast<Sock::QOS_TAG>(temp);
    iv.goUp();
    return iv;
  }
  
}

#include "nmm/nmm_suffix.hpp"
