/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *  
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *  
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#ifndef NMM_SERIALIZE_UTILS_NET_HPP
#define NMM_SERIALIZE_UTILS_NET_HPP NMM_SERIALIZE_UTILS_NET_HPP

#include "nmm/nmm_prefix.hpp"

#include "IValueStream.hpp"
#include "OValueStream.hpp"

#include "nmm/utils/net/Sock.hpp"

#include "visibility.hpp"

namespace NMM {

  /** This file contains methods to serialize/deserializie QOS_TAG.
   */  
  
  /** Serialization operator for enum QOS_TAG.
   *
   * @param ov OValueStream to write to
   * @param t QOS_TAG to serialize
   * @return reference to OValueStream given by argument
   */
  DLLEXPORT OValueStream& operator<<(OValueStream& ov, const Sock::QOS_TAG& t);

  /** Deserialization operator for enum QOS_TAG.
   *
   * @param iv IValueStream to read from
   * @param t QOS_TAG to deserialize
   * @return reference to IValueStream given by argument
   */
  DLLEXPORT IValueStream& operator>>(IValueStream& iv, Sock::QOS_TAG& t);  
  
}

#include "nmm/nmm_suffix.hpp"

#endif
