/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *  
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *  
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#ifndef NMM_STD_TYPE_INFO_HPP
#define NMM_STD_TYPE_INFO_HPP NMM_STD_TYPE_INFO_HPP

#include "nmm/nmm_prefix.hpp"

#include "TypeInfo.hpp"

namespace NMM {

  // TypeInfo objects for C++ POD types
  static const TypeInfo nmm_char_type_info    ("nmm_char"  , "NMM");
  static const TypeInfo nmm_uchar_type_info   ("nmm_uchar" , "NMM");
  static const TypeInfo nmm_int16_type_info   ("nmm_int16" , "NMM");
  static const TypeInfo nmm_int32_type_info   ("nmm_int32" , "NMM");
  static const TypeInfo nmm_int64_type_info   ("nmm_int64" , "NMM");
  static const TypeInfo nmm_uint16_type_info  ("nmm_uint16", "NMM");
  static const TypeInfo nmm_uint32_type_info  ("nmm_uint32", "NMM");
  static const TypeInfo nmm_uint64_type_info  ("nmm_uint64", "NMM");
  static const TypeInfo nmm_float_type_info   ("nmm_float" , "NMM");
  static const TypeInfo nmm_double_type_info  ("nmm_double", "NMM");
  static const TypeInfo nmm_bool_type_info    ("nmm_bool"  , "NMM");

  // TypeInfo object for std::string
  static const TypeInfo string_type_info("string", "std");

  // TypeInfo object for char* and unsigned char*
  static const TypeInfo char_ptr_type_info("char_ptr");
  static const TypeInfo unsigned_char_ptr_type_info("unsigned_char_ptr");

}

#include "nmm/nmm_suffix.hpp"

#endif
