/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *  
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *  
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "TValue.hpp"

#include "nmm/nmm_prefix.hpp"

namespace NMM {
  
  void TValue<char*>::assignFromStream(IValueStream& s) {
    if(s.getCurrentType() != "NULL") {
      s.readBuffer(_value, _size);
      if (s.getCurrentType() == "MemoryMgm") {
        MemoryMgm mgm; s >> mgm; setMemoryStrategy(mgm);
      }
    } else s.nextElement();
  }
  
  void TValue<char*>::createFromStream(IValueStream& s) {
    if(s.getCurrentType() != "NULL") {
      s.readBuffer(_value, _size);
      if (s.getCurrentType() == "MemoryMgm") {
        MemoryMgm mgm; s >> mgm; setMemoryStrategy(mgm);
      }
    } else {
      s.nextElement();
      setValue(0, 0);
    }
  }
  
  void TValue<char*>::toStream(OValueStream& s) const {
    s.writeBuffer(_value, _size);
    if(__serialize_mgm_type) {
      s << getMemoryStrategy();
    }
  }
  
}

#include "nmm/nmm_suffix.hpp"
