/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *  
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *  
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */
#include "Value.hpp"
#include "OValueStream.hpp"
#include "IValueStream.hpp"

#include "nmm/nmm_prefix.hpp"

namespace NMM {

  OValueStream& operator<<(OValueStream&ov, const Value& value)  {
    value.toStream(ov);
    return ov;
  }

  IValueStream& operator>>(IValueStream&iv, Value& value)    {
    value.assignFromStream(iv);
    return iv;
  }
  
  OValueStream& operator<<(OValueStream& ov, const Value::MemoryMgm &mgm) {
    ov.beginType("MemoryMgm", "NMM");
    int tmp_mgm = mgm;
    ov << tmp_mgm;
    ov.endType();
    return ov;
  }

  IValueStream& operator>>(IValueStream& iv, Value::MemoryMgm& mgm ){
    iv.goDown();
    int i;
    iv >> i;
    mgm = static_cast<Value::MemoryMgm>(i);
    iv.goUp();
    return iv;
  }

}

#include "nmm/nmm_suffix.hpp"
