/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *  
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *  
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "ValueConstructor.hpp"
#include "ValueFactory.hpp"

#include "nmm/nmm_prefix.hpp"

namespace NMM {
  
  ValueConstructor::ValueConstructor(const TypeInfo& t_info)
    : __type_info(t_info), __register_value(false)
  {
    if (!SValueFactory::getInstance().isRegisterd(__type_info)) {
      SValueFactory::getInstance().registerValue(*this, __type_info);
      __register_value = true;
    }
  }

  ValueConstructor::ValueConstructor(const ValueConstructor& vc)
    : __type_info(vc.__type_info), __register_value(false)
  {

  }

  ValueConstructor::~ValueConstructor() {
    if (__register_value) 
      SValueFactory::getInstance().unregisterValue(__type_info);
  }
  
}

#include "nmm/nmm_suffix.hpp"
