/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *  
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *  
 * See file LICENCE for terms and conditions of usage
 *
 */

%{
#include <stdio.h>
#include <stdlib.h>
#include "os_specific.h"
#include "ihpp.h"
#include "ihppimpl.h"
#include "icpp.h"
#include "icppimpl.h"
unsigned int lineno;
%}
%x COMM
%%
[ \t]*"/*"        { BEGIN COMM; yylval=(YYSTYPE)strdup(yytext); return COMMENT; }
<COMM>"*/"[ \t]*\n { BEGIN 0; lineno++; yylval=(YYSTYPE)strdup(yytext); return COMMENT;  }
<COMM>"*/"         { BEGIN 0; yylval=(YYSTYPE)strdup(yytext);  return COMMENT; }
<COMM>[\n\t]       { lineno++; yylval=(YYSTYPE)strdup(yytext);  return COMMENT; }
<COMM>.            { yylval=(YYSTYPE)strdup(yytext);  return COMMENT; }
\/\/.*\n                yylval=(YYSTYPE)strdup(yytext); return COMMENT;
\*                      return POINTER;
\&                      return REFERENCE;
\#include[ ]*\"[\/a-zA-Z0-9\.]*\.idl\"  yylval=(YYSTYPE)strdup(yytext); return INCLUDE;
(-?0.0)|(-?[0-9]*\.[0-9]+)        yylval=(YYSTYPE)strdup(yytext); return FLOATNUMBER;
(-?0)|(-?[1-9]+[0-9]*)  yylval=(YYSTYPE)strdup(yytext); return NUMBER;
[0-9]+[a-zA-Z]+         yylval=(YYSTYPE)strdup(yytext); return NUMBERWORD;
\=                      return EQUALS;
enum                    return ENUM;
unsigned                return UNSIGNED;
signed                  return SIGNED;
module                  return MODULE;
interface               return INTERFACE;
required                return REQUIRED;
limited                 return LIMITED;
outofband               return OUTOFBAND;
instream                return INSTREAM;
in|out|inout            yylval=(YYSTYPE)strdup(yytext); return INOUT;  
const                   yylval=(YYSTYPE)strdup(yytext); return CONST;
raises                  yylval=(YYSTYPE)strdup(yytext); return THROW;
[a-zA-Z_][a-zA-Z_0-9::]*    yylval=(YYSTYPE)strdup(yytext); return WORD;
\"[^"\n]*["\n]            yylval=(YYSTYPE)strdup(yytext); return STRING;
\|                      return OR;
\<                      return OTEMPLATE;
\>                      return CTEMPLATE;
\{                      return OBRACE;
\}                      return EBRACE;
\(                      return OBRACKET;
\)                      return EBRACKET; 
,                       return COMMA;
;                       return SEMICOLON;
\:\:                      return TWOCOLON;
\:                       return COLON;
\n                      lineno++;
[ \t]+                  /* ignore whitespace */;
%%



















