/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *  
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *  
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */
#ifndef NMM_FILEURLOBJECT_HPP
#define NMM_FILEURLOBJECT_HPP NMM_FILEURLOBJECT_HPP

#include "nmm/nmm_prefix.hpp"

#include "GraphURLObject.hpp"

namespace NMM {

  class FileURLObject : public GraphURLObject {
  public:
    FileURLObject() : GraphURLObject("file") { };

    virtual ~FileURLObject() {};

    virtual Format* getFormatFromContent() const;

    virtual string getNodeNameFromExtension() const;
    virtual string getNodeNameFromContent() const;

    virtual list<string> getInterfaces() const;

    virtual void configureNodeDescription(NodeDescription &node);
  };

}
#include "nmm/nmm_suffix.hpp"

#endif //NMM_FILEURLOBJECT_HPP
