/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *  
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *  
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */
#include "HTTPURLObject.hpp"

#include "nmm/multimedia/NodeDescription.hpp"
#include "nmm/plugins/net/url/IURL.hpp"

#include "nmm/nmm_prefix.hpp"

namespace NMM {

  // ****************** HTTPURLObject ******************************

  string HTTPURLObject::getNodeNameFromProtocol() const
  {
    return "URLNode";
  }

  list<string> HTTPURLObject::getInterfaces() const
  {
    list<string> l;
    l.push_back(IURL::IURL_type);
    return l;
  }

  bool HTTPURLObject::hasNMMRegistryLocationAndPort() 
  { 
    // since host and location of HTTP URL are not meant to be used for the NMM registry service -> return false
    return false; 
  }

  void HTTPURLObject::configureNodeDescription(NodeDescription &node)
  {
    node.addNodeEvent(Event(IURL::setURL_event, new TInValue<string>(__url->getURL())), INode::CONSTRUCTED);
  }

}

#include "nmm/nmm_suffix.hpp"
