/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *  
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *  
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#ifndef _NMM_IRCONTROL_HPP_
#define _NMM_IRCONTROL_HPP_ _NMM_IRCONTROL_HPP_

#include "nmm/nmm_prefix.hpp"

#include <string>
#include <lirc/lirc_client.h>

using namespace std;


class IRControl {
private:
  bool initialized;
  string prog_name;
  int lirc_fd;
  string config_file;
  struct lirc_config* lirc_config;


public:
  enum IRKey {
    NOKEY,
    KEY1,KEY2,KEY3,KEY4,KEY5,KEY6,KEY7,KEY8,KEY9,KEY0,
    START,STOP,PAUSE,
    NEXT,PREVIOUS,FORWARD,REWIND,
    POWER};

  IRControl(string name = "nmmirc");
  ~IRControl();

  bool init(string config = "");

  IRKey getKey(int msec = 1000);
};

#include "nmm/nmm_suffix.hpp"

#endif //_NMM_IRCONTROL_HPP_
