/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *  
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *  
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#ifndef NMM_FILE_NOT_FOUND_EXCEPTION_HPP
#define NMM_FILE_NOT_FOUND_EXCEPTION_HPP NMM_FILE_NOT_FOUND_EXCEPTION_HPP

#include "nmm/nmm_prefix.hpp"

//#include "nmm/comm/serialize/StateTransitionFailedException.hpp"
#include "nmm/multimedia/StateTransitionFailedException.hpp"

#include "visibility.hpp"

namespace NMM {
  
  class DLLEXPORT FileNotFoundException : public StateTransitionFailedException {
  public:
    FileNotFoundException(const string& File = "")
      : StateTransitionFailedException("FileNotFoundException : " + File) { setTypeName("FileNotFoundException"); }
    
    FileNotFoundException(const NamedObject* n, const string& File)
      : StateTransitionFailedException(n, "FileNotFoundException : " + File) { setTypeName("FileNotFoundException");};
    
    FileNotFoundException(const NamedObject* n, const string& message, const string& File)
      : StateTransitionFailedException(n, ((message == "") ? "FileNotFoundException : " + File : ("FileNotFoundException : " + File + " " + message))) { setTypeName("FileNotFoundException");};
    
    FileNotFoundException* copy() const { return new FileNotFoundException(*this); }

  };
  
}

#include "nmm/nmm_suffix.hpp"

#endif
