/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *  
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *  
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "nmm/comm/messaging/CEvent.hpp"
#include "FlushEvent.hpp"
#include "INode.hpp"
#include "nmm/comm/serialize/TConstructor.hpp"

#include "nmm/nmm_prefix.hpp"

namespace NMM {

  /**
   * Special instream event for flushing nodes.
   */
  FlushEvent::FlushEvent() : CEvent(Event(INode::flush_event)) {
    setType(Message::FLUSH_EVENT);
    setMandatoryBit(true); // event should not be discarded during flush
    setTypeName(type_name);
    setNamespace("NMM");  
  }

  FlushEvent::FlushEvent(const FlushEvent& e) : CEvent(e) {
    setType(Message::FLUSH_EVENT);
    setMandatoryBit(true); // event should not be discarded during flush
    setTypeName(type_name);
    setNamespace("NMM");  
  }

  FlushEvent::~FlushEvent() {
  }

  const string FlushEvent::type_name = "FlushEvent";
  
  TConstructor<FlushEvent> __nmm__flushevent_value("FlushEvent", "NMM");

} //end namespace

#include "nmm/nmm_suffix.hpp"
