/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "ISwitchImpl.hpp"
#include "nmm/comm/serialize/SerializeResult.hpp"
#include "nmm/comm/messaging/TEDObject.hpp"

#include "nmm/nmm_prefix.hpp"


namespace NMM
{
  
  void ISwitchImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(ISwitch::switchOutputs_event, new NMM::TEDObject0<ISwitchImpl, void(ISwitchImpl:: * )(), void >(this, &ISwitchImpl::switchOutputs));
  
    getEventDispatcher().registerEvent(ISwitch::flushOutputs_event, new NMM::TEDObject1<ISwitchImpl, Timestamp, void(ISwitchImpl:: * )(const Timestamp&), void >(this, &ISwitchImpl::flushOutputs));
  
    getEventDispatcher().registerEvent(ISwitch::setSwitchOutputsEnabled_event, new NMM::TEDObject1<ISwitchImpl, nmm_bool, void(ISwitchImpl:: * )(const nmm_bool&), void >(this, &ISwitchImpl::setSwitchOutputsEnabled));
  
    getEventDispatcher().registerEvent(ISwitch::getSwitchOutputsEnabled_event, new NMM::TEDObject0<ISwitchImpl, nmm_bool(ISwitchImpl:: * )(), nmm_bool >(this, &ISwitchImpl::getSwitchOutputsEnabled));

  }

}


#include "nmm/nmm_suffix.hpp"

