/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "IUsageImpl.hpp"
#include "nmm/comm/serialize/SerializeResult.hpp"
#include "nmm/comm/messaging/TEDObject.hpp"

#include "nmm/nmm_prefix.hpp"


namespace NMM
{
  
  void IUsageImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IUsage::setUsage_event, new NMM::TEDObject2<IUsageImpl, nmm_int32, IUsageNotify*, void(IUsageImpl:: * )(const nmm_int32&, const IUsageNotify*), void >(this, &IUsageImpl::setUsage));
  
    getEventDispatcher().registerEvent(IUsage::unsetUsage_event, new NMM::TEDObject2<IUsageImpl, nmm_int32, IUsageNotify*, void(IUsageImpl:: * )(const nmm_int32&, const IUsageNotify*), void >(this, &IUsageImpl::unsetUsage));
  
    getEventDispatcher().registerEvent(IUsage::getUsage_event, new NMM::TEDObject0<IUsageImpl, nmm_int32(IUsageImpl:: * )(), nmm_int32 >(this, &IUsageImpl::getUsage));
  
    getEventDispatcher().registerEvent(IUsage::getRank_event, new NMM::TEDObject2<IUsageImpl, nmm_int32, IUsageNotify*, nmm_int32(IUsageImpl:: * )(const nmm_int32&, const IUsageNotify*), nmm_int32 >(this, &IUsageImpl::getRank));
  
    getEventDispatcher().registerEvent(IUsage::isMaster_event, new NMM::TEDObject2<IUsageImpl, nmm_int32, IUsageNotify*, Result(IUsageImpl:: * )(const nmm_int32&, const IUsageNotify*), Result >(this, &IUsageImpl::isMaster));

  }

}


#include "nmm/nmm_suffix.hpp"

