/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *  
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *  
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "Jack.hpp"
#include "Node.hpp"
#include "GenericNode.hpp"

#include "nmm/nmm_prefix.hpp"

namespace NMM {

  Jack::Jack(Node* parent, const string& jack_tag /*= "default"*/, const string& name /*= "Jack"*/)
    : StdNamedObject(name),__parent(parent), __jack_tag(jack_tag), __partner(0), __message_receiver(0) { 
    __signal_receiver = dynamic_cast<ISignalReceiver*>(parent);
  }

Node* Jack::getParent()                        {return __parent; }
const Node* Jack::getParent()      const       {return __parent; }

INode* Jack::getIParent()                      {return __parent->getInterface<INode>(); }
//const INode* Jack::getIParent()    const       {return __parent->getInterface<INode>(); }


}

#include "nmm/nmm_suffix.hpp"
