/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "ITrackListDuration.hpp"
#include "nmm/comm/serialize/SerializeResult.hpp"
#include "nmm/comm/serialize/InvalidTypeException.hpp"
#include "nmm/comm/serialize/TConstructor.hpp"

#include "nmm/nmm_prefix.hpp"

/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * See file LICENCE for terms and conditions of usage
 *
 */

#include "nmm/comm/serialize/SerializeUtilsTime.hpp"

namespace NMM
{
  void ITrackListDuration::used() {} 
  
  
  Result ITrackListDuration::trackListDuration(const Interval& i) /* in-stream */ 
      throw(const NMM::SerializedException&)
  {
    NMM::TOutValue<Result > return_value;
    NMM::TInValue<Interval > i_value(i, false);
    NMM::Event event("ITrackListDuration::trackListDuration", &i_value);
    event.setReturnValue(&return_value);
    if(const_cast<ITrackListDuration*>(this)->sendEvent(event) == NMM::FAILURE) {
      if (event.getException()) {
        throw NMM::SerializedException(*event.getException());
      }
    }
    return return_value.getRValue();
  }

  const char* ITrackListDuration::ITrackListDuration_type = "ITrackListDuration";
  NMM::TConstructor<ITrackListDuration > __ITrackListDuration_prototype("ITrackListDuration","NMM");


  const char* ITrackListDuration::trackListDuration_event = "ITrackListDuration::trackListDuration";
  NMM::Event* ITrackListDuration::create_trackListDuration(const Interval& i)
  {
    NMM::TInValue<Interval >* i_value = new NMM::TInValue<Interval >();
    i_value->setValue(i);

    return new NMM::Event("ITrackListDuration::trackListDuration", i_value);
  }



}


#include "nmm/nmm_suffix.hpp"

