/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *  
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *  
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

//note: subsitute all NMM_MULTIMEDIA_INTERFACES with the library name (e.g. NMM_UTILS)

//multiple includes of this header is absolutely necessary!

//to avoid macro redefinition warnings
#undef DLLEXPORT
#undef DLLLOCAL

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#ifndef ENABLE_STATIC
  #ifdef WIN32
    #ifdef NMM_MULTIMEDIA_INTERFACES_EXPORTS
      #define DLLEXPORT __declspec(dllexport)
    #else
      #define DLLEXPORT __declspec(dllimport)
    #endif
    #define DLLLOCAL
  #else
    #ifdef HAVE_GCCVISIBILITYPATCH
      #define DLLEXPORT __attribute__ ((visibility("default")))
      #define DLLLOCAL __attribute__ ((visibility("hidden")))
    #else
      #define DLLEXPORT
      #define DLLLOCAL
    #endif
  #endif
#else
  #define DLLEXPORT
  #define DLLLOCAL
#endif
