/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *  
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *  
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "DiffTimer.hpp"

#include "nmm/nmm_prefix.hpp"

namespace NMM {

  void DiffTimer::reset() {
    start_time = this->getTime();
    DEBUG_STREAM2 (" Reset. " << endl);
    DEBUG_STREAM2 (" Time: " << start_time.sec << endl);
  };

  DiffTimer::DiffTimer()
    : TimedElement(), NamedObject("Timer") {
    this->reset();
  };

  DiffTimer::~DiffTimer() {};

  float DiffTimer::getDiff() {
    float secs = this->getTime().sec - start_time.sec;
    float nanos = this->getTime().nsec - start_time.nsec;
    if (nanos < 0) {
      nanos = 1000000000 + nanos;
      secs--;
    }
    secs = ((int)((secs + (nanos/1000000000))*1000))/1000.0;
    return secs;
  }
    
}


#include "nmm/nmm_suffix.hpp"
