/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "IControllerImpl.hpp"
#include "nmm/comm/serialize/SerializeResult.hpp"
#include "nmm/comm/messaging/TEDObject.hpp"

#include "nmm/nmm_prefix.hpp"

/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * See file LICENCE for terms and conditions of usage
 *
 */

#include "nmm/comm/serialize/SerializeUtilsTime.hpp"

namespace NMM
{
  
  void IPingImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IPing::ping_event, new NMM::TEDObject0<IPingImpl, Time(IPingImpl:: * )(), Time >(this, &IPingImpl::ping));

  }
  
  void IControllerImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IController::setMode_event, new NMM::TEDObject1<IControllerImpl, IController::Mode, Result(IControllerImpl:: * )(const IController::Mode&), Result >(this, &IControllerImpl::setMode));
  
    getEventDispatcher().registerEvent(IController::permitDiscardBuffers_event, new NMM::TEDObject1<IControllerImpl, nmm_bool, Result(IControllerImpl:: * )(const nmm_bool&), Result >(this, &IControllerImpl::permitDiscardBuffers));
  
    getEventDispatcher().registerEvent(IController::pause_event, new NMM::TEDObject0<IControllerImpl, Result(IControllerImpl:: * )(), Result >(this, &IControllerImpl::pause));
  
    getEventDispatcher().registerEvent(IController::wakeup_event, new NMM::TEDObject0<IControllerImpl, Result(IControllerImpl:: * )(), Result >(this, &IControllerImpl::wakeup));
  
    getEventDispatcher().registerEvent(IController::reset_event, new NMM::TEDObject0<IControllerImpl, Result(IControllerImpl:: * )(), Result >(this, &IControllerImpl::reset));
  
    getEventDispatcher().registerEvent(IController::setBuffersInvalid_event, new NMM::TEDObject1<IControllerImpl, nmm_bool, void(IControllerImpl:: * )(const nmm_bool&), void >(this, &IControllerImpl::setBuffersInvalid));
  
    getEventDispatcher().registerEvent(IController::setBuffersInvalidTimed_event, new NMM::TEDObject2<IControllerImpl, nmm_bool, Timestamp, void(IControllerImpl:: * )(const nmm_bool&, const Timestamp&), void >(this, &IControllerImpl::setBuffersInvalidTimed));

  }

}


#include "nmm/nmm_suffix.hpp"

