/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "IMasterSlaveSourceSynchronizerImpl.hpp"
#include "nmm/comm/serialize/SerializeResult.hpp"
#include "nmm/comm/messaging/TEDObject.hpp"

#include "nmm/nmm_prefix.hpp"

/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * See file LICENCE for terms and conditions of usage
 *
 */

#include "nmm/utils/time/Interval.hpp"
#include "nmm/comm/serialize/SerializeUtilsTime.hpp"

namespace NMM
{
  
  void IMasterSlaveSourceSynchronizerImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IMasterSlaveSourceSynchronizer::setStartDelay_event, new NMM::TEDObject1<IMasterSlaveSourceSynchronizerImpl, Interval, Result(IMasterSlaveSourceSynchronizerImpl:: * )(const Interval&), Result >(this, &IMasterSlaveSourceSynchronizerImpl::setStartDelay));
  
    getEventDispatcher().registerEvent(IMasterSlaveSourceSynchronizer::setMasterController_event, new NMM::TEDObject1<IMasterSlaveSourceSynchronizerImpl, ISourceController*, Result(IMasterSlaveSourceSynchronizerImpl:: * )(const ISourceController*), Result >(this, &IMasterSlaveSourceSynchronizerImpl::setMasterController));
  
    getEventDispatcher().registerEvent(IMasterSlaveSourceSynchronizer::addSlaveController_event, new NMM::TEDObject1<IMasterSlaveSourceSynchronizerImpl, ISourceController*, Result(IMasterSlaveSourceSynchronizerImpl:: * )(const ISourceController*), Result >(this, &IMasterSlaveSourceSynchronizerImpl::addSlaveController));
  
    getEventDispatcher().registerEvent(IMasterSlaveSourceSynchronizer::removeSlaveController_event, new NMM::TEDObject1<IMasterSlaveSourceSynchronizerImpl, ISourceController*, Result(IMasterSlaveSourceSynchronizerImpl:: * )(const ISourceController*), Result >(this, &IMasterSlaveSourceSynchronizerImpl::removeSlaveController));
  
    getEventDispatcher().registerEvent(IMasterSlaveSourceSynchronizer::resetAll_event, new NMM::TEDObject0<IMasterSlaveSourceSynchronizerImpl, Result(IMasterSlaveSourceSynchronizerImpl:: * )(), Result >(this, &IMasterSlaveSourceSynchronizerImpl::resetAll));

  }

}


#include "nmm/nmm_suffix.hpp"

