/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "IMultiAudioVideoSynchronizerImpl.hpp"
#include "nmm/comm/serialize/SerializeResult.hpp"
#include "nmm/comm/messaging/TEDObject.hpp"

#include "nmm/nmm_prefix.hpp"

/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * See file LICENCE for terms and conditions of usage
 *
 */

#include "nmm/utils/time/Interval.hpp"
#include "nmm/comm/serialize/SerializeUtilsTime.hpp"

namespace NMM
{
  
  void IMultiAudioVideoSynchronizerImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IMultiAudioVideoSynchronizer::setMasterAudioSink_event, new NMM::TEDObject1<IMultiAudioVideoSynchronizerImpl, nmm_int32, Result(IMultiAudioVideoSynchronizerImpl:: * )(const nmm_int32&), Result >(this, &IMultiAudioVideoSynchronizerImpl::setMasterAudioSink));
  
    getEventDispatcher().registerEvent(IMultiAudioVideoSynchronizer::setAudioSkew_event, new NMM::TEDObject2<IMultiAudioVideoSynchronizerImpl, nmm_int32, Interval, Result(IMultiAudioVideoSynchronizerImpl:: * )(const nmm_int32&, const Interval&), Result >(this, &IMultiAudioVideoSynchronizerImpl::setAudioSkew));
  
    getEventDispatcher().registerEvent(IMultiAudioVideoSynchronizer::setVideoSkew_event, new NMM::TEDObject2<IMultiAudioVideoSynchronizerImpl, nmm_int32, Interval, Result(IMultiAudioVideoSynchronizerImpl:: * )(const nmm_int32&, const Interval&), Result >(this, &IMultiAudioVideoSynchronizerImpl::setVideoSkew));

  }

}


#include "nmm/nmm_suffix.hpp"

