/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "ISinkControllerImpl.hpp"
#include "nmm/comm/serialize/SerializeResult.hpp"
#include "nmm/comm/messaging/TEDObject.hpp"

#include "nmm/nmm_prefix.hpp"

/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * See file LICENCE for terms and conditions of usage
 *
 */

#include "ISinkSynchronizer.hpp"
#include "nmm/utils/time/Interval.hpp"
#include "nmm/comm/serialize/SerializeUtilsTime.hpp"

namespace NMM
{
  
  void ISinkControllerImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(ISinkController::setMaxDelay_event, new NMM::TEDObject1<ISinkControllerImpl, Interval, Result(ISinkControllerImpl:: * )(const Interval&), Result >(this, &ISinkControllerImpl::setMaxDelay));
  
    getEventDispatcher().registerEvent(ISinkController::setMaxAverageDelay_event, new NMM::TEDObject1<ISinkControllerImpl, Interval, Result(ISinkControllerImpl:: * )(const Interval&), Result >(this, &ISinkControllerImpl::setMaxAverageDelay));
  
    getEventDispatcher().registerEvent(ISinkController::setTheoLatency_event, new NMM::TEDObject1<ISinkControllerImpl, Interval, Result(ISinkControllerImpl:: * )(const Interval&), Result >(this, &ISinkControllerImpl::setTheoLatency));
  
    getEventDispatcher().registerEvent(ISinkController::setDefaultTheoLatency_event, new NMM::TEDObject1<ISinkControllerImpl, Interval, Result(ISinkControllerImpl:: * )(const Interval&), Result >(this, &ISinkControllerImpl::setDefaultTheoLatency));
  
    getEventDispatcher().registerEvent(ISinkController::setSinkSynchronizer_event, new NMM::TEDObject2<ISinkControllerImpl, ISinkSynchronizer*, nmm_int32, Result(ISinkControllerImpl:: * )(const ISinkSynchronizer*, const nmm_int32&), Result >(this, &ISinkControllerImpl::setSinkSynchronizer));
  
    getEventDispatcher().registerEvent(ISinkController::setAverageCount_event, new NMM::TEDObject1<ISinkControllerImpl, nmm_int32, Result(ISinkControllerImpl:: * )(const nmm_int32&), Result >(this, &ISinkControllerImpl::setAverageCount));
  
    getEventDispatcher().registerEvent(ISinkController::setMaxDiscardingCount_event, new NMM::TEDObject1<ISinkControllerImpl, nmm_int32, Result(ISinkControllerImpl:: * )(const nmm_int32&), Result >(this, &ISinkControllerImpl::setMaxDiscardingCount));
  
    getEventDispatcher().registerEvent(ISinkController::waitForReset_event, new NMM::TEDObject0<ISinkControllerImpl, Result(ISinkControllerImpl:: * )(), Result >(this, &ISinkControllerImpl::waitForReset));
  
    getEventDispatcher().registerEvent(ISinkController::restart_event, new NMM::TEDObject0<ISinkControllerImpl, Result(ISinkControllerImpl:: * )(), Result >(this, &ISinkControllerImpl::restart));
  
    getEventDispatcher().registerEvent(ISinkController::enableWaitToPresent_event, new NMM::TEDObject1<ISinkControllerImpl, nmm_bool, Result(ISinkControllerImpl:: * )(const nmm_bool&), Result >(this, &ISinkControllerImpl::enableWaitToPresent));
  
    getEventDispatcher().registerEvent(ISinkController::setMinWaitInterval_event, new NMM::TEDObject1<ISinkControllerImpl, Interval, Result(ISinkControllerImpl:: * )(const Interval&), Result >(this, &ISinkControllerImpl::setMinWaitInterval));
  
    getEventDispatcher().registerEvent(ISinkController::enableFirstBufferInTime_event, new NMM::TEDObject1<ISinkControllerImpl, nmm_bool, void(ISinkControllerImpl:: * )(const nmm_bool&), void >(this, &ISinkControllerImpl::enableFirstBufferInTime));
  
    getEventDispatcher().registerEvent(ISinkController::enableBlocking_event, new NMM::TEDObject1<ISinkControllerImpl, nmm_bool, void(ISinkControllerImpl:: * )(const nmm_bool&), void >(this, &ISinkControllerImpl::enableBlocking));

  }

}


#include "nmm/nmm_suffix.hpp"

