/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "ISinkSynchronizerImpl.hpp"
#include "nmm/comm/serialize/SerializeResult.hpp"
#include "nmm/comm/messaging/TEDObject.hpp"

#include "nmm/nmm_prefix.hpp"

/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * See file LICENCE for terms and conditions of usage
 *
 */

#include "nmm/utils/time/Interval.hpp"
#include "nmm/comm/serialize/SerializeUtilsTime.hpp"

namespace NMM
{
  
  void ISinkSynchronizerImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(ISinkSynchronizer::setAverageLatency_event, new NMM::TEDObject2<ISinkSynchronizerImpl, Interval, nmm_int32, void(ISinkSynchronizerImpl:: * )(const Interval&, const nmm_int32&), void >(this, &ISinkSynchronizerImpl::setAverageLatency));
  
    getEventDispatcher().registerEvent(ISinkSynchronizer::setFirstBufferInTimeAverageLatency_event, new NMM::TEDObject3<ISinkSynchronizerImpl, Interval, nmm_int32, Timestamp, Result(ISinkSynchronizerImpl:: * )(const Interval&, const nmm_int32&, const Timestamp&), Result >(this, &ISinkSynchronizerImpl::setFirstBufferInTimeAverageLatency));
  
    getEventDispatcher().registerEvent(ISinkSynchronizer::removeSinkController_event, new NMM::TEDObject1<ISinkSynchronizerImpl, ISinkController*, Result(ISinkSynchronizerImpl:: * )(const ISinkController*), Result >(this, &ISinkSynchronizerImpl::removeSinkController));

  }

}


#include "nmm/nmm_suffix.hpp"

