/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "ISourceControllerImpl.hpp"
#include "nmm/comm/serialize/SerializeResult.hpp"
#include "nmm/comm/messaging/TEDObject.hpp"

#include "nmm/nmm_prefix.hpp"

/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * See file LICENCE for terms and conditions of usage
 *
 */

#include "ISourceSynchronizer.hpp"
#include "nmm/utils/time/Interval.hpp"
#include "nmm/comm/serialize/SerializeUtilsTime.hpp"

namespace NMM
{
  
  void ISourceControllerImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(ISourceController::setMasterSkew_event, new NMM::TEDObject1<ISourceControllerImpl, Interval, void(ISourceControllerImpl:: * )(const Interval&), void >(this, &ISourceControllerImpl::setMasterSkew));
  
    getEventDispatcher().registerEvent(ISourceController::setStartTime_event, new NMM::TEDObject1<ISourceControllerImpl, Time, void(ISourceControllerImpl:: * )(const Time&), void >(this, &ISourceControllerImpl::setStartTime));
  
    getEventDispatcher().registerEvent(ISourceController::setSourceSynchronizer_event, new NMM::TEDObject1<ISourceControllerImpl, ISourceSynchronizer*, Result(ISourceControllerImpl:: * )(const ISourceSynchronizer*), Result >(this, &ISourceControllerImpl::setSourceSynchronizer));
  
    getEventDispatcher().registerEvent(ISourceController::setSyncMaster_event, new NMM::TEDObject1<ISourceControllerImpl, nmm_bool, void(ISourceControllerImpl:: * )(const nmm_bool&), void >(this, &ISourceControllerImpl::setSyncMaster));

  }

}


#include "nmm/nmm_suffix.hpp"

