/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *  
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *  
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#ifndef NMM_TYPES_HPP
#define NMM_TYPES_HPP NMM_TYPES_HPP

#include "nmm/nmm_prefix.hpp"

#include "nmm_inttypes.hpp"
#include <inttypes.h>
namespace NMM{

typedef char    nmm_char;
typedef unsigned char nmm_uchar;

typedef short int nmm_int16;
typedef int       nmm_int32;
typedef long long nmm_int64;

typedef unsigned short int nmm_uint16;
typedef unsigned int nmm_uint32;
typedef unsigned long long nmm_uint64;

typedef float   nmm_float;
typedef double  nmm_double;

typedef bool    nmm_bool;

static const nmm_int32 SIZE_OF_NMM_CHAR = 1;
static const nmm_int32 SIZE_OF_NMM_UCHAR = 1;
static const nmm_int32 SIZE_OF_NMM_BOOL = 1;
static const nmm_int32 SIZE_OF_NMM_INT16 = 2;
static const nmm_int32 SIZE_OF_NMM_INT32 = 4;
static const nmm_int32 SIZE_OF_NMM_INT64 = 8;

static const nmm_int32 SIZE_OF_NMM_UINT16 = 2;
static const nmm_int32 SIZE_OF_NMM_UINT32 = 4;
static const nmm_int32 SIZE_OF_NMM_UINT64 = 8;

static const nmm_int32 SIZE_OF_NMM_FLOAT  = 4;
static const nmm_int32 SIZE_OF_NMM_DOUBLE = 8;


}


#include "nmm/nmm_suffix.hpp"

#endif
