/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "IALSADeviceImpl.hpp"
#include "nmm/comm/serialize/SerializeResult.hpp"
#include "nmm/comm/messaging/TEDObject.hpp"

#include "nmm/nmm_prefix.hpp"


namespace NMM
{
  
  void IALSADeviceImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IALSADevice::setPCMDevice_event, new NMM::TEDObject1<IALSADeviceImpl, string, void(IALSADeviceImpl:: * )(const string&), void >(this, &IALSADeviceImpl::setPCMDevice));
  
    getEventDispatcher().registerEvent(IALSADevice::getPCMDevice_event, new NMM::TEDObject0<IALSADeviceImpl, string(IALSADeviceImpl:: * )() const, string >(this, &IALSADeviceImpl::getPCMDevice));
  
    getEventDispatcher().registerEvent(IALSADevice::setBufferTime_event, new NMM::TEDObject1<IALSADeviceImpl, nmm_uint32, void(IALSADeviceImpl:: * )(const nmm_uint32&), void >(this, &IALSADeviceImpl::setBufferTime));
  
    getEventDispatcher().registerEvent(IALSADevice::setPeriodTime_event, new NMM::TEDObject1<IALSADeviceImpl, nmm_uint32, void(IALSADeviceImpl:: * )(const nmm_uint32&), void >(this, &IALSADeviceImpl::setPeriodTime));
  
    getEventDispatcher().registerEvent(IALSADevice::setXferAlign_event, new NMM::TEDObject1<IALSADeviceImpl, nmm_uint32, void(IALSADeviceImpl:: * )(const nmm_uint32&), void >(this, &IALSADeviceImpl::setXferAlign));
  
    getEventDispatcher().registerEvent(IALSADevice::setMicroInVolume_event, new NMM::TEDObject1<IALSADeviceImpl, nmm_int32, void(IALSADeviceImpl:: * )(const nmm_int32&), void >(this, &IALSADeviceImpl::setMicroInVolume));
  
    getEventDispatcher().registerEvent(IALSADevice::getMicroInVolume_event, new NMM::TEDObject0<IALSADeviceImpl, nmm_int32(IALSADeviceImpl:: * )(), nmm_int32 >(this, &IALSADeviceImpl::getMicroInVolume));

  }

}


#include "nmm/nmm_suffix.hpp"

