/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "IAudioDeviceImpl.hpp"
#include "nmm/comm/serialize/SerializeResult.hpp"
#include "nmm/comm/messaging/TEDObject.hpp"

#include "nmm/nmm_prefix.hpp"


namespace NMM
{
  
  void IAudioDeviceImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IAudioDevice::setMixerDevice_event, new NMM::TEDObject1<IAudioDeviceImpl, string, void(IAudioDeviceImpl:: * )(const string&), void >(this, &IAudioDeviceImpl::setMixerDevice));
  
    getEventDispatcher().registerEvent(IAudioDevice::setMixerVolumeElement_event, new NMM::TEDObject1<IAudioDeviceImpl, string, void(IAudioDeviceImpl:: * )(const string&), void >(this, &IAudioDeviceImpl::setMixerVolumeElement));
  
    getEventDispatcher().registerEvent(IAudioDevice::getMixerDevice_event, new NMM::TEDObject0<IAudioDeviceImpl, string(IAudioDeviceImpl:: * )() const, string >(this, &IAudioDeviceImpl::getMixerDevice));
  
    getEventDispatcher().registerEvent(IAudioDevice::increaseVolume_event, new NMM::TEDObject0<IAudioDeviceImpl, void(IAudioDeviceImpl:: * )(), void >(this, &IAudioDeviceImpl::increaseVolume));
  
    getEventDispatcher().registerEvent(IAudioDevice::decreaseVolume_event, new NMM::TEDObject0<IAudioDeviceImpl, void(IAudioDeviceImpl:: * )(), void >(this, &IAudioDeviceImpl::decreaseVolume));
  
    getEventDispatcher().registerEvent(IAudioDevice::setVolume_event, new NMM::TEDObject1<IAudioDeviceImpl, nmm_int32, void(IAudioDeviceImpl:: * )(const nmm_int32&), void >(this, &IAudioDeviceImpl::setVolume));
  
    getEventDispatcher().registerEvent(IAudioDevice::getVolume_event, new NMM::TEDObject0<IAudioDeviceImpl, nmm_int32(IAudioDeviceImpl:: * )(), nmm_int32 >(this, &IAudioDeviceImpl::getVolume));

  }

}


#include "nmm/nmm_suffix.hpp"

