/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "IVolumeControlImpl.hpp"
#include "nmm/comm/serialize/SerializeResult.hpp"
#include "nmm/comm/messaging/TEDObject.hpp"

#include "nmm/nmm_prefix.hpp"

/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * See file LICENCE for terms and conditions of usage
 *
 */

#include "nmm/comm/serialize/SerializeUtilsTime.hpp"

namespace NMM
{
  
  void IVolumeControlImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IVolumeControl::setLinearVolume_event, new NMM::TEDObject1<IVolumeControlImpl, Rational, Rational(IVolumeControlImpl:: * )(const Rational&), Rational >(this, &IVolumeControlImpl::setLinearVolume));
  
    getEventDispatcher().registerEvent(IVolumeControl::setLinearVolumeRelative_event, new NMM::TEDObject1<IVolumeControlImpl, Rational, Rational(IVolumeControlImpl:: * )(const Rational&), Rational >(this, &IVolumeControlImpl::setLinearVolumeRelative));
  
    getEventDispatcher().registerEvent(IVolumeControl::getLinearVolume_event, new NMM::TEDObject0<IVolumeControlImpl, Rational(IVolumeControlImpl:: * )() const, Rational >(this, &IVolumeControlImpl::getLinearVolume));
  
    getEventDispatcher().registerEvent(IVolumeControl::setLogarithmicVolume_event, new NMM::TEDObject1<IVolumeControlImpl, nmm_double, nmm_double(IVolumeControlImpl:: * )(const nmm_double&), nmm_double >(this, &IVolumeControlImpl::setLogarithmicVolume));
  
    getEventDispatcher().registerEvent(IVolumeControl::setLogarithmicVolumeRelative_event, new NMM::TEDObject1<IVolumeControlImpl, nmm_double, nmm_double(IVolumeControlImpl:: * )(const nmm_double&), nmm_double >(this, &IVolumeControlImpl::setLogarithmicVolumeRelative));
  
    getEventDispatcher().registerEvent(IVolumeControl::getLogarithmicVolume_event, new NMM::TEDObject0<IVolumeControlImpl, nmm_double(IVolumeControlImpl:: * )() const, nmm_double >(this, &IVolumeControlImpl::getLogarithmicVolume));
  
    getEventDispatcher().registerEvent(IVolumeControl::getLinearVolumeRange_event, new NMM::TEDObject2<IVolumeControlImpl, Rational, Rational, void(IVolumeControlImpl:: * )(Rational&, Rational&) const, void >(this, &IVolumeControlImpl::getLinearVolumeRange));
  
    getEventDispatcher().registerEvent(IVolumeControl::getLogarithmicVolumeRange_event, new NMM::TEDObject2<IVolumeControlImpl, nmm_double, nmm_double, void(IVolumeControlImpl:: * )(nmm_double&, nmm_double&) const, void >(this, &IVolumeControlImpl::getLogarithmicVolumeRange));

  }

}


#include "nmm/nmm_suffix.hpp"

