/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "IAudioMuxImpl.hpp"
#include "nmm/comm/serialize/SerializeResult.hpp"
#include "nmm/comm/messaging/TEDObject.hpp"

#include "nmm/nmm_prefix.hpp"

/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * See file LICENCE for terms and conditions of usage
 *
 */

#include "nmm/comm/serialize/SerializeUtilsTime.hpp"
#include "nmm/utils/time/Time.hpp"

namespace NMM
{
  
  void IAudioMuxImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IAudioMux::getCurrentSyncTime_event, new NMM::TEDObject0<IAudioMuxImpl, Time(IAudioMuxImpl:: * )(), Time >(this, &IAudioMuxImpl::getCurrentSyncTime));
  
    getEventDispatcher().registerEvent(IAudioMux::setVolumeControl_event, new NMM::TEDObject5<IAudioMuxImpl, string, Time, Time, nmm_int32, nmm_int32, void(IAudioMuxImpl:: * )(const string&, const Time&, const Time&, const nmm_int32&, const nmm_int32&), void >(this, &IAudioMuxImpl::setVolumeControl));
  
    getEventDispatcher().registerEvent(IAudioMux::setVolume_event, new NMM::TEDObject2<IAudioMuxImpl, string, nmm_int32, nmm_int32(IAudioMuxImpl:: * )(const string&, const nmm_int32&), nmm_int32 >(this, &IAudioMuxImpl::setVolume));
  
    getEventDispatcher().registerEvent(IAudioMux::getVolume_event, new NMM::TEDObject1<IAudioMuxImpl, string, nmm_int32(IAudioMuxImpl:: * )(const string&), nmm_int32 >(this, &IAudioMuxImpl::getVolume));

  }

}


#include "nmm/nmm_suffix.hpp"

