/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#ifndef NMM_IFragmentSizeImpl_HPP
#define NMM_IFragmentSizeImpl_HPP

#include "nmm/nmm_prefix.hpp"

#include "nmm/comm/NMMObject.hpp"
#include "IFragmentSize.hpp"

#include "nmm/multimedia/INodeImpl.hpp"

#include "visibility.hpp"

namespace NMM
{

  class DLLEXPORT IFragmentSizeImpl  : public virtual NMM::NMMObject { 
  public:
    IFragmentSizeImpl() { addInterface(new IFragmentSize(*this)); registerEvents(); };

    virtual ~IFragmentSizeImpl() {};

  protected:
    /**
     * Returns FragmentSize in bytes
     */

    virtual nmm_int32 getFragmentSize() /* limited(INode::ACTIVATED) */ /* limited(INode::STARTED) */ = 0;
    /*
     * Tries to set 2^value as FragmentSize in bytes 
     */

    virtual void setFragmentSize(const nmm_int32& value) /* limited(INode::CONSTRUCTED) */ = 0;


  private:
    void registerEvents();
  };

}

#include "nmm/nmm_suffix.hpp"

#endif
