/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "IMPEGDemuxImpl.hpp"
#include "nmm/comm/serialize/SerializeResult.hpp"
#include "nmm/comm/messaging/TEDObject.hpp"

#include "nmm/nmm_prefix.hpp"


namespace NMM
{
  
  void IMPEGDemuxImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IMPEGDemux::setVideoStream_event, new NMM::TEDObject1<IMPEGDemuxImpl, nmm_int32, void(IMPEGDemuxImpl:: * )(const nmm_int32&), void >(this, &IMPEGDemuxImpl::setVideoStream));
  
    getEventDispatcher().registerEvent(IMPEGDemux::setAudioStream_event, new NMM::TEDObject1<IMPEGDemuxImpl, nmm_int32, void(IMPEGDemuxImpl:: * )(const nmm_int32&), void >(this, &IMPEGDemuxImpl::setAudioStream));
  
    getEventDispatcher().registerEvent(IMPEGDemux::setSPUStream_event, new NMM::TEDObject1<IMPEGDemuxImpl, nmm_int32, void(IMPEGDemuxImpl:: * )(const nmm_int32&), void >(this, &IMPEGDemuxImpl::setSPUStream));
  
    getEventDispatcher().registerEvent(IMPEGDemux::setDVDMode_event, new NMM::TEDObject1<IMPEGDemuxImpl, nmm_bool, void(IMPEGDemuxImpl:: * )(const nmm_bool&), void >(this, &IMPEGDemuxImpl::setDVDMode));

  }

}


#include "nmm/nmm_suffix.hpp"

