/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "ICDDAImpl.hpp"
#include "nmm/comm/serialize/SerializeResult.hpp"
#include "nmm/comm/messaging/TEDObject.hpp"

#include "nmm/nmm_prefix.hpp"

/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * See file LICENCE for terms and conditions of usage
 *
 */

#include "nmm/comm/serialize/SerializeUtilsTime.hpp"

namespace NMM
{
  
  void ICDDAImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(ICDDA::setTrack_event, new NMM::TEDObject1<ICDDAImpl, nmm_int32, Result(ICDDAImpl:: * )(const nmm_int32&), Result >(this, &ICDDAImpl::setTrack));
  
    getEventDispatcher().registerEvent(ICDDA::getTrack_event, new NMM::TEDObject0<ICDDAImpl, nmm_int32(ICDDAImpl:: * )(), nmm_int32 >(this, &ICDDAImpl::getTrack));
  
    getEventDispatcher().registerEvent(ICDDA::getTotalTracks_event, new NMM::TEDObject0<ICDDAImpl, nmm_int32(ICDDAImpl:: * )(), nmm_int32 >(this, &ICDDAImpl::getTotalTracks));
  
    getEventDispatcher().registerEvent(ICDDA::numberTracks_event, new NMM::TEDObject1<ICDDAImpl, nmm_bool, void(ICDDAImpl:: * )(const nmm_bool&), void >(this, &ICDDAImpl::numberTracks));
  
    getEventDispatcher().registerEvent(ICDDA::getTrackDuration_event, new NMM::TEDObject1<ICDDAImpl, nmm_int32, Interval(ICDDAImpl:: * )(const nmm_int32&), Interval >(this, &ICDDAImpl::getTrackDuration));
  
    getEventDispatcher().registerEvent(ICDDA::getTotalDuration_event, new NMM::TEDObject0<ICDDAImpl, Interval(ICDDAImpl:: * )(), Interval >(this, &ICDDAImpl::getTotalDuration));
  
    getEventDispatcher().registerEvent(ICDDA::isFinished_event, new NMM::TEDObject0<ICDDAImpl, nmm_bool(ICDDAImpl:: * )(), nmm_bool >(this, &ICDDAImpl::isFinished));
  
    getEventDispatcher().registerEvent(ICDDA::setRepeat_event, new NMM::TEDObject1<ICDDAImpl, nmm_bool, void(ICDDAImpl:: * )(const nmm_bool&), void >(this, &ICDDAImpl::setRepeat));
  
    getEventDispatcher().registerEvent(ICDDA::getRepeat_event, new NMM::TEDObject0<ICDDAImpl, nmm_bool(ICDDAImpl:: * )(), nmm_bool >(this, &ICDDAImpl::getRepeat));
  
    getEventDispatcher().registerEvent(ICDDA::setOneTrackOnly_event, new NMM::TEDObject1<ICDDAImpl, nmm_bool, void(ICDDAImpl:: * )(const nmm_bool&), void >(this, &ICDDAImpl::setOneTrackOnly));
  
    getEventDispatcher().registerEvent(ICDDA::getOneTrackOnly_event, new NMM::TEDObject0<ICDDAImpl, nmm_bool(ICDDAImpl:: * )(), nmm_bool >(this, &ICDDAImpl::getOneTrackOnly));

  }

}


#include "nmm/nmm_suffix.hpp"

