/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "ICDDBImpl.hpp"
#include "nmm/comm/serialize/SerializeResult.hpp"
#include "nmm/comm/messaging/TEDObject.hpp"

#include "nmm/nmm_prefix.hpp"


namespace NMM
{
  
  void ICDDBImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(ICDDB::setCDDBServer_event, new NMM::TEDObject2<ICDDBImpl, string, nmm_int32, Result(ICDDBImpl:: * )(const string&, const nmm_int32&), Result >(this, &ICDDBImpl::setCDDBServer));
  
    getEventDispatcher().registerEvent(ICDDB::getTrackName_event, new NMM::TEDObject1<ICDDBImpl, nmm_int32, string(ICDDBImpl:: * )(const nmm_int32&), string >(this, &ICDDBImpl::getTrackName));
  
    getEventDispatcher().registerEvent(ICDDB::getDiscTitle_event, new NMM::TEDObject0<ICDDBImpl, string(ICDDBImpl:: * )(), string >(this, &ICDDBImpl::getDiscTitle));
  
    getEventDispatcher().registerEvent(ICDDB::getDiscArtist_event, new NMM::TEDObject0<ICDDBImpl, string(ICDDBImpl:: * )(), string >(this, &ICDDBImpl::getDiscArtist));
  
    getEventDispatcher().registerEvent(ICDDB::setCDDB_event, new NMM::TEDObject1<ICDDBImpl, nmm_bool, void(ICDDBImpl:: * )(const nmm_bool&), void >(this, &ICDDBImpl::setCDDB));
  
    getEventDispatcher().registerEvent(ICDDB::getCDDB_event, new NMM::TEDObject0<ICDDBImpl, bool(ICDDBImpl:: * )(), bool >(this, &ICDDBImpl::getCDDB));

  }

}


#include "nmm/nmm_suffix.hpp"

