/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "IDVDImpl.hpp"
#include "nmm/comm/serialize/SerializeResult.hpp"
#include "nmm/comm/messaging/TEDObject.hpp"

#include "nmm/nmm_prefix.hpp"


namespace NMM
{
  
  void IDVDImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IDVD::select_event, new NMM::TEDObject3<IDVDImpl, nmm_uint32, nmm_uint32, nmm_uint32, Result(IDVDImpl:: * )(const nmm_uint32&, const nmm_uint32&, const nmm_uint32&), Result >(this, &IDVDImpl::select));
  
    getEventDispatcher().registerEvent(IDVD::getCurrentTitle_event, new NMM::TEDObject0<IDVDImpl, nmm_uint32(IDVDImpl:: * )() const, nmm_uint32 >(this, &IDVDImpl::getCurrentTitle));
  
    getEventDispatcher().registerEvent(IDVD::getCurrentChapter_event, new NMM::TEDObject0<IDVDImpl, nmm_uint32(IDVDImpl:: * )() const, nmm_uint32 >(this, &IDVDImpl::getCurrentChapter));
  
    getEventDispatcher().registerEvent(IDVD::getTitles_event, new NMM::TEDObject0<IDVDImpl, nmm_uint32(IDVDImpl:: * )() const, nmm_uint32 >(this, &IDVDImpl::getTitles));
  
    getEventDispatcher().registerEvent(IDVD::getChapters_event, new NMM::TEDObject1<IDVDImpl, nmm_uint32, nmm_uint32(IDVDImpl:: * )(const nmm_uint32&) const, nmm_uint32 >(this, &IDVDImpl::getChapters));
  
    getEventDispatcher().registerEvent(IDVD::getAngles_event, new NMM::TEDObject1<IDVDImpl, nmm_uint32, nmm_uint32(IDVDImpl:: * )(const nmm_uint32&) const, nmm_uint32 >(this, &IDVDImpl::getAngles));
  
    getEventDispatcher().registerEvent(IDVD::sendFlush_event, new NMM::TEDObject0<IDVDImpl, void(IDVDImpl:: * )(), void >(this, &IDVDImpl::sendFlush));
  
    getEventDispatcher().registerEvent(IDVD::reset_event, new NMM::TEDObject0<IDVDImpl, void(IDVDImpl:: * )(), void >(this, &IDVDImpl::reset));

  }

}


#include "nmm/nmm_suffix.hpp"

