/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "IDVDNavImpl.hpp"
#include "nmm/comm/serialize/SerializeResult.hpp"
#include "nmm/comm/messaging/TEDObject.hpp"

#include "nmm/nmm_prefix.hpp"


namespace NMM
{
  
  void IDVDNavImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IDVDNav::selectButton_event, new NMM::TEDObject1<IDVDNavImpl, nmm_int32, Result(IDVDNavImpl:: * )(const nmm_int32&), Result >(this, &IDVDNavImpl::selectButton));
  
    getEventDispatcher().registerEvent(IDVDNav::activateButton_event, new NMM::TEDObject1<IDVDNavImpl, nmm_int32, Result(IDVDNavImpl:: * )(const nmm_int32&), Result >(this, &IDVDNavImpl::activateButton));
  
    getEventDispatcher().registerEvent(IDVDNav::activateSelectedButton_event, new NMM::TEDObject0<IDVDNavImpl, Result(IDVDNavImpl:: * )(), Result >(this, &IDVDNavImpl::activateSelectedButton));
  
    getEventDispatcher().registerEvent(IDVDNav::goUp_event, new NMM::TEDObject0<IDVDNavImpl, Result(IDVDNavImpl:: * )(), Result >(this, &IDVDNavImpl::goUp));
  
    getEventDispatcher().registerEvent(IDVDNav::buttonUp_event, new NMM::TEDObject0<IDVDNavImpl, Result(IDVDNavImpl:: * )(), Result >(this, &IDVDNavImpl::buttonUp));
  
    getEventDispatcher().registerEvent(IDVDNav::buttonDown_event, new NMM::TEDObject0<IDVDNavImpl, Result(IDVDNavImpl:: * )(), Result >(this, &IDVDNavImpl::buttonDown));
  
    getEventDispatcher().registerEvent(IDVDNav::buttonRight_event, new NMM::TEDObject0<IDVDNavImpl, Result(IDVDNavImpl:: * )(), Result >(this, &IDVDNavImpl::buttonRight));
  
    getEventDispatcher().registerEvent(IDVDNav::buttonLeft_event, new NMM::TEDObject0<IDVDNavImpl, Result(IDVDNavImpl:: * )(), Result >(this, &IDVDNavImpl::buttonLeft));
  
    getEventDispatcher().registerEvent(IDVDNav::getSelectedButton_event, new NMM::TEDObject0<IDVDNavImpl, nmm_int32(IDVDNavImpl:: * )(), nmm_int32 >(this, &IDVDNavImpl::getSelectedButton));

  }

}


#include "nmm/nmm_suffix.hpp"

