/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "ISPUDecoderImpl.hpp"
#include "nmm/comm/serialize/SerializeResult.hpp"
#include "nmm/comm/messaging/TEDObject.hpp"

#include "nmm/nmm_prefix.hpp"


namespace NMM
{
  
  void ISPUDecoderImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(ISPUDecoder::setPaletteItem_event, new NMM::TEDObject5<ISPUDecoderImpl, nmm_int32, nmm_int32, nmm_int32, nmm_int32, nmm_int32, Result(ISPUDecoderImpl:: * )(const nmm_int32&, const nmm_int32&, const nmm_int32&, const nmm_int32&, const nmm_int32&), Result >(this, &ISPUDecoderImpl::setPaletteItem));
  
    getEventDispatcher().registerEvent(ISPUDecoder::initColorScheme_event, new NMM::TEDObject3<ISPUDecoderImpl, nmm_int32, nmm_int32, nmm_int32, Result(ISPUDecoderImpl:: * )(const nmm_int32&, const nmm_int32&, const nmm_int32&), Result >(this, &ISPUDecoderImpl::initColorScheme));
  
    getEventDispatcher().registerEvent(ISPUDecoder::setDVDSelectedButton_event, new NMM::TEDObject1<ISPUDecoderImpl, nmm_int32, Result(ISPUDecoderImpl:: * )(const nmm_int32&), Result >(this, &ISPUDecoderImpl::setDVDSelectedButton));
  
    getEventDispatcher().registerEvent(ISPUDecoder::setDVDButtonCount_event, new NMM::TEDObject1<ISPUDecoderImpl, nmm_int32, Result(ISPUDecoderImpl:: * )(const nmm_int32&), Result >(this, &ISPUDecoderImpl::setDVDButtonCount));
  
    getEventDispatcher().registerEvent(ISPUDecoder::setDVDButtonCoords_event, new NMM::TEDObject4<ISPUDecoderImpl, nmm_int32, nmm_int32, nmm_int32, nmm_int32, Result(ISPUDecoderImpl:: * )(const nmm_int32&, const nmm_int32&, const nmm_int32&, const nmm_int32&), Result >(this, &ISPUDecoderImpl::setDVDButtonCoords));
  
    getEventDispatcher().registerEvent(ISPUDecoder::setDVDButtonScheme_event, new NMM::TEDObject1<ISPUDecoderImpl, nmm_int32, Result(ISPUDecoderImpl:: * )(const nmm_int32&), Result >(this, &ISPUDecoderImpl::setDVDButtonScheme));

  }

}


#include "nmm/nmm_suffix.hpp"

