/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *  
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *  
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */
#ifndef NMM_FILEUTILS_HPP
#define NMM_FILEUTILS_HPP NMM_FILEUTILS_HPP

#include "nmm/nmm_prefix.hpp"

#include "nmm/comm/format/Format.hpp"
#include "visibility.hpp"

using namespace std;

namespace NMM {

  class DLLEXPORT FileUtils {
  public:

    FileUtils() {};

    ~FileUtils() {};

    static Format* getFormat(const string& filename);
    static Format* getFormatFromExtension(const string& extension);
    static Format* getFormatFromContent(const string& path);

    static string getMIMETypeFromFile(const string& filename, bool mime_only = true );

  };

}
#include "nmm/nmm_suffix.hpp"

#endif //NMM_FILEUTILS_HPP
