/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "IFileModeHandlerImpl.hpp"
#include "nmm/comm/serialize/SerializeResult.hpp"
#include "nmm/comm/messaging/TEDObject.hpp"

#include "nmm/nmm_prefix.hpp"


namespace NMM
{
  
  void IFileModeHandlerImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IFileModeHandler::setMode_event, new NMM::TEDObject1<IFileModeHandlerImpl, IFileModeHandler::FileMode, void(IFileModeHandlerImpl:: * )(const IFileModeHandler::FileMode&), void >(this, &IFileModeHandlerImpl::setMode));
  
    getEventDispatcher().registerEvent(IFileModeHandler::getMode_event, new NMM::TEDObject0<IFileModeHandlerImpl, IFileModeHandler::FileMode(IFileModeHandlerImpl:: * )(), IFileModeHandler::FileMode >(this, &IFileModeHandlerImpl::getMode));
  
    getEventDispatcher().registerEvent(IFileModeHandler::setFormat_event, new NMM::TEDObject1<IFileModeHandlerImpl, IFileModeHandler::FileFormat, void(IFileModeHandlerImpl:: * )(const IFileModeHandler::FileFormat&), void >(this, &IFileModeHandlerImpl::setFormat));
  
    getEventDispatcher().registerEvent(IFileModeHandler::getFormat_event, new NMM::TEDObject0<IFileModeHandlerImpl, IFileModeHandler::FileFormat(IFileModeHandlerImpl:: * )(), IFileModeHandler::FileFormat >(this, &IFileModeHandlerImpl::getFormat));
  
    getEventDispatcher().registerEvent(IFileModeHandler::setFilenameMode_event, new NMM::TEDObject1<IFileModeHandlerImpl, IFileModeHandler::FilenameMode, void(IFileModeHandlerImpl:: * )(const IFileModeHandler::FilenameMode&), void >(this, &IFileModeHandlerImpl::setFilenameMode));
  
    getEventDispatcher().registerEvent(IFileModeHandler::getFilenameMode_event, new NMM::TEDObject0<IFileModeHandlerImpl, IFileModeHandler::FilenameMode(IFileModeHandlerImpl:: * )(), IFileModeHandler::FilenameMode >(this, &IFileModeHandlerImpl::getFilenameMode));
  
    getEventDispatcher().registerEvent(IFileModeHandler::setLoop_event, new NMM::TEDObject1<IFileModeHandlerImpl, nmm_bool, void(IFileModeHandlerImpl:: * )(const nmm_bool&), void >(this, &IFileModeHandlerImpl::setLoop));

  }

}


#include "nmm/nmm_suffix.hpp"

