/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "ISeekableImpl.hpp"
#include "nmm/comm/serialize/SerializeResult.hpp"
#include "nmm/comm/messaging/TEDObject.hpp"

#include "nmm/nmm_prefix.hpp"

/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * See file LICENCE for terms and conditions of usage
 *
 */

#include "nmm/comm/serialize/SerializeUtilsTime.hpp"
#include "nmm/utils/time/Time.hpp"

namespace NMM
{
  
  void ISeekableImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(ISeekable::hasPercentSeek_event, new NMM::TEDObject0<ISeekableImpl, nmm_bool(ISeekableImpl:: * )() const, nmm_bool >(this, &ISeekableImpl::hasPercentSeek));
  
    getEventDispatcher().registerEvent(ISeekable::seekPercent_event, new NMM::TEDObject1<ISeekableImpl, Rational, void(ISeekableImpl:: * )(const Rational&), void >(this, &ISeekableImpl::seekPercent));
  
    getEventDispatcher().registerEvent(ISeekable::seekPercentTo_event, new NMM::TEDObject1<ISeekableImpl, Rational, void(ISeekableImpl:: * )(const Rational&), void >(this, &ISeekableImpl::seekPercentTo));
  
    getEventDispatcher().registerEvent(ISeekable::hasBytesSeek_event, new NMM::TEDObject0<ISeekableImpl, nmm_bool(ISeekableImpl:: * )() const, nmm_bool >(this, &ISeekableImpl::hasBytesSeek));
  
    getEventDispatcher().registerEvent(ISeekable::seekBytes_event, new NMM::TEDObject1<ISeekableImpl, nmm_int64, void(ISeekableImpl:: * )(const nmm_int64&), void >(this, &ISeekableImpl::seekBytes));
  
    getEventDispatcher().registerEvent(ISeekable::seekBytesTo_event, new NMM::TEDObject1<ISeekableImpl, nmm_uint64, void(ISeekableImpl:: * )(const nmm_uint64&), void >(this, &ISeekableImpl::seekBytesTo));
  
    getEventDispatcher().registerEvent(ISeekable::hasTimeSeek_event, new NMM::TEDObject0<ISeekableImpl, nmm_bool(ISeekableImpl:: * )() const, nmm_bool >(this, &ISeekableImpl::hasTimeSeek));
  
    getEventDispatcher().registerEvent(ISeekable::seekTime_event, new NMM::TEDObject1<ISeekableImpl, Interval, void(ISeekableImpl:: * )(const Interval&), void >(this, &ISeekableImpl::seekTime));
  
    getEventDispatcher().registerEvent(ISeekable::seekTimeTo_event, new NMM::TEDObject1<ISeekableImpl, Time, void(ISeekableImpl:: * )(const Time&), void >(this, &ISeekableImpl::seekTimeTo));

  }

}


#include "nmm/nmm_suffix.hpp"

