/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "ISourceFileHandlerImpl.hpp"
#include "nmm/comm/serialize/SerializeResult.hpp"
#include "nmm/comm/messaging/TEDObject.hpp"

#include "nmm/nmm_prefix.hpp"


namespace NMM
{
  
  void ISourceFileHandlerImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(ISourceFileHandler::getFilesize_event, new NMM::TEDObject0<ISourceFileHandlerImpl, nmm_uint64(ISourceFileHandlerImpl:: * )(), nmm_uint64 >(this, &ISourceFileHandlerImpl::getFilesize));
    getEventDispatcher().addLimited(ISourceFileHandler::getFilesize_event, INode::ACTIVATED);
    getEventDispatcher().addLimited(ISourceFileHandler::getFilesize_event, INode::STARTED);
    getEventDispatcher().addLimited(ISourceFileHandler::getFilesize_event, INode::OUTPUT_INITIALIZED);

  }

}


#include "nmm/nmm_suffix.hpp"

