/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#ifndef NMM_ICreateImage_HPP
#define NMM_ICreateImage_HPP

#include "nmm/nmm_prefix.hpp"

#include "nmm/comm/Interface.hpp"
#include "nmm/comm/messaging/Event.hpp"
#include "nmm/comm/messaging/IllegalStateException.hpp"
#include <memory>


#include "visibility.hpp"

namespace NMM
{

  class DLLEXPORT ICreateImage : virtual public NMM::Interface { 
  public:
    ICreateImage() : NMM::Interface(ICreateImage::ICreateImage_type, "NMM") { };

    ICreateImage(NMM::NMMObject& parent) : NMM::Interface (parent, ICreateImage::ICreateImage_type, "NMM") { };

    virtual ~ICreateImage() {};

    static const char* ICreateImage_type;

    virtual  string getInterfaceType() const { return ICreateImage_type; }

    NMM::Interface* copy() const { return new ICreateImage(*this); }
    static void used(); 
    static const char* createImage_event;

    virtual Result createImage(const nmm_uint32& color, const nmm_uint32& w, const nmm_uint32& h)
      throw(const NMM::SerializedException&);


  };

  typedef auto_ptr<ICreateImage> ICreateImage_var;




}

#include "nmm/nmm_suffix.hpp"

#endif
