/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#ifndef NMM_IMultipleSourceFileHandler_HPP
#define NMM_IMultipleSourceFileHandler_HPP

#include "nmm/nmm_prefix.hpp"

#include "nmm/comm/Interface.hpp"
#include "nmm/comm/messaging/Event.hpp"
#include "nmm/comm/messaging/IllegalStateException.hpp"
#include <memory>

#include "nmm/multimedia/INode.hpp"

#include "visibility.hpp"

namespace NMM
{

  class DLLEXPORT IMultipleSourceFileHandler : virtual public NMM::Interface { 
  public:
    IMultipleSourceFileHandler() : NMM::Interface(IMultipleSourceFileHandler::IMultipleSourceFileHandler_type, "NMM") { };

    IMultipleSourceFileHandler(NMM::NMMObject& parent) : NMM::Interface (parent, IMultipleSourceFileHandler::IMultipleSourceFileHandler_type, "NMM") { };

    virtual ~IMultipleSourceFileHandler() {};

    static const char* IMultipleSourceFileHandler_type;

    virtual  string getInterfaceType() const { return IMultipleSourceFileHandler_type; }

    NMM::Interface* copy() const { return new IMultipleSourceFileHandler(*this); }
    static void used(); 
    static const char* addFilename_event;

    virtual void addFilename(const string& name) /* limited(INode::CONSTRUCTED) */ /* limited(INode::INITIALIZED) */
      throw(const NMM::SerializedException&, const NMM::IllegalStateException&);


  };

  typedef auto_ptr<IMultipleSourceFileHandler> IMultipleSourceFileHandler_var;




}

#include "nmm/nmm_suffix.hpp"

#endif
