/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "IBufferDropImpl.hpp"
#include "nmm/comm/serialize/SerializeResult.hpp"
#include "nmm/comm/messaging/TEDObject.hpp"

#include "nmm/nmm_prefix.hpp"


namespace NMM
{
  
  void IBufferDropImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IBufferDrop::setBufferToDrop_event, new NMM::TEDObject1<IBufferDropImpl, nmm_uint32, void(IBufferDropImpl:: * )(const nmm_uint32&), void >(this, &IBufferDropImpl::setBufferToDrop));
  
    getEventDispatcher().registerEvent(IBufferDrop::setDropRatio_event, new NMM::TEDObject2<IBufferDropImpl, nmm_uint32, nmm_uint32, void(IBufferDropImpl:: * )(const nmm_uint32&, const nmm_uint32&), void >(this, &IBufferDropImpl::setDropRatio));

  }
  
  void ITimedBufferDropImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(ITimedBufferDrop::addInOutPoint_event, new NMM::TEDObject4<ITimedBufferDropImpl, nmm_uint32, nmm_uint32, nmm_uint32, nmm_uint32, void(ITimedBufferDropImpl:: * )(const nmm_uint32&, const nmm_uint32&, const nmm_uint32&, const nmm_uint32&), void >(this, &ITimedBufferDropImpl::addInOutPoint));
    getEventDispatcher().addLimited(ITimedBufferDrop::addInOutPoint_event, INode::CONSTRUCTED);
  
    getEventDispatcher().registerEvent(ITimedBufferDrop::useRelativeInOutPoints_event, new NMM::TEDObject1<ITimedBufferDropImpl, nmm_bool, void(ITimedBufferDropImpl:: * )(const nmm_bool&), void >(this, &ITimedBufferDropImpl::useRelativeInOutPoints));
    getEventDispatcher().addLimited(ITimedBufferDrop::useRelativeInOutPoints_event, INode::CONSTRUCTED);
  
    getEventDispatcher().registerEvent(ITimedBufferDrop::isRelativeInOutPoints_event, new NMM::TEDObject0<ITimedBufferDropImpl, nmm_bool(ITimedBufferDropImpl:: * )(), nmm_bool >(this, &ITimedBufferDropImpl::isRelativeInOutPoints));

  }

}


#include "nmm/nmm_suffix.hpp"

