/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#ifndef NMM_ICopy_HPP
#define NMM_ICopy_HPP

#include "nmm/nmm_prefix.hpp"

#include "nmm/comm/Interface.hpp"
#include "nmm/comm/messaging/Event.hpp"
#include "nmm/comm/messaging/IllegalStateException.hpp"
#include <memory>


#include "visibility.hpp"

namespace NMM
{

  class DLLEXPORT ICopy : virtual public NMM::Interface { 
  public:
    ICopy() : NMM::Interface(ICopy::ICopy_type, "NMM") { };

    ICopy(NMM::NMMObject& parent) : NMM::Interface (parent, ICopy::ICopy_type, "NMM") { };

    virtual ~ICopy() {};

    static const char* ICopy_type;

    virtual  string getInterfaceType() const { return ICopy_type; }

    NMM::Interface* copy() const { return new ICopy(*this); }
    static void used(); 
    static const char* setNumberOfOutputs_event;

    virtual void setNumberOfOutputs(const nmm_int32& value)
      throw(const NMM::SerializedException&);


  };

  typedef auto_ptr<ICopy> ICopy_var;




}

#include "nmm/nmm_suffix.hpp"

#endif
