/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "IEncodeImpl.hpp"
#include "nmm/comm/serialize/SerializeResult.hpp"
#include "nmm/comm/messaging/TEDObject.hpp"

#include "nmm/nmm_prefix.hpp"


namespace NMM
{
  
  void IEncodeImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IEncode::setQuality_event, new NMM::TEDObject1<IEncodeImpl, nmm_float, void(IEncodeImpl:: * )(const nmm_float&), void >(this, &IEncodeImpl::setQuality));
  
    getEventDispatcher().registerEvent(IEncode::setBitrate_event, new NMM::TEDObject1<IEncodeImpl, nmm_int32, void(IEncodeImpl:: * )(const nmm_int32&), void >(this, &IEncodeImpl::setBitrate));
  
    getEventDispatcher().registerEvent(IEncode::getQuality_event, new NMM::TEDObject0<IEncodeImpl, nmm_float(IEncodeImpl:: * )(), nmm_float >(this, &IEncodeImpl::getQuality));
  
    getEventDispatcher().registerEvent(IEncode::getBitrate_event, new NMM::TEDObject0<IEncodeImpl, nmm_int32(IEncodeImpl:: * )(), nmm_int32 >(this, &IEncodeImpl::getBitrate));

  }

}


#include "nmm/nmm_suffix.hpp"

