/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#ifndef NMM_IVideoDelay_HPP
#define NMM_IVideoDelay_HPP

#include "nmm/nmm_prefix.hpp"

#include "nmm/comm/Interface.hpp"
#include "nmm/comm/messaging/Event.hpp"
#include "nmm/comm/messaging/IllegalStateException.hpp"
#include <memory>


#include "visibility.hpp"

namespace NMM
{

  class DLLEXPORT IVideoDelay : virtual public NMM::Interface { 
  public:
    IVideoDelay() : NMM::Interface(IVideoDelay::IVideoDelay_type, "NMM") { };

    IVideoDelay(NMM::NMMObject& parent) : NMM::Interface (parent, IVideoDelay::IVideoDelay_type, "NMM") { };

    virtual ~IVideoDelay() {};

    static const char* IVideoDelay_type;

    virtual  string getInterfaceType() const { return IVideoDelay_type; }

    NMM::Interface* copy() const { return new IVideoDelay(*this); }
    static void used(); 
    static const char* setVideoDelay_event;

    virtual Result setVideoDelay(const nmm_int32& delay)
      throw(const NMM::SerializedException&);


  };

  typedef auto_ptr<IVideoDelay> IVideoDelay_var;




}

#include "nmm/nmm_suffix.hpp"

#endif
