/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "INetImpl.hpp"
#include "nmm/comm/serialize/SerializeResult.hpp"
#include "nmm/comm/messaging/TEDObject.hpp"

#include "nmm/nmm_prefix.hpp"

/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * See file LICENCE for terms and conditions of usage
 *
 */

#include "nmm/comm/TSAddress.hpp"

namespace NMM
{
  
  void INetImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(INet::setTransportStrategy_event, new NMM::TEDObject1<INetImpl, TSAddress*, void(INetImpl:: * )(const TSAddress*), void >(this, &INetImpl::setTransportStrategy));
  
    getEventDispatcher().registerEvent(INet::getTransportStrategy_event, new NMM::TEDObject0<INetImpl, ITransportStrategy*(INetImpl:: * )() const, ITransportStrategy* >(this, &INetImpl::getTransportStrategy));
  
    getEventDispatcher().registerEvent(INet::setRTPStrategy_event, new NMM::TEDObject3<INetImpl, string, nmm_int32, nmm_int32, void(INetImpl:: * )(const string&, const nmm_int32&, const nmm_int32&), void >(this, &INetImpl::setRTPStrategy));
    getEventDispatcher().addLimited(INet::setRTPStrategy_event, INode::CONSTRUCTED);
  
    getEventDispatcher().registerEvent(INet::setPayloadType_event, new NMM::TEDObject1<INetImpl, nmm_int32, void(INetImpl:: * )(const nmm_int32&), void >(this, &INetImpl::setPayloadType));
  
    getEventDispatcher().registerEvent(INet::getPayloadType_event, new NMM::TEDObject0<INetImpl, nmm_int32(INetImpl:: * )() const, nmm_int32 >(this, &INetImpl::getPayloadType));

  }

}


#include "nmm/nmm_suffix.hpp"

