/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "IRTPParametersImpl.hpp"
#include "nmm/comm/serialize/SerializeResult.hpp"
#include "nmm/comm/messaging/TEDObject.hpp"

#include "nmm/nmm_prefix.hpp"


namespace NMM
{
  
  void IRTPParametersImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IRTPParameters::getRTPSinkMediaType_event, new NMM::TEDObject0<IRTPParametersImpl, string(IRTPParametersImpl:: * )() const, string >(this, &IRTPParametersImpl::getRTPSinkMediaType));
  
    getEventDispatcher().registerEvent(IRTPParameters::getRTPSinkPayloadType_event, new NMM::TEDObject0<IRTPParametersImpl, nmm_uchar(IRTPParametersImpl:: * )() const, nmm_uchar >(this, &IRTPParametersImpl::getRTPSinkPayloadType));
  
    getEventDispatcher().registerEvent(IRTPParameters::getRTPSinkMapLine_event, new NMM::TEDObject0<IRTPParametersImpl, string(IRTPParametersImpl:: * )() const, string >(this, &IRTPParametersImpl::getRTPSinkMapLine));
  
    getEventDispatcher().registerEvent(IRTPParameters::getRTPSinkAuxSDPLine_event, new NMM::TEDObject0<IRTPParametersImpl, string(IRTPParametersImpl:: * )() const, string >(this, &IRTPParametersImpl::getRTPSinkAuxSDPLine));
  
    getEventDispatcher().registerEvent(IRTPParameters::getRTPSeqNum_event, new NMM::TEDObject0<IRTPParametersImpl, nmm_uint16(IRTPParametersImpl:: * )() const, nmm_uint16 >(this, &IRTPParametersImpl::getRTPSeqNum));
  
    getEventDispatcher().registerEvent(IRTPParameters::getRTPTimestamp_event, new NMM::TEDObject0<IRTPParametersImpl, nmm_uint32(IRTPParametersImpl:: * )() const, nmm_uint32 >(this, &IRTPParametersImpl::getRTPTimestamp));
  
    getEventDispatcher().registerEvent(IRTPParameters::getRTPPort_event, new NMM::TEDObject0<IRTPParametersImpl, nmm_uint32(IRTPParametersImpl:: * )() const, nmm_uint32 >(this, &IRTPParametersImpl::getRTPPort));
  
    getEventDispatcher().registerEvent(IRTPParameters::getRTCPPort_event, new NMM::TEDObject0<IRTPParametersImpl, nmm_uint32(IRTPParametersImpl:: * )() const, nmm_uint32 >(this, &IRTPParametersImpl::getRTCPPort));

  }

}


#include "nmm/nmm_suffix.hpp"

