/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "ProtocolReader.hpp"
#include "nmm/multimedia/Node.hpp"

namespace NMM {

  ProtocolReader::ProtocolReader(Node* _parent, const string _name)
    : name(_name), 
    parent(_parent),
    is_eof(false) {
    PROTO_DEBUG_STREAM("PR Constructor!" << endl);
  }; /* ProtocolReader */

  ProtocolReader::~ProtocolReader() {

  }; /* ~ProtocolReader */

  bool ProtocolReader::parseURL(const string) {
    return false;
  }; /* parseURL */

  bool ProtocolReader::init() {
    return false;
  }; /* init */

  bool ProtocolReader::setURL(const string _url) {
    PROTO_DEBUG_STREAM("In setURL!" << endl);
    return (parseURL(_url) && init());
  }; /* setURL */

  string ProtocolReader::getMediaFormat() {
    return Format::wild_wild_type;
  }

  bool ProtocolReader::eof() {
    return is_eof;
  }; /* init */

  int ProtocolReader::readData(char*, size_t) {
    return false;
  }; /* readData */

}
