/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "IBuffersPassedEventSenderImpl.hpp"
#include "nmm/comm/serialize/SerializeResult.hpp"
#include "nmm/comm/messaging/TEDObject.hpp"

#include "nmm/nmm_prefix.hpp"


namespace NMM
{
  
  void IBuffersPassedEventSenderImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IBuffersPassedEventSender::setBufferCountInterval_event, new NMM::TEDObject1<IBuffersPassedEventSenderImpl, nmm_int32, void(IBuffersPassedEventSenderImpl:: * )(const nmm_int32&), void >(this, &IBuffersPassedEventSenderImpl::setBufferCountInterval));
  
    getEventDispatcher().registerEvent(IBuffersPassedEventSender::getBufferCountInterval_event, new NMM::TEDObject0<IBuffersPassedEventSenderImpl, nmm_int32(IBuffersPassedEventSenderImpl:: * )() const, nmm_int32 >(this, &IBuffersPassedEventSenderImpl::getBufferCountInterval));

  }

}


#include "nmm/nmm_suffix.hpp"

