/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#ifndef NMM_ICrop_HPP
#define NMM_ICrop_HPP

#include "nmm/nmm_prefix.hpp"

#include "nmm/comm/Interface.hpp"
#include "nmm/comm/messaging/Event.hpp"
#include "nmm/comm/messaging/IllegalStateException.hpp"
#include <memory>

#include "nmm/multimedia/INode.hpp"

#include "visibility.hpp"

namespace NMM
{

  class DLLEXPORT ICrop : virtual public NMM::Interface { 
  public:
    ICrop() : NMM::Interface(ICrop::ICrop_type, "NMM") { };

    ICrop(NMM::NMMObject& parent) : NMM::Interface (parent, ICrop::ICrop_type, "NMM") { };

    virtual ~ICrop() {};

    static const char* ICrop_type;

    virtual  string getInterfaceType() const { return ICrop_type; }

    NMM::Interface* copy() const { return new ICrop(*this); }
    static void used(); 
    static const char* setCrop_event;

    virtual void setCrop(const nmm_int32& xOffset, const nmm_int32& yOffset, const nmm_int32& xRange, const nmm_int32& yRange) /* required(INode::INITIALIZED, INode::OUTPUT_INITIALIZED) */ /* limited(INode::INITIALIZED) */
      throw(const NMM::SerializedException&, const NMM::IllegalStateException&);


  };

  typedef auto_ptr<ICrop> ICrop_var;




}

#include "nmm/nmm_suffix.hpp"

#endif
