/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "IScalerImpl.hpp"
#include "nmm/comm/serialize/SerializeResult.hpp"
#include "nmm/comm/messaging/TEDObject.hpp"

#include "nmm/nmm_prefix.hpp"


namespace NMM
{
  
  void IScalerImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IScaler::setAutoAspect_event, new NMM::TEDObject1<IScalerImpl, nmm_bool, void(IScalerImpl:: * )(const nmm_bool&), void >(this, &IScalerImpl::setAutoAspect));
  
    getEventDispatcher().registerEvent(IScaler::setFiltering_event, new NMM::TEDObject1<IScalerImpl, nmm_bool, void(IScalerImpl:: * )(const nmm_bool&), void >(this, &IScalerImpl::setFiltering));
  
    getEventDispatcher().registerEvent(IScaler::setOutputSize_event, new NMM::TEDObject2<IScalerImpl, nmm_int32, nmm_int32, void(IScalerImpl:: * )(const nmm_int32&, const nmm_int32&), void >(this, &IScalerImpl::setOutputSize));
  
    getEventDispatcher().registerEvent(IScaler::getOutputSize_event, new NMM::TEDObject2<IScalerImpl, nmm_int32, nmm_int32, void(IScalerImpl:: * )(nmm_int32&, nmm_int32&) const, void >(this, &IScalerImpl::getOutputSize));
  
    getEventDispatcher().registerEvent(IScaler::getAutoAspect_event, new NMM::TEDObject0<IScalerImpl, nmm_bool(IScalerImpl:: * )() const, nmm_bool >(this, &IScalerImpl::getAutoAspect));
  
    getEventDispatcher().registerEvent(IScaler::getFiltering_event, new NMM::TEDObject0<IScalerImpl, nmm_bool(IScalerImpl:: * )() const, nmm_bool >(this, &IScalerImpl::getFiltering));

  }

}


#include "nmm/nmm_suffix.hpp"

