/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *  
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *  
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */


#ifndef _NMM_SCALER_H_
#define _NMM_SCALER_H_


struct ImagePlane {
  int offset;
  int x_pixels;
  int y_pixels;
  int x_pitch;
  int y_pitch;
};


extern "C" {
  
  //void scaleImagePlane(char* out_data, int out_width, int out_height, int out_pitch,
  //		     const char* in_data, int in_pitch,
  //		     int in_delta_x, int in_delta_y);
  
  void scaleImageRow(char* out_data, int out_width, const char* in_data, int in_pitch, int in_delta_x, int iny_frac);
  
  void scaleImageRowFiltering(char* out_data, int out_width, const char* in_data, int in_pitch, int in_delta_x, int iny_frac);

}

#endif //_NMM_SCALER_H_

