/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "IXDisplayEventSenderImpl.hpp"
#include "nmm/comm/serialize/SerializeResult.hpp"
#include "nmm/comm/messaging/TEDObject.hpp"

#include "nmm/nmm_prefix.hpp"


namespace NMM
{
  
  void IXDisplayEventSenderImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IXDisplayEventSender::setSendingMouseEventsDirect_event, new NMM::TEDObject1<IXDisplayEventSenderImpl, nmm_bool, void(IXDisplayEventSenderImpl:: * )(const nmm_bool&), void >(this, &IXDisplayEventSenderImpl::setSendingMouseEventsDirect));
    getEventDispatcher().addLimited(IXDisplayEventSender::setSendingMouseEventsDirect_event, INode::STARTED);
  
    getEventDispatcher().registerEvent(IXDisplayEventSender::isSendingMouseEventsDirect_event, new NMM::TEDObject0<IXDisplayEventSenderImpl, nmm_bool(IXDisplayEventSenderImpl:: * )(), nmm_bool >(this, &IXDisplayEventSenderImpl::isSendingMouseEventsDirect));
  
    getEventDispatcher().registerEvent(IXDisplayEventSender::setUsingKeySymKeyEvents_event, new NMM::TEDObject1<IXDisplayEventSenderImpl, nmm_bool, void(IXDisplayEventSenderImpl:: * )(const nmm_bool&), void >(this, &IXDisplayEventSenderImpl::setUsingKeySymKeyEvents));
    getEventDispatcher().addLimited(IXDisplayEventSender::setUsingKeySymKeyEvents_event, INode::STARTED);
  
    getEventDispatcher().registerEvent(IXDisplayEventSender::isUsingKeySymKeyEvents_event, new NMM::TEDObject0<IXDisplayEventSenderImpl, nmm_bool(IXDisplayEventSenderImpl:: * )(), nmm_bool >(this, &IXDisplayEventSenderImpl::isUsingKeySymKeyEvents));
  
    getEventDispatcher().registerEvent(IXDisplayEventSender::setXAutoRepeat_event, new NMM::TEDObject1<IXDisplayEventSenderImpl, nmm_bool, void(IXDisplayEventSenderImpl:: * )(const nmm_bool&), void >(this, &IXDisplayEventSenderImpl::setXAutoRepeat));
  
    getEventDispatcher().registerEvent(IXDisplayEventSender::isXAutoRepeat_event, new NMM::TEDObject0<IXDisplayEventSenderImpl, nmm_bool(IXDisplayEventSenderImpl:: * )(), nmm_bool >(this, &IXDisplayEventSenderImpl::isXAutoRepeat));

  }

}


#include "nmm/nmm_suffix.hpp"

