/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#ifndef _NMM_BRIGHTNESSNODE_HPP_
#define _NMM_BRIGHTNESSNODE_HPP_

#include "nmm/plugins/video/filter/IBrightnessImpl.hpp"
#include "nmm/multimedia/GenericFilterNode.hpp"

namespace NMM {

  class BrightnessNode :
    public GenericFilterNode,
    public IBrightnessImpl
  {
  private:
    float brightness;
    int width;
    int height;
    
  protected:
    virtual Result doInit();
    virtual Result doDeinit();
    virtual Result doInitOutput();
    virtual Result doDeinitOutput();
    
    virtual Buffer* processBuffer(Buffer *in_buffer);
    
  public:
    BrightnessNode(const char *name = "BrightnessNode");
    ~BrightnessNode();
    
    void setBrightness(const nmm_float& brightness);
  };
}

#endif
