/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "IOverlayImpl.hpp"
#include "nmm/comm/serialize/SerializeResult.hpp"
#include "nmm/comm/messaging/TEDObject.hpp"

#include "nmm/nmm_prefix.hpp"


namespace NMM
{
  
  void IOverlayImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IOverlay::setAlpha_event, new NMM::TEDObject1<IOverlayImpl, nmm_float, void(IOverlayImpl:: * )(const nmm_float&), void >(this, &IOverlayImpl::setAlpha));
  
    getEventDispatcher().registerEvent(IOverlay::getAlpha_event, new NMM::TEDObject0<IOverlayImpl, nmm_float(IOverlayImpl:: * )() const, nmm_float >(this, &IOverlayImpl::getAlpha));
  
    getEventDispatcher().registerEvent(IOverlay::setForeground_event, new NMM::TEDObject4<IOverlayImpl, nmm_int32, nmm_int32, nmm_int32, nmm_int32, void(IOverlayImpl:: * )(const nmm_int32&, const nmm_int32&, const nmm_int32&, const nmm_int32&), void >(this, &IOverlayImpl::setForeground));
  
    getEventDispatcher().registerEvent(IOverlay::setForegroundSegment_event, new NMM::TEDObject4<IOverlayImpl, nmm_int32, nmm_int32, nmm_int32, nmm_int32, void(IOverlayImpl:: * )(const nmm_int32&, const nmm_int32&, const nmm_int32&, const nmm_int32&), void >(this, &IOverlayImpl::setForegroundSegment));
  
    getEventDispatcher().registerEvent(IOverlay::disableOverlay_event, new NMM::TEDObject0<IOverlayImpl, Result(IOverlayImpl:: * )(), Result >(this, &IOverlayImpl::disableOverlay));

  }

}


#include "nmm/nmm_suffix.hpp"

