/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#ifndef NMM_ISetOffset_HPP
#define NMM_ISetOffset_HPP

#include "nmm/nmm_prefix.hpp"

#include "nmm/comm/Interface.hpp"
#include "nmm/comm/messaging/Event.hpp"
#include "nmm/comm/messaging/IllegalStateException.hpp"
#include <memory>


#include "visibility.hpp"

namespace NMM
{

  class DLLEXPORT ISetOffset : virtual public NMM::Interface { 
  public:
    ISetOffset() : NMM::Interface(ISetOffset::ISetOffset_type, "NMM") { };

    ISetOffset(NMM::NMMObject& parent) : NMM::Interface (parent, ISetOffset::ISetOffset_type, "NMM") { };

    virtual ~ISetOffset() {};

    static const char* ISetOffset_type;

    virtual  string getInterfaceType() const { return ISetOffset_type; }

    NMM::Interface* copy() const { return new ISetOffset(*this); }
    static void used(); 
    static const char* setOffset_event;
    static const char* getOffset_event;

    virtual void setOffset(const nmm_int32& x, const nmm_int32& y)
      throw(const NMM::SerializedException&);

    virtual void getOffset(nmm_int32& x, nmm_int32& y) const
      throw(const NMM::SerializedException&);


  };

  typedef auto_ptr<ISetOffset> ISetOffset_var;




}

#include "nmm/nmm_suffix.hpp"

#endif
