/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "ISetOffsetImpl.hpp"
#include "nmm/comm/serialize/SerializeResult.hpp"
#include "nmm/comm/messaging/TEDObject.hpp"

#include "nmm/nmm_prefix.hpp"


namespace NMM
{
  
  void ISetOffsetImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(ISetOffset::setOffset_event, new NMM::TEDObject2<ISetOffsetImpl, nmm_int32, nmm_int32, void(ISetOffsetImpl:: * )(const nmm_int32&, const nmm_int32&), void >(this, &ISetOffsetImpl::setOffset));
  
    getEventDispatcher().registerEvent(ISetOffset::getOffset_event, new NMM::TEDObject2<ISetOffsetImpl, nmm_int32, nmm_int32, void(ISetOffsetImpl:: * )(nmm_int32&, nmm_int32&) const, void >(this, &ISetOffsetImpl::getOffset));

  }

}


#include "nmm/nmm_suffix.hpp"

