/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "IVideoMuxImpl.hpp"
#include "nmm/comm/serialize/SerializeResult.hpp"
#include "nmm/comm/messaging/TEDObject.hpp"

#include "nmm/nmm_prefix.hpp"

/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * See file LICENCE for terms and conditions of usage
 *
 */

#include "nmm/comm/serialize/SerializeUtilsTime.hpp"
#include "nmm/utils/time/Time.hpp"

namespace NMM
{
  
  void IVideoMuxImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IVideoMux::getCurrentSyncTime_event, new NMM::TEDObject0<IVideoMuxImpl, Time(IVideoMuxImpl:: * )(), Time >(this, &IVideoMuxImpl::getCurrentSyncTime));
  
    getEventDispatcher().registerEvent(IVideoMux::setPosition_event, new NMM::TEDObject3<IVideoMuxImpl, string, nmm_int32, nmm_int32, void(IVideoMuxImpl:: * )(const string&, const nmm_int32&, const nmm_int32&), void >(this, &IVideoMuxImpl::setPosition));
  
    getEventDispatcher().registerEvent(IVideoMux::setXPositionControl_event, new NMM::TEDObject5<IVideoMuxImpl, string, Time, Time, nmm_int32, nmm_int32, void(IVideoMuxImpl:: * )(const string&, const Time&, const Time&, const nmm_int32&, const nmm_int32&), void >(this, &IVideoMuxImpl::setXPositionControl));
  
    getEventDispatcher().registerEvent(IVideoMux::setYPositionControl_event, new NMM::TEDObject5<IVideoMuxImpl, string, Time, Time, nmm_int32, nmm_int32, void(IVideoMuxImpl:: * )(const string&, const Time&, const Time&, const nmm_int32&, const nmm_int32&), void >(this, &IVideoMuxImpl::setYPositionControl));
  
    getEventDispatcher().registerEvent(IVideoMux::setSize_event, new NMM::TEDObject3<IVideoMuxImpl, string, nmm_int32, nmm_int32, void(IVideoMuxImpl:: * )(const string&, const nmm_int32&, const nmm_int32&), void >(this, &IVideoMuxImpl::setSize));
  
    getEventDispatcher().registerEvent(IVideoMux::setWidthControl_event, new NMM::TEDObject6<IVideoMuxImpl, string, Time, Time, nmm_int32, nmm_int32, IVideoMux::Alignment, void(IVideoMuxImpl:: * )(const string&, const Time&, const Time&, const nmm_int32&, const nmm_int32&, const IVideoMux::Alignment&), void >(this, &IVideoMuxImpl::setWidthControl));
  
    getEventDispatcher().registerEvent(IVideoMux::setHeightControl_event, new NMM::TEDObject6<IVideoMuxImpl, string, Time, Time, nmm_int32, nmm_int32, IVideoMux::Alignment, void(IVideoMuxImpl:: * )(const string&, const Time&, const Time&, const nmm_int32&, const nmm_int32&, const IVideoMux::Alignment&), void >(this, &IVideoMuxImpl::setHeightControl));
  
    getEventDispatcher().registerEvent(IVideoMux::setWidthHeightCouplingEnabled_event, new NMM::TEDObject2<IVideoMuxImpl, string, nmm_bool, void(IVideoMuxImpl:: * )(const string&, const nmm_bool&), void >(this, &IVideoMuxImpl::setWidthHeightCouplingEnabled));
  
    getEventDispatcher().registerEvent(IVideoMux::getWidth_event, new NMM::TEDObject1<IVideoMuxImpl, string, nmm_int32(IVideoMuxImpl:: * )(const string&), nmm_int32 >(this, &IVideoMuxImpl::getWidth));
  
    getEventDispatcher().registerEvent(IVideoMux::getHeight_event, new NMM::TEDObject1<IVideoMuxImpl, string, nmm_int32(IVideoMuxImpl:: * )(const string&), nmm_int32 >(this, &IVideoMuxImpl::getHeight));
  
    getEventDispatcher().registerEvent(IVideoMux::getXPos_event, new NMM::TEDObject1<IVideoMuxImpl, string, nmm_int32(IVideoMuxImpl:: * )(const string&), nmm_int32 >(this, &IVideoMuxImpl::getXPos));
  
    getEventDispatcher().registerEvent(IVideoMux::getYPos_event, new NMM::TEDObject1<IVideoMuxImpl, string, nmm_int32(IVideoMuxImpl:: * )(const string&), nmm_int32 >(this, &IVideoMuxImpl::getYPos));

  }

}


#include "nmm/nmm_suffix.hpp"

