/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *  
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *  
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#ifndef _NMM_DECOBORDER_HPP_
#define _NMM_DECOBORDER_HPP_ _NMM_DECOBORDER_HPP_

#include "nmm/nmm_prefix.hpp"

#include "Decorator.hpp"

#include "nmm/plugins/video/osd/manager/interfaces/IBorderDecoratorImpl.hpp"

namespace NMM {
  
  class BorderDecorator : virtual public Decorator,
                          virtual public IBorderDecoratorImpl {
  protected:
    unsigned int borderwidth;
    unsigned int bordercolor;
    
    /**
     * Draws a border around a workspace.
     * @param ws pointer to the workspace
     * @param width width of the workspace
     * @param height height of the workspace
     * @param bwith width of the border
     */
    void drawBorder( workspace_t* ws, unsigned int bwidth );
    
  public:
    BorderDecorator();
    
    /** IBorderDecorator interface. */
    virtual void setBorderWidth( const nmm_uint32& bw );
    virtual void setBorderColor( const nmm_uint32& color );
    
    /**
     * Draws Widget with border
     */
    virtual void draw( workspace_t* ws );
    
  }; // BorderDecorator
} // NMM

#include "nmm/nmm_suffix.hpp"

#endif //_NMM_DECOBORDER_HPP_
