/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *  
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *  
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#ifndef _NMM_DECORATORS_HPP_
#define _NMM_DECORATORS_HPP_ _NMM_DECORATORS_HPP_

#include "nmm/nmm_prefix.hpp"

#include "Widget.hpp"

#include "interfaces/IDecoratorImpl.hpp"
#include "visibility.hpp"
namespace NMM {
  
  /**
   * Decorator.
   */
  class DLLEXPORT Decorator : virtual public Widget,
                    virtual public IDecoratorImpl {
  protected:
    Widget* vcomponent;
    
  public:
    Decorator();
    
    void setOwnInternalWidget( Widget* vc );
    Widget* getOwnInternalWidget() const;
    
    /** IDecorator interface. */
    virtual IWidget* getInternalWidget() const;
    virtual void setInternalWidget(const IWidget& widget);
    
    virtual void setPosition( const nmm_uint32& x, const nmm_uint32& y );
    virtual void setDimension( const nmm_uint32& w, const nmm_uint32& h );
    
    virtual void draw( workspace_t* ws );
    
  }; // Decorator
  
} // NMM

#include "nmm/nmm_suffix.hpp"

#endif //_NMM_DECORATORS_HPP_
