/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *  
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *  
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#ifndef _NMM_WGIMAGEVIEW_HPP_
#define _NMM_WGIMAGEVIEW_HPP_ _NMM_WGIMAGEVIEW_HPP_

#include "nmm/nmm_prefix.hpp"

#include "Widget.hpp"
#include "interfaces/IImageViewImpl.hpp"

namespace NMM {
  class BitmapReader;
  /**
   * Image view widget.
   */
  class ImageView : virtual public Widget,
                    virtual public IImageViewImpl {
    
  protected:
    BitmapReader*  bitmapreader;
    string         bitmapid;
    
    /**
     * Paint bitmap to workspace with transparency.
     * @param id bitmap identifier
     * @param ws pointer to rgba workspace
     */
    void overlayBitmap( string id, workspace_t* ws );
    
  public:
    ImageView();
    virtual ~ImageView();
    
    /** Set Bitmap reader that handles bitmap identifiers. */
    void setBitmapReader( BitmapReader* br );
    
    /** IImageView interface. */
    void setBitmapID( const string& id );
    
    void draw( workspace_t* ws );
  }; // ImageView
}

#include "nmm/nmm_suffix.hpp"

#endif //_NMM_WGIMAGEVIEW_HPP_
