/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *  
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *  
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#ifndef _NMM_MESSAGEUNIT_HPP_
#define _NMM_MESSAGEUNIT_HPP_ _NMM_MESSAGEUNIT_HPP_

#include "nmm/nmm_prefix.hpp"

#include "OSDElement.hpp"

#include "nmm/plugins/video/osd/manager/interfaces/ITextView.hpp"
#include "nmm/plugins/video/osd/manager/interfaces/IRadioButtons.hpp"
#include "nmm/plugins/video/osd/manager/interfaces/IBorderDecorator.hpp"
#include "nmm/plugins/video/osd/manager/interfaces/IPlaneDecorator.hpp"
#include "nmm/plugins/video/osd/manager/interfaces/IScrollDecorator.hpp"
#include "nmm/plugins/video/osd/manager/interfaces/IHeaderDecorator.hpp"
#include "visibility.hpp"
namespace NMM {
  class DLLEXPORT MessageUnit : public OSDElement {
  public:
    
    MessageUnit( IOSDManager* manager, IWidgetFactory* factory, string font );
    ~MessageUnit();
    
    Result selectLeft();
    Result selectRight();
    string messageID();
    
    Result print( string headerstr, string text, string label1, string label2="", string label3="", unsigned int sel=0 );
    
  protected:
    void deleteWidgets();
    
    string font;
    
    ITextView_var        text;
    IPlaneDecorator_var  plane;
    IBorderDecorator_var border;
    IHeaderDecorator_var header;
    IWidgetComposite_var composite;
    IRadioButtons_var    radiobuttons;
  };
  
}

#include "nmm/nmm_suffix.hpp"

#endif //_NMM_MESSAGEUNIT_HPP_
