/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *  
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *  
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#ifndef _NMM_DECOPLANE_HPP_
#define _NMM_DECOPLANE_HPP_ _NMM_DECOPLANE_HPP_

#include "nmm/nmm_prefix.hpp"

#include "Decorator.hpp"

#include "nmm/plugins/video/osd/manager/interfaces/IPlaneDecoratorImpl.hpp"

namespace NMM {
  
  /*****************************************************************************************/
  /* PlaneDecorator   									   */
  /*****************************************************************************************/
  class PlaneDecorator : virtual public Decorator,
                         virtual public IPlaneDecoratorImpl {
  protected:
    unsigned int planecolor;
    
    /**
     * Draws a rectangle plane.
     * @param ws pointer to the workspace
     * @param width width of the workspace
     * @param height height of the workspace
     */
    void drawPlane( workspace_t* ws );
    
  public:
    PlaneDecorator();
    
    /** IPlaneDecorator interface. */
    virtual void setPlaneColor( const nmm_uint32& color );
    
    /** Draws Widget with plane. */
    virtual void draw( workspace_t* ws );
    
  }; // PlaneDecorator
} // NMM

#include "nmm/nmm_suffix.hpp"

#endif //_NMM_DECOPLANE_HPP_
