/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *  
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *  
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#ifndef _NMM_WGPROGRESSBAR_HPP_
#define _NMM_WGPROGRESSBAR_HPP_ _NMM_WGPROGRESSBAR_HPP_

#include "nmm/nmm_prefix.hpp"

#include "Widget.hpp"

#include "interfaces/IProgressBarImpl.hpp"

namespace NMM {
  
  /**
   * Progressbar widget.
   */
  class ProgressBar : virtual public Widget,
                      virtual public IProgressBarImpl {
    
  protected:
    u_int64_t max;
    u_int64_t progress;
    u_int32_t barcolor;
    unsigned int space;		   // space between progress bars
    unsigned int space_step;       // gap between spaces
    
    void drawBar( workspace_t* ws );
    
  public:
    ProgressBar();
    virtual ~ProgressBar();
    
    /** IProgressBar interface. */
    virtual void setMaxProgress(const nmm_uint64& value);
    virtual void setProgress(const nmm_uint64& value);
    virtual void setBarColor(const nmm_uint32& value);
    virtual void setBarSpaces(const nmm_uint32& space, const nmm_uint32& space_step);
    
    void draw( workspace_t* ws );
  }; // ProgressBar
}

#include "nmm/nmm_suffix.hpp"

#endif //_NMM_WGPROGRESSBAR_HPP_
