/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *  
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *  
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#ifndef _NMM_PROGRESSBARUNIT_HPP_
#define _NMM_PROGRESSBARUNIT_HPP_ _NMM_PROGRESSBARUNIT_HPP_

#include "nmm/nmm_prefix.hpp"

#include "OSDElement.hpp"

//#include "nmm/interfaces/video/osd/manager/IProgressBar.hpp"
//#include "nmm/interfaces/video/osd/manager/IBorderDecorator.hpp"
//#include "nmm/interfaces/video/osd/manager/IPlaneDecorator.hpp"
//#include "nmm/interfaces/video/osd/manager/IHeaderDecorator.hpp"

namespace NMM {
  class ProgressbarUnit : public OSDElement {
  public:
    
    ProgressbarUnit( IOSDManager* manager, IWidgetFactory* factory, string font );
    ~ProgressbarUnit();
    
    /**
     * \param color1 color of plane
     * \param color2 color of bar
     */
    void setColors( unsigned int color1, unsigned int color2 );

    /**
     * \param width the width (in pixels) of the progress bar
     */
    void setWidth(unsigned int width);

    /* methods that are passed through ProgrssBar class */
    void setMaxProgress( u_int64_t max );
    void setProgress( u_int64_t progress );
    void setBarSpaces( unsigned int space, unsigned int space_step );

    /* methods that are passed through HeaderDecorator class */
    void setHeader( string h );
    
  protected:
    string   font;
    
    void deleteWidgets();
    
    IProgressBar_var      bar;
    IPlaneDecorator_var   plane;
    IBorderDecorator_var  border;
    IHeaderDecorator_var  header;
  };
  
}

#include "nmm/nmm_suffix.hpp"

#endif //_NMM_PROGRESSBARUNIT_HPP_
