/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *  
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *  
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#ifndef _NMM_WGRADIOBUTTONS_HPP_
#define _NMM_WGRADIOBUTTONS_HPP_ _NMM_WGRADIOBUTTONS_HPP_

#include "nmm/nmm_prefix.hpp"

#include "Buttons.hpp"

#include "nmm/plugins/video/osd/manager/interfaces/IRadioButtonsImpl.hpp"

namespace NMM {
  
  /**
   * Radio buttons widget.
   */
  class RadioButtons : virtual public Buttons,
                       virtual public IRadioButtonsImpl {
    
  public:
    RadioButtons();
    virtual ~RadioButtons();

    // BEGIN> IButtons interface
    /** Activates the given button (deactivates all others) */
    virtual void activateButton( const nmm_int32& buttonid );
    
    /** Activates the selected button (deactivates all others) */
    virtual void selectPush();
    // END< IButtons interface
    
  }; // RadioButtons
}

#include "nmm/nmm_suffix.hpp"

#endif //_NMM_WGRADIOBUTTONS_HPP_
