/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *  
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *  
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#ifndef _NMM_TEXTDRAW_HPP_
#define _NMM_TEXTDRAW_HPP_ _NMM_TEXTDRAW_HPP_

#include "nmm/nmm_prefix.hpp"

namespace NMM {
  class BitmapFont;
  class TextDraw {
    public:
    /**
    * draw text within a given rectangle
    * \param text text that should be drawn
    * \param font font that should be used to draw the text
    * \param frame destination where the text should be drawn to
    * \param xstart x position where the painting should begin
    * \param xstart y position where the painting should begin
    * \param xend x end position where the painting should stop
    * \param yend y end position where the painting should stop
    * \param stride number of pixel to get into the next line
    */
    bool draw( const char* text, BitmapFont* font, unsigned int* frame, unsigned int stride,
               unsigned int xstart, unsigned int ystart,
               unsigned int xend, unsigned int yend );


  }; // TextDraw

}
#include "nmm/nmm_suffix.hpp"

#endif //_NMM_TEXTDRAW_HPP_

