/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *  
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *  
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#ifndef _NMM_TIMEUNIT_HPP_
#define _NMM_TIMEUNIT_HPP_ _NMM_TIMEUNIT_HPP_

#include "nmm/nmm_prefix.hpp"

#include "OSDElement.hpp"
#include "nmm/plugins/video/osd/manager/interfaces/ITimeView.hpp"
#include "nmm/plugins/video/osd/manager/interfaces/IPlaneDecorator.hpp"
#include "nmm/plugins/video/osd/manager/interfaces/IBorderDecorator.hpp"
#include "nmm/plugins/video/osd/manager/interfaces/IHeaderDecorator.hpp"
#include "visibility.hpp"

namespace NMM {
  class DLLEXPORT TimeUnit : public OSDElement {
  public:
    
    TimeUnit(IOSDManager* manager, IWidgetFactory* factory, string font);
    ~TimeUnit();
    
    void setColors( unsigned int color );
    void setPrefix( string p ) { text->setPrefix( p ); };
    void setTimeOffset( long to ) { text->setTimeOffset( to ); };
    void setCurrentTime( long t ) { text->setCurrentTime( t ); };
    long getCurrentTime() { return text->getCurrentTime(); };
    
    /* methods that are passed through HeaderDecorator class */
    void setHeader( string h );
    
  protected:
    unsigned int  color1;
    
    void deleteWidgets();
    string font;
    
    ITimeView_var        text;
    IPlaneDecorator_var  plane;
    IBorderDecorator_var border;
    IHeaderDecorator_var  header;
  };
  
}

#include "nmm/nmm_suffix.hpp"

#endif //_NMM_TIMEUNIT_HPP_
