/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *  
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *  
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#ifndef _NMM_WORKSPACE_HPP_
#define _NMM_WORKSPACE_HPP_ _NMM_WORKSPACE_HPP_

#include "nmm/nmm_prefix.hpp"

namespace NMM {
  /* Structure of a workspace that is used as draw surface */
  typedef struct workspace_t {
    unsigned char* data;	/* pointer to pixel data */
    unsigned int   width;	/* width of the bitmap */
    unsigned int   height;	/* height of the bitmap */
    unsigned int   stride;	/* number of pixels to get into the next line */
    unsigned char  format;	/* color format of the pixel data (not used at the moment)
    				   pixel data is always rgba format that means 32 bit per pixel */
  };
} // NMM

#include "nmm/nmm_suffix.hpp"

#endif //_NMM_WORKSPACE_HPP_
