/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "IBitmapReaderImpl.hpp"
#include "nmm/comm/serialize/SerializeResult.hpp"
#include "nmm/comm/messaging/TEDObject.hpp"

#include "nmm/nmm_prefix.hpp"


namespace NMM
{
  
  void IBitmapReaderImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IBitmapReader::loadImage_event, new NMM::TEDObject3<IBitmapReaderImpl, string, string, IBitmapReader::Format, nmm_bool(IBitmapReaderImpl:: * )(const string&, const string&, const IBitmapReader::Format&), nmm_bool >(this, &IBitmapReaderImpl::loadImage));
  
    getEventDispatcher().registerEvent(IBitmapReader::getImage_event, new NMM::TEDObject3<IBitmapReaderImpl, string, nmm_uint32, nmm_uint32, void(IBitmapReaderImpl:: * )(const string&, nmm_uint32&, nmm_uint32&), void >(this, &IBitmapReaderImpl::getImage));
  
    getEventDispatcher().registerEvent(IBitmapReader::createImage_event, new NMM::TEDObject7<IBitmapReaderImpl, string, nmm_uint32, nmm_uint32, nmm_uint32, nmm_uint32, nmm_uint32, IBitmapReader::Format, nmm_bool(IBitmapReaderImpl:: * )(const string&, const nmm_uint32&, const nmm_uint32&, const nmm_uint32&, const nmm_uint32&, const nmm_uint32&, const IBitmapReader::Format&), nmm_bool >(this, &IBitmapReaderImpl::createImage));
  
    getEventDispatcher().registerEvent(IBitmapReader::freeImage_event, new NMM::TEDObject1<IBitmapReaderImpl, string, void(IBitmapReaderImpl:: * )(const string&), void >(this, &IBitmapReaderImpl::freeImage));
  
    getEventDispatcher().registerEvent(IBitmapReader::freeAll_event, new NMM::TEDObject0<IBitmapReaderImpl, void(IBitmapReaderImpl:: * )(), void >(this, &IBitmapReaderImpl::freeAll));

  }

}


#include "nmm/nmm_suffix.hpp"

