/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "IButtonsImpl.hpp"
#include "nmm/comm/serialize/SerializeResult.hpp"
#include "nmm/comm/messaging/TEDObject.hpp"

#include "nmm/nmm_prefix.hpp"


namespace NMM
{
  
  void IButtonsImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IButtons::addButton_event, new NMM::TEDObject7<IButtonsImpl, nmm_int32, string, nmm_int32, nmm_int32, string, string, string, void(IButtonsImpl:: * )(const nmm_int32&, const string&, const nmm_int32&, const nmm_int32&, const string&, const string&, const string&), void >(this, &IButtonsImpl::addButton));
  
    getEventDispatcher().registerEvent(IButtons::getButtonLabel_event, new NMM::TEDObject1<IButtonsImpl, nmm_int32, string(IButtonsImpl:: * )(const nmm_int32&), string >(this, &IButtonsImpl::getButtonLabel));
  
    getEventDispatcher().registerEvent(IButtons::getSelectedButtonLabel_event, new NMM::TEDObject0<IButtonsImpl, string(IButtonsImpl:: * )(), string >(this, &IButtonsImpl::getSelectedButtonLabel));
  
    getEventDispatcher().registerEvent(IButtons::getButtonState_event, new NMM::TEDObject1<IButtonsImpl, nmm_int32, nmm_bool(IButtonsImpl:: * )(const nmm_int32&), nmm_bool >(this, &IButtonsImpl::getButtonState));
  
    getEventDispatcher().registerEvent(IButtons::deleteButton_event, new NMM::TEDObject1<IButtonsImpl, nmm_int32, void(IButtonsImpl:: * )(const nmm_int32&), void >(this, &IButtonsImpl::deleteButton));
  
    getEventDispatcher().registerEvent(IButtons::deleteAllButtons_event, new NMM::TEDObject0<IButtonsImpl, void(IButtonsImpl:: * )(), void >(this, &IButtonsImpl::deleteAllButtons));
  
    getEventDispatcher().registerEvent(IButtons::selectButton_event, new NMM::TEDObject1<IButtonsImpl, nmm_int32, nmm_int32(IButtonsImpl:: * )(const nmm_int32&), nmm_int32 >(this, &IButtonsImpl::selectButton));
  
    getEventDispatcher().registerEvent(IButtons::setStep_event, new NMM::TEDObject1<IButtonsImpl, nmm_uint32, void(IButtonsImpl:: * )(const nmm_uint32&), void >(this, &IButtonsImpl::setStep));
  
    getEventDispatcher().registerEvent(IButtons::deselectButton_event, new NMM::TEDObject0<IButtonsImpl, void(IButtonsImpl:: * )(), void >(this, &IButtonsImpl::deselectButton));
  
    getEventDispatcher().registerEvent(IButtons::activateButton_event, new NMM::TEDObject1<IButtonsImpl, nmm_int32, void(IButtonsImpl:: * )(const nmm_int32&), void >(this, &IButtonsImpl::activateButton));
  
    getEventDispatcher().registerEvent(IButtons::deactivateButton_event, new NMM::TEDObject1<IButtonsImpl, nmm_int32, void(IButtonsImpl:: * )(const nmm_int32&), void >(this, &IButtonsImpl::deactivateButton));
  
    getEventDispatcher().registerEvent(IButtons::deactivateAllButtons_event, new NMM::TEDObject0<IButtonsImpl, void(IButtonsImpl:: * )(), void >(this, &IButtonsImpl::deactivateAllButtons));

  }

}


#include "nmm/nmm_suffix.hpp"

