/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#ifndef NMM_IRadioButtons_HPP
#define NMM_IRadioButtons_HPP

#include "nmm/nmm_prefix.hpp"

#include "nmm/comm/Interface.hpp"
#include "nmm/comm/messaging/Event.hpp"
#include "nmm/comm/messaging/IllegalStateException.hpp"
#include <memory>

#include "IButtons.hpp"

#include "visibility.hpp"

namespace NMM
{
  /**
   * Radio buttons widget interface.
   * The activateButton methods work slightly different on this kind of widget.
   * If one button is activated, all other buttons are deactivated.
   */

  class DLLEXPORT IRadioButtons : virtual public IButtons { 
  public:
    IRadioButtons() : NMM::Interface(IRadioButtons::IRadioButtons_type, "NMM") { };

    IRadioButtons(NMM::NMMObject& parent) : NMM::Interface (parent, IRadioButtons::IRadioButtons_type, "NMM") { };

    virtual ~IRadioButtons() {};

    static const char* IRadioButtons_type;

    virtual  string getInterfaceType() const { return IRadioButtons_type; }

    NMM::Interface* copy() const { return new IRadioButtons(*this); }
    static void used(); 


  };

  typedef auto_ptr<IRadioButtons> IRadioButtons_var;




}

#include "nmm/nmm_suffix.hpp"

#endif
