/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "IScrollDecoratorImpl.hpp"
#include "nmm/comm/serialize/SerializeResult.hpp"
#include "nmm/comm/messaging/TEDObject.hpp"

#include "nmm/nmm_prefix.hpp"


namespace NMM
{
  
  void IScrollDecoratorImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IScrollDecorator::setBarWidth_event, new NMM::TEDObject1<IScrollDecoratorImpl, nmm_uint32, void(IScrollDecoratorImpl:: * )(const nmm_uint32&), void >(this, &IScrollDecoratorImpl::setBarWidth));
  
    getEventDispatcher().registerEvent(IScrollDecorator::setBackgroundColor_event, new NMM::TEDObject1<IScrollDecoratorImpl, nmm_uint32, void(IScrollDecoratorImpl:: * )(const nmm_uint32&), void >(this, &IScrollDecoratorImpl::setBackgroundColor));
  
    getEventDispatcher().registerEvent(IScrollDecorator::setBorderColor_event, new NMM::TEDObject1<IScrollDecoratorImpl, nmm_uint32, void(IScrollDecoratorImpl:: * )(const nmm_uint32&), void >(this, &IScrollDecoratorImpl::setBorderColor));
  
    getEventDispatcher().registerEvent(IScrollDecorator::setBarColor_event, new NMM::TEDObject1<IScrollDecoratorImpl, nmm_uint32, void(IScrollDecoratorImpl:: * )(const nmm_uint32&), void >(this, &IScrollDecoratorImpl::setBarColor));
  
    getEventDispatcher().registerEvent(IScrollDecorator::setBarBorderColors_event, new NMM::TEDObject2<IScrollDecoratorImpl, nmm_uint32, nmm_uint32, void(IScrollDecoratorImpl:: * )(const nmm_uint32&, const nmm_uint32&), void >(this, &IScrollDecoratorImpl::setBarBorderColors));

  }

}


#include "nmm/nmm_suffix.hpp"

