/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#ifndef NMM_IScrollDecoratorImpl_HPP
#define NMM_IScrollDecoratorImpl_HPP

#include "nmm/nmm_prefix.hpp"

#include "nmm/comm/NMMObject.hpp"
#include "IScrollDecorator.hpp"

#include "IDecoratorImpl.hpp"

#include "visibility.hpp"

namespace NMM
{
  /**
   * Scroll decorator interface.
   */

  class DLLEXPORT IScrollDecoratorImpl  : virtual public IDecoratorImpl { 
  public:
    IScrollDecoratorImpl() { addInterface(new IScrollDecorator(*this)); registerEvents(); };

    virtual ~IScrollDecoratorImpl() {};

  protected:

    virtual void setBarWidth(const nmm_uint32& bw) = 0;

    virtual void setBackgroundColor(const nmm_uint32& bcolor) = 0;

    virtual void setBorderColor(const nmm_uint32& bcolor) = 0;

    virtual void setBarColor(const nmm_uint32& bcolor) = 0;

    virtual void setBarBorderColors(const nmm_uint32& bcolor1, const nmm_uint32& bcolor2) = 0;


  private:
    void registerEvents();
  };

}

#include "nmm/nmm_suffix.hpp"

#endif
