/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "ITimeViewImpl.hpp"
#include "nmm/comm/serialize/SerializeResult.hpp"
#include "nmm/comm/messaging/TEDObject.hpp"

#include "nmm/nmm_prefix.hpp"


namespace NMM
{
  
  void ITimeViewImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(ITimeView::setFont_event, new NMM::TEDObject1<ITimeViewImpl, string, void(ITimeViewImpl:: * )(const string&), void >(this, &ITimeViewImpl::setFont));
  
    getEventDispatcher().registerEvent(ITimeView::setPrefix_event, new NMM::TEDObject1<ITimeViewImpl, string, void(ITimeViewImpl:: * )(const string&), void >(this, &ITimeViewImpl::setPrefix));
  
    getEventDispatcher().registerEvent(ITimeView::setTimeOffset_event, new NMM::TEDObject1<ITimeViewImpl, nmm_int32, void(ITimeViewImpl:: * )(const nmm_int32&), void >(this, &ITimeViewImpl::setTimeOffset));
  
    getEventDispatcher().registerEvent(ITimeView::setCurrentTime_event, new NMM::TEDObject1<ITimeViewImpl, nmm_int32, void(ITimeViewImpl:: * )(const nmm_int32&), void >(this, &ITimeViewImpl::setCurrentTime));
  
    getEventDispatcher().registerEvent(ITimeView::getCurrentTime_event, new NMM::TEDObject0<ITimeViewImpl, nmm_int32(ITimeViewImpl:: * )(), nmm_int32 >(this, &ITimeViewImpl::getCurrentTime));
  
    getEventDispatcher().registerEvent(ITimeView::reset_event, new NMM::TEDObject0<ITimeViewImpl, void(ITimeViewImpl:: * )(), void >(this, &ITimeViewImpl::reset));

  }

}


#include "nmm/nmm_suffix.hpp"

