/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#ifndef NMM_IWidgetCompositeImpl_HPP
#define NMM_IWidgetCompositeImpl_HPP

#include "nmm/nmm_prefix.hpp"

#include "nmm/comm/NMMObject.hpp"
#include "IWidgetComposite.hpp"

#include "IWidgetImpl.hpp"

#include "visibility.hpp"

namespace NMM
{
  /**
   * Widget composite interfaced.
   */

  class DLLEXPORT IWidgetCompositeImpl  : virtual public IWidgetImpl { 
  public:
    IWidgetCompositeImpl() { addInterface(new IWidgetComposite(*this)); registerEvents(); };

    virtual ~IWidgetCompositeImpl() {};

  protected:
    /** Add widget to composite object. */

    virtual void add(const IWidget& wg) = 0;
    /** Remove widget from composite object. */

    virtual void remove(const IWidget& wg) = 0;
    /** Remove all widgets from composite object. */

    virtual void removeAll() = 0;


  private:
    void registerEvents();
  };

}

#include "nmm/nmm_suffix.hpp"

#endif
