/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "IWidgetFactoryImpl.hpp"
#include "nmm/comm/serialize/SerializeResult.hpp"
#include "nmm/comm/messaging/TEDObject.hpp"

#include "nmm/nmm_prefix.hpp"


namespace NMM
{
  
  void IWidgetFactoryImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IWidgetFactory::createWidgetComposite_event, new NMM::TEDObject0<IWidgetFactoryImpl, IWidgetComposite*(IWidgetFactoryImpl:: * )(), IWidgetComposite* >(this, &IWidgetFactoryImpl::createWidgetComposite));
  
    getEventDispatcher().registerEvent(IWidgetFactory::createProgressBar_event, new NMM::TEDObject0<IWidgetFactoryImpl, IProgressBar*(IWidgetFactoryImpl:: * )(), IProgressBar* >(this, &IWidgetFactoryImpl::createProgressBar));
  
    getEventDispatcher().registerEvent(IWidgetFactory::createTextView_event, new NMM::TEDObject0<IWidgetFactoryImpl, ITextView*(IWidgetFactoryImpl:: * )(), ITextView* >(this, &IWidgetFactoryImpl::createTextView));
  
    getEventDispatcher().registerEvent(IWidgetFactory::createTimeView_event, new NMM::TEDObject0<IWidgetFactoryImpl, ITimeView*(IWidgetFactoryImpl:: * )(), ITimeView* >(this, &IWidgetFactoryImpl::createTimeView));
  
    getEventDispatcher().registerEvent(IWidgetFactory::createImageView_event, new NMM::TEDObject0<IWidgetFactoryImpl, IImageView*(IWidgetFactoryImpl:: * )(), IImageView* >(this, &IWidgetFactoryImpl::createImageView));
  
    getEventDispatcher().registerEvent(IWidgetFactory::createRadioButtons_event, new NMM::TEDObject0<IWidgetFactoryImpl, IRadioButtons*(IWidgetFactoryImpl:: * )(), IRadioButtons* >(this, &IWidgetFactoryImpl::createRadioButtons));
  
    getEventDispatcher().registerEvent(IWidgetFactory::createButtons_event, new NMM::TEDObject0<IWidgetFactoryImpl, IButtons*(IWidgetFactoryImpl:: * )(), IButtons* >(this, &IWidgetFactoryImpl::createButtons));
  
    getEventDispatcher().registerEvent(IWidgetFactory::createBorderDecorator_event, new NMM::TEDObject1<IWidgetFactoryImpl, IWidget, IBorderDecorator*(IWidgetFactoryImpl:: * )(const IWidget&), IBorderDecorator* >(this, &IWidgetFactoryImpl::createBorderDecorator));
  
    getEventDispatcher().registerEvent(IWidgetFactory::createHeaderDecorator_event, new NMM::TEDObject1<IWidgetFactoryImpl, IWidget, IHeaderDecorator*(IWidgetFactoryImpl:: * )(const IWidget&), IHeaderDecorator* >(this, &IWidgetFactoryImpl::createHeaderDecorator));
  
    getEventDispatcher().registerEvent(IWidgetFactory::createPlaneDecorator_event, new NMM::TEDObject1<IWidgetFactoryImpl, IWidget, IPlaneDecorator*(IWidgetFactoryImpl:: * )(const IWidget&), IPlaneDecorator* >(this, &IWidgetFactoryImpl::createPlaneDecorator));
  
    getEventDispatcher().registerEvent(IWidgetFactory::createScrollDecorator_event, new NMM::TEDObject1<IWidgetFactoryImpl, IWidget, IScrollDecorator*(IWidgetFactoryImpl:: * )(const IWidget&), IScrollDecorator* >(this, &IWidgetFactoryImpl::createScrollDecorator));

  }

}


#include "nmm/nmm_suffix.hpp"

