/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "IWidgetImpl.hpp"
#include "nmm/comm/serialize/SerializeResult.hpp"
#include "nmm/comm/messaging/TEDObject.hpp"

#include "nmm/nmm_prefix.hpp"


namespace NMM
{
  
  void IWidgetImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IWidget::selectRight_event, new NMM::TEDObject0<IWidgetImpl, void(IWidgetImpl:: * )(), void >(this, &IWidgetImpl::selectRight));
  
    getEventDispatcher().registerEvent(IWidget::selectLeft_event, new NMM::TEDObject0<IWidgetImpl, void(IWidgetImpl:: * )(), void >(this, &IWidgetImpl::selectLeft));
  
    getEventDispatcher().registerEvent(IWidget::selectUp_event, new NMM::TEDObject0<IWidgetImpl, void(IWidgetImpl:: * )(), void >(this, &IWidgetImpl::selectUp));
  
    getEventDispatcher().registerEvent(IWidget::selectDown_event, new NMM::TEDObject0<IWidgetImpl, void(IWidgetImpl:: * )(), void >(this, &IWidgetImpl::selectDown));
  
    getEventDispatcher().registerEvent(IWidget::selectPush_event, new NMM::TEDObject0<IWidgetImpl, void(IWidgetImpl:: * )(), void >(this, &IWidgetImpl::selectPush));
  
    getEventDispatcher().registerEvent(IWidget::getWidgetID_event, new NMM::TEDObject0<IWidgetImpl, nmm_int32(IWidgetImpl:: * )() const, nmm_int32 >(this, &IWidgetImpl::getWidgetID));
  
    getEventDispatcher().registerEvent(IWidget::setPosition_event, new NMM::TEDObject2<IWidgetImpl, nmm_uint32, nmm_uint32, void(IWidgetImpl:: * )(const nmm_uint32&, const nmm_uint32&), void >(this, &IWidgetImpl::setPosition));
  
    getEventDispatcher().registerEvent(IWidget::setDimension_event, new NMM::TEDObject2<IWidgetImpl, nmm_uint32, nmm_uint32, void(IWidgetImpl:: * )(const nmm_uint32&, const nmm_uint32&), void >(this, &IWidgetImpl::setDimension));
  
    getEventDispatcher().registerEvent(IWidget::getPosition_event, new NMM::TEDObject2<IWidgetImpl, nmm_uint32, nmm_uint32, void(IWidgetImpl:: * )(nmm_uint32&, nmm_uint32&) const, void >(this, &IWidgetImpl::getPosition));
  
    getEventDispatcher().registerEvent(IWidget::getDimension_event, new NMM::TEDObject2<IWidgetImpl, nmm_uint32, nmm_uint32, void(IWidgetImpl:: * )(nmm_uint32&, nmm_uint32&) const, void >(this, &IWidgetImpl::getDimension));

  }

}


#include "nmm/nmm_suffix.hpp"

