/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#ifndef NMM_IDVBSimulator_HPP
#define NMM_IDVBSimulator_HPP

#include "nmm/nmm_prefix.hpp"

#include "nmm/comm/Interface.hpp"
#include "nmm/comm/messaging/Event.hpp"
#include "nmm/comm/messaging/IllegalStateException.hpp"
#include <memory>

#include "nmm/multimedia/INode.hpp"
#include "nmm/plugins/video/tv/interfaces/ITVCard.hpp"

#include "visibility.hpp"

namespace NMM
{

  class DLLEXPORT IDVBSimulator : virtual public ITVCard { 
  public:
    IDVBSimulator() : NMM::Interface(IDVBSimulator::IDVBSimulator_type, "NMM") { };

    IDVBSimulator(NMM::NMMObject& parent) : NMM::Interface (parent, IDVBSimulator::IDVBSimulator_type, "NMM") { };

    virtual ~IDVBSimulator() {};

    static const char* IDVBSimulator_type;

    virtual  string getInterfaceType() const { return IDVBSimulator_type; }

    NMM::Interface* copy() const { return new IDVBSimulator(*this); }
    static void used(); 
    static const char* setWorkingDirectory_event;

    virtual void setWorkingDirectory(const string& dir) /* limited(INode::CONSTRUCTED) */
      throw(const NMM::SerializedException&, const NMM::IllegalStateException&);


  };

  typedef auto_ptr<IDVBSimulator> IDVBSimulator_var;




}

#include "nmm/nmm_suffix.hpp"

#endif
