/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *  
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *  
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */
#ifndef CHANNELNOTFOUNDEXCEPTION_HPP
#define CHANNELNOTFOUNDEXCEPTION_HPP CHANNELNOTFOUNDEXCEPTION_HPP

#include "nmm/nmm_prefix.hpp"

#include "nmm/comm/serialize/SerializedException.hpp"

namespace NMM{

  /**
   * Exception if a channel could not be found in the list
   */
  class ChannelNotFoundException : public SerializedException{
    NMM::TValue<string> channelName;
    NMM::TValue<nmm_uint32> channelNumber;
  public:
    ChannelNotFoundException();
    ChannelNotFoundException(string channel);
    ChannelNotFoundException(unsigned int channel);

    ChannelNotFoundException* copy() const { return new ChannelNotFoundException(*this); }

    /**
     *get the requested channel-number
     */
    const unsigned int& getChannelNumber(){return channelNumber.getRValue();}
    /**
       get the requested channel-name
    */
    const string& getChannelName(){return channelName.getRValue();}
  private:
    void registerAttributes();    
  };

}
#include "nmm/nmm_suffix.hpp"

#endif
