/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "IChannelInfoImpl.hpp"
#include "nmm/comm/serialize/SerializeResult.hpp"
#include "nmm/comm/messaging/TEDObject.hpp"

#include "nmm/nmm_prefix.hpp"


namespace NMM
{
  
  void IChannelInfoImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IChannelInfo::hasChannel_event, new NMM::TEDObject2<IChannelInfoImpl, nmm_int32, string, Result(IChannelInfoImpl:: * )(nmm_int32&, const string&), Result >(this, &IChannelInfoImpl::hasChannel));
  
    getEventDispatcher().registerEvent(IChannelInfo::getChannelList_event, new NMM::TEDObject0<IChannelInfoImpl, TVChannelList(IChannelInfoImpl:: * )(), TVChannelList >(this, &IChannelInfoImpl::getChannelList));
  
    getEventDispatcher().registerEvent(IChannelInfo::setChannelConfigFile_event, new NMM::TEDObject1<IChannelInfoImpl, string, void(IChannelInfoImpl:: * )(const string&), void >(this, &IChannelInfoImpl::setChannelConfigFile));
    getEventDispatcher().addLimited(IChannelInfo::setChannelConfigFile_event, INode::CONSTRUCTED);

  }

}


#include "nmm/nmm_suffix.hpp"

