/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "IEPGImpl.hpp"
#include "nmm/comm/serialize/SerializeResult.hpp"
#include "nmm/comm/messaging/TEDObject.hpp"

#include "nmm/nmm_prefix.hpp"


namespace NMM
{
  
  void IEPGImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IEPG::getCurrentShow_event, new NMM::TEDObject0<IEPGImpl, string(IEPGImpl:: * )(), string >(this, &IEPGImpl::getCurrentShow));
    getEventDispatcher().addLimited(IEPG::getCurrentShow_event, INode::INITIALIZED);
    getEventDispatcher().addLimited(IEPG::getCurrentShow_event, INode::ACTIVATED);
    getEventDispatcher().addLimited(IEPG::getCurrentShow_event, INode::STARTED);
    getEventDispatcher().addLimited(IEPG::getCurrentShow_event, INode::OUTPUT_INITIALIZED);
  
    getEventDispatcher().registerEvent(IEPG::getFollowingShow_event, new NMM::TEDObject0<IEPGImpl, string(IEPGImpl:: * )(), string >(this, &IEPGImpl::getFollowingShow));
    getEventDispatcher().addLimited(IEPG::getFollowingShow_event, INode::INITIALIZED);
    getEventDispatcher().addLimited(IEPG::getFollowingShow_event, INode::ACTIVATED);
    getEventDispatcher().addLimited(IEPG::getFollowingShow_event, INode::STARTED);
    getEventDispatcher().addLimited(IEPG::getFollowingShow_event, INode::OUTPUT_INITIALIZED);
  
    getEventDispatcher().registerEvent(IEPG::getDetailedDescription_event, new NMM::TEDObject0<IEPGImpl, string(IEPGImpl:: * )(), string >(this, &IEPGImpl::getDetailedDescription));
    getEventDispatcher().addLimited(IEPG::getDetailedDescription_event, INode::INITIALIZED);
    getEventDispatcher().addLimited(IEPG::getDetailedDescription_event, INode::ACTIVATED);
    getEventDispatcher().addLimited(IEPG::getDetailedDescription_event, INode::STARTED);
    getEventDispatcher().addLimited(IEPG::getDetailedDescription_event, INode::OUTPUT_INITIALIZED);
  
    getEventDispatcher().registerEvent(IEPG::setEPGDirectory_event, new NMM::TEDObject1<IEPGImpl, string, void(IEPGImpl:: * )(const string&), void >(this, &IEPGImpl::setEPGDirectory));
  
    getEventDispatcher().registerEvent(IEPG::getActivity_event, new NMM::TEDObject0<IEPGImpl, void(IEPGImpl:: * )(), void >(this, &IEPGImpl::getActivity));
    getEventDispatcher().addLimited(IEPG::getActivity_event, INode::INITIALIZED);
    getEventDispatcher().addLimited(IEPG::getActivity_event, INode::ACTIVATED);
    getEventDispatcher().addLimited(IEPG::getActivity_event, INode::STARTED);
    getEventDispatcher().addLimited(IEPG::getActivity_event, INode::OUTPUT_INITIALIZED);
  
    getEventDispatcher().registerEvent(IEPG::scan_event, new NMM::TEDObject0<IEPGImpl, void(IEPGImpl:: * )(), void >(this, &IEPGImpl::scan));
    getEventDispatcher().addLimited(IEPG::scan_event, INode::INITIALIZED);
    getEventDispatcher().addLimited(IEPG::scan_event, INode::ACTIVATED);
    getEventDispatcher().addLimited(IEPG::scan_event, INode::STARTED);
    getEventDispatcher().addLimited(IEPG::scan_event, INode::OUTPUT_INITIALIZED);

  }

}


#include "nmm/nmm_suffix.hpp"

