/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#ifndef NMM_ITVCardImpl_HPP
#define NMM_ITVCardImpl_HPP

#include "nmm/nmm_prefix.hpp"

#include "nmm/comm/NMMObject.hpp"
#include "ITVCard.hpp"

#include "nmm/multimedia/INodeImpl.hpp"
#include "nmm/multimedia/IDeviceImpl.hpp"

#include "visibility.hpp"

namespace NMM
{

  class DLLEXPORT ITVCardImpl  : virtual public IDeviceImpl { 
  public:
    ITVCardImpl() { addInterface(new ITVCard(*this)); registerEvents(); };

    virtual ~ITVCardImpl() {};

  protected:

    virtual void setResolution(const nmm_int32& x, const nmm_int32& y) /* limited(INode::CONSTRUCTED) */ /* limited(INode::INITIALIZED) */ = 0;

    virtual void getResolution(nmm_int32& x, nmm_int32& y) = 0;

    virtual Result setChannel(const nmm_int32& channel) /* limited(INode::INITIALIZED) */ /* limited(INode::ACTIVATED) */ /* limited(INode::STARTED) */ /* limited(INode::OUTPUT_INITIALIZED) */ = 0;

    virtual Result getChannel(nmm_int32& c1, string& c2) = 0;


  private:
    void registerEvents();
  };

}

#include "nmm/nmm_suffix.hpp"

#endif
