/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#ifndef NMM_IDVBEPGPlugin_HPP
#define NMM_IDVBEPGPlugin_HPP

#include "nmm/nmm_prefix.hpp"

#include "nmm/comm/Interface.hpp"
#include "nmm/comm/messaging/Event.hpp"
#include "nmm/comm/messaging/IllegalStateException.hpp"
#include <memory>

/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * See file LICENCE for terms and conditions of usage
 *
 */

#include "nmm/plugins/video/tv/interfaces/TVChannelList.hpp"
#include "nmm/comm/serialize/StdValue.hpp"
#include "nmm/plugins/video/tv/interfaces/ITVCard.hpp"

#include "visibility.hpp"

namespace NMM
{
  /**
   * Interface to set parameters for DVBEPGPlugin
   */

  class DLLEXPORT IDVBEPGPlugin : virtual public NMM::Interface { 
  public:
    IDVBEPGPlugin() : NMM::Interface(IDVBEPGPlugin::IDVBEPGPlugin_type, "NMM") { };

    IDVBEPGPlugin(NMM::NMMObject& parent) : NMM::Interface (parent, IDVBEPGPlugin::IDVBEPGPlugin_type, "NMM") { };

    virtual ~IDVBEPGPlugin() {};

    static const char* IDVBEPGPlugin_type;

    virtual  string getInterfaceType() const { return IDVBEPGPlugin_type; }

    NMM::Interface* copy() const { return new IDVBEPGPlugin(*this); }
    static void used(); 
    static const char* setTVChannelList_event;
    /**
     *@param Application
     */ 

    virtual void setTVChannelList(const string& clfile)
      throw(const NMM::SerializedException&);


  };

  typedef auto_ptr<IDVBEPGPlugin> IDVBEPGPlugin_var;




}

#include "nmm/nmm_suffix.hpp"

#endif
