/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "INxtvepgPluginImpl.hpp"
#include "nmm/comm/serialize/SerializeResult.hpp"
#include "nmm/comm/messaging/TEDObject.hpp"

#include "nmm/nmm_prefix.hpp"


namespace NMM
{
  
  void INxtvepgPluginImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(INxtvepgPlugin::setLocation_event, new NMM::TEDObject1<INxtvepgPluginImpl, string, void(INxtvepgPluginImpl:: * )(const string&), void >(this, &INxtvepgPluginImpl::setLocation));
  
    getEventDispatcher().registerEvent(INxtvepgPlugin::setPort_event, new NMM::TEDObject1<INxtvepgPluginImpl, nmm_int32, void(INxtvepgPluginImpl:: * )(const nmm_int32&), void >(this, &INxtvepgPluginImpl::setPort));
  
    getEventDispatcher().registerEvent(INxtvepgPlugin::addProvider_event, new NMM::TEDObject1<INxtvepgPluginImpl, string, void(INxtvepgPluginImpl:: * )(const string&), void >(this, &INxtvepgPluginImpl::addProvider));
  
    getEventDispatcher().registerEvent(INxtvepgPlugin::getProvider_event, new NMM::TEDObject0<INxtvepgPluginImpl, list<string > (INxtvepgPluginImpl:: * )(), list<string >  >(this, &INxtvepgPluginImpl::getProvider));
  
    getEventDispatcher().registerEvent(INxtvepgPlugin::setConfigFile_event, new NMM::TEDObject1<INxtvepgPluginImpl, string, void(INxtvepgPluginImpl:: * )(const string&), void >(this, &INxtvepgPluginImpl::setConfigFile));
  
    getEventDispatcher().registerEvent(INxtvepgPlugin::getConfigFile_event, new NMM::TEDObject0<INxtvepgPluginImpl, string(INxtvepgPluginImpl:: * )(), string >(this, &INxtvepgPluginImpl::getConfigFile));
  
    getEventDispatcher().registerEvent(INxtvepgPlugin::setDBDir_event, new NMM::TEDObject1<INxtvepgPluginImpl, string, void(INxtvepgPluginImpl:: * )(const string&), void >(this, &INxtvepgPluginImpl::setDBDir));
  
    getEventDispatcher().registerEvent(INxtvepgPlugin::getDBDir_event, new NMM::TEDObject0<INxtvepgPluginImpl, string(INxtvepgPluginImpl:: * )(), string >(this, &INxtvepgPluginImpl::getDBDir));
  
    getEventDispatcher().registerEvent(INxtvepgPlugin::setLocale_event, new NMM::TEDObject1<INxtvepgPluginImpl, string, void(INxtvepgPluginImpl:: * )(const string&), void >(this, &INxtvepgPluginImpl::setLocale));
  
    getEventDispatcher().registerEvent(INxtvepgPlugin::getLocale_event, new NMM::TEDObject0<INxtvepgPluginImpl, string(INxtvepgPluginImpl:: * )(), string >(this, &INxtvepgPluginImpl::getLocale));
  
    getEventDispatcher().registerEvent(INxtvepgPlugin::setPeriod_event, new NMM::TEDObject1<INxtvepgPluginImpl, string, void(INxtvepgPluginImpl:: * )(const string&), void >(this, &INxtvepgPluginImpl::setPeriod));
  
    getEventDispatcher().registerEvent(INxtvepgPlugin::getPeriod_event, new NMM::TEDObject0<INxtvepgPluginImpl, string(INxtvepgPluginImpl:: * )(), string >(this, &INxtvepgPluginImpl::getPeriod));
  
    getEventDispatcher().registerEvent(INxtvepgPlugin::setUseTv_split_event, new NMM::TEDObject1<INxtvepgPluginImpl, nmm_bool, void(INxtvepgPluginImpl:: * )(const nmm_bool&), void >(this, &INxtvepgPluginImpl::setUseTv_split));
  
    getEventDispatcher().registerEvent(INxtvepgPlugin::getUseTv_split_event, new NMM::TEDObject0<INxtvepgPluginImpl, nmm_bool(INxtvepgPluginImpl:: * )(), nmm_bool >(this, &INxtvepgPluginImpl::getUseTv_split));

  }

}


#include "nmm/nmm_suffix.hpp"

