/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "ITVGuidePeerObjectImpl.hpp"
#include "nmm/comm/serialize/SerializeResult.hpp"
#include "nmm/comm/messaging/TEDObject.hpp"

#include "nmm/nmm_prefix.hpp"


namespace NMM
{
  
  void ITVGuidePeerObjectImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(ITVGuidePeerObject::peerResult_event, new NMM::TEDObject3<ITVGuidePeerObjectImpl, ProgramDescriptionList, ProgramFilter, list<Interface* > , Result(ITVGuidePeerObjectImpl:: * )(const ProgramDescriptionList&, const ProgramFilter&, const list<Interface* > &), Result >(this, &ITVGuidePeerObjectImpl::peerResult));
  
    getEventDispatcher().registerEvent(ITVGuidePeerObject::peerEmptyResult_event, new NMM::TEDObject2<ITVGuidePeerObjectImpl, ProgramFilter, list<Interface* > , Result(ITVGuidePeerObjectImpl:: * )(const ProgramFilter&, const list<Interface* > &), Result >(this, &ITVGuidePeerObjectImpl::peerEmptyResult));
  
    getEventDispatcher().registerEvent(ITVGuidePeerObject::peerChannelResult_event, new NMM::TEDObject2<ITVGuidePeerObjectImpl, ChannelDescriptionList, list<Interface* > , Result(ITVGuidePeerObjectImpl:: * )(const ChannelDescriptionList&, const list<Interface* > &), Result >(this, &ITVGuidePeerObjectImpl::peerChannelResult));
  
    getEventDispatcher().registerEvent(ITVGuidePeerObject::peerEmptyChannelResult_event, new NMM::TEDObject1<ITVGuidePeerObjectImpl, list<Interface* > , Result(ITVGuidePeerObjectImpl:: * )(const list<Interface* > &), Result >(this, &ITVGuidePeerObjectImpl::peerEmptyChannelResult));

  }
  
  void ITVGuidePeerSearchImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(ITVGuidePeerSearch::peerSearch_event, new NMM::TEDObject2<ITVGuidePeerSearchImpl, ProgramFilter, list<Interface* > , list<ProgramDescription > (ITVGuidePeerSearchImpl:: * )(const ProgramFilter&, const list<Interface* > &), list<ProgramDescription >  >(this, &ITVGuidePeerSearchImpl::peerSearch));
  
    getEventDispatcher().registerEvent(ITVGuidePeerSearch::peerChannelSearch_event, new NMM::TEDObject1<ITVGuidePeerSearchImpl, list<Interface* > , list<ChannelDescription > (ITVGuidePeerSearchImpl:: * )(const list<Interface* > &), list<ChannelDescription >  >(this, &ITVGuidePeerSearchImpl::peerChannelSearch));

  }

}


#include "nmm/nmm_suffix.hpp"

