/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "ITVGuidePluginImpl.hpp"
#include "nmm/comm/serialize/SerializeResult.hpp"
#include "nmm/comm/messaging/TEDObject.hpp"

#include "nmm/nmm_prefix.hpp"


namespace NMM
{
  
  void ITVGuidePluginImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(ITVGuidePlugin::getName_event, new NMM::TEDObject0<ITVGuidePluginImpl, string(ITVGuidePluginImpl:: * )(), string >(this, &ITVGuidePluginImpl::getName));
  
    getEventDispatcher().registerEvent(ITVGuidePlugin::start_event, new NMM::TEDObject0<ITVGuidePluginImpl, Result(ITVGuidePluginImpl:: * )(), Result >(this, &ITVGuidePluginImpl::start));
  
    getEventDispatcher().registerEvent(ITVGuidePlugin::stop_event, new NMM::TEDObject0<ITVGuidePluginImpl, Result(ITVGuidePluginImpl:: * )(), Result >(this, &ITVGuidePluginImpl::stop));
  
    getEventDispatcher().registerEvent(ITVGuidePlugin::init_event, new NMM::TEDObject0<ITVGuidePluginImpl, Result(ITVGuidePluginImpl:: * )(), Result >(this, &ITVGuidePluginImpl::init));
  
    getEventDispatcher().registerEvent(ITVGuidePlugin::deinit_event, new NMM::TEDObject0<ITVGuidePluginImpl, Result(ITVGuidePluginImpl:: * )(), Result >(this, &ITVGuidePluginImpl::deinit));
  
    getEventDispatcher().registerEvent(ITVGuidePlugin::getState_event, new NMM::TEDObject0<ITVGuidePluginImpl, ITVGuidePlugin::State(ITVGuidePluginImpl:: * )(), ITVGuidePlugin::State >(this, &ITVGuidePluginImpl::getState));
  
    getEventDispatcher().registerEvent(ITVGuidePlugin::setPriority_event, new NMM::TEDObject1<ITVGuidePluginImpl, nmm_uint32, void(ITVGuidePluginImpl:: * )(const nmm_uint32&), void >(this, &ITVGuidePluginImpl::setPriority));
  
    getEventDispatcher().registerEvent(ITVGuidePlugin::getPriority_event, new NMM::TEDObject0<ITVGuidePluginImpl, nmm_uint32(ITVGuidePluginImpl:: * )(), nmm_uint32 >(this, &ITVGuidePluginImpl::getPriority));
  
    getEventDispatcher().registerEvent(ITVGuidePlugin::enable_event, new NMM::TEDObject0<ITVGuidePluginImpl, Result(ITVGuidePluginImpl:: * )(), Result >(this, &ITVGuidePluginImpl::enable));
  
    getEventDispatcher().registerEvent(ITVGuidePlugin::disable_event, new NMM::TEDObject0<ITVGuidePluginImpl, Result(ITVGuidePluginImpl:: * )(), Result >(this, &ITVGuidePluginImpl::disable));
  
    getEventDispatcher().registerEvent(ITVGuidePlugin::getEnabled_event, new NMM::TEDObject0<ITVGuidePluginImpl, nmm_bool(ITVGuidePluginImpl:: * )(), nmm_bool >(this, &ITVGuidePluginImpl::getEnabled));

  }

}


#include "nmm/nmm_suffix.hpp"

