/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "IXMLTVPluginImpl.hpp"
#include "nmm/comm/serialize/SerializeResult.hpp"
#include "nmm/comm/messaging/TEDObject.hpp"

#include "nmm/nmm_prefix.hpp"


namespace NMM
{
  
  void IXMLTVPluginImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IXMLTVPlugin::setFilename_event, new NMM::TEDObject1<IXMLTVPluginImpl, string, void(IXMLTVPluginImpl:: * )(const string&), void >(this, &IXMLTVPluginImpl::setFilename));
  
    getEventDispatcher().registerEvent(IXMLTVPlugin::getFilename_event, new NMM::TEDObject0<IXMLTVPluginImpl, string(IXMLTVPluginImpl:: * )(), string >(this, &IXMLTVPluginImpl::getFilename));
  
    getEventDispatcher().registerEvent(IXMLTVPlugin::setConfigFile_event, new NMM::TEDObject1<IXMLTVPluginImpl, string, void(IXMLTVPluginImpl:: * )(const string&), void >(this, &IXMLTVPluginImpl::setConfigFile));
  
    getEventDispatcher().registerEvent(IXMLTVPlugin::getConfigFile_event, new NMM::TEDObject0<IXMLTVPluginImpl, string(IXMLTVPluginImpl:: * )(), string >(this, &IXMLTVPluginImpl::getConfigFile));
  
    getEventDispatcher().registerEvent(IXMLTVPlugin::setLocale_event, new NMM::TEDObject1<IXMLTVPluginImpl, string, Result(IXMLTVPluginImpl:: * )(const string&), Result >(this, &IXMLTVPluginImpl::setLocale));
  
    getEventDispatcher().registerEvent(IXMLTVPlugin::getLocale_event, new NMM::TEDObject0<IXMLTVPluginImpl, string(IXMLTVPluginImpl:: * )(), string >(this, &IXMLTVPluginImpl::getLocale));
  
    getEventDispatcher().registerEvent(IXMLTVPlugin::setPeriod_event, new NMM::TEDObject1<IXMLTVPluginImpl, string, void(IXMLTVPluginImpl:: * )(const string&), void >(this, &IXMLTVPluginImpl::setPeriod));
  
    getEventDispatcher().registerEvent(IXMLTVPlugin::getPeriod_event, new NMM::TEDObject0<IXMLTVPluginImpl, string(IXMLTVPluginImpl:: * )(), string >(this, &IXMLTVPluginImpl::getPeriod));
  
    getEventDispatcher().registerEvent(IXMLTVPlugin::setFillHolesInDB_event, new NMM::TEDObject1<IXMLTVPluginImpl, nmm_bool, void(IXMLTVPluginImpl:: * )(const nmm_bool&), void >(this, &IXMLTVPluginImpl::setFillHolesInDB));
  
    getEventDispatcher().registerEvent(IXMLTVPlugin::getFillHolesInDB_event, new NMM::TEDObject0<IXMLTVPluginImpl, nmm_bool(IXMLTVPluginImpl:: * )(), nmm_bool >(this, &IXMLTVPluginImpl::getFillHolesInDB));

  }

}


#include "nmm/nmm_suffix.hpp"

