/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "ITVManagerImpl.hpp"
#include "nmm/comm/serialize/SerializeResult.hpp"
#include "nmm/comm/messaging/TEDObject.hpp"

#include "nmm/nmm_prefix.hpp"


namespace NMM
{
  
  void ITVManagerImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(ITVManager::setChannel_event, new NMM::TEDObject1<ITVManagerImpl, nmm_uint32, Result(ITVManagerImpl:: * )(const nmm_uint32&), Result >(this, &ITVManagerImpl::setChannel));
  
    getEventDispatcher().registerEvent(ITVManager::channelUp_event, new NMM::TEDObject0<ITVManagerImpl, Result(ITVManagerImpl:: * )(), Result >(this, &ITVManagerImpl::channelUp));
  
    getEventDispatcher().registerEvent(ITVManager::channelDown_event, new NMM::TEDObject0<ITVManagerImpl, Result(ITVManagerImpl:: * )(), Result >(this, &ITVManagerImpl::channelDown));
  
    getEventDispatcher().registerEvent(ITVManager::getTVCard_event, new NMM::TEDObject0<ITVManagerImpl, INode*(ITVManagerImpl:: * )(), INode* >(this, &ITVManagerImpl::getTVCard));
  
    getEventDispatcher().registerEvent(ITVManager::startGraph_event, new NMM::TEDObject0<ITVManagerImpl, Result(ITVManagerImpl:: * )(), Result >(this, &ITVManagerImpl::startGraph));
  
    getEventDispatcher().registerEvent(ITVManager::setUsageNotify_event, new NMM::TEDObject1<ITVManagerImpl, IUsageNotify*, void(ITVManagerImpl:: * )(const IUsageNotify*), void >(this, &ITVManagerImpl::setUsageNotify));
  
    getEventDispatcher().registerEvent(ITVManager::releaseGraph_event, new NMM::TEDObject0<ITVManagerImpl, void(ITVManagerImpl:: * )(), void >(this, &ITVManagerImpl::releaseGraph));

  }
  
  void ITVManagerEventsImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(ITVManagerEvents::switchingSource_event, new NMM::TEDObject0<ITVManagerEventsImpl, Result(ITVManagerEventsImpl:: * )(), Result >(this, &ITVManagerEventsImpl::switchingSource));
  
    getEventDispatcher().registerEvent(ITVManagerEvents::sharedSource_event, new NMM::TEDObject0<ITVManagerEventsImpl, Result(ITVManagerEventsImpl:: * )(), Result >(this, &ITVManagerEventsImpl::sharedSource));
  
    getEventDispatcher().registerEvent(ITVManagerEvents::skippingChannel_event, new NMM::TEDObject0<ITVManagerEventsImpl, Result(ITVManagerEventsImpl:: * )(), Result >(this, &ITVManagerEventsImpl::skippingChannel));

  }

}


#include "nmm/nmm_suffix.hpp"

