/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "ICompositeNodeImpl.hpp"
#include "nmm/comm/serialize/SerializeResult.hpp"
#include "nmm/comm/messaging/TEDObject.hpp"

#include "nmm/nmm_prefix.hpp"


namespace NMM
{
  
  void ICompositeNodeImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(ICompositeNode::addNode_event, new NMM::TEDObject1<ICompositeNodeImpl, INode, nmm_uint32(ICompositeNodeImpl:: * )(const INode&), nmm_uint32 >(this, &ICompositeNodeImpl::addNode));
    getEventDispatcher().addLimited(ICompositeNode::addNode_event, INode::CONSTRUCTED);
  
    getEventDispatcher().registerEvent(ICompositeNode::addNodeWithInterfaces_event, new NMM::TEDObject2<ICompositeNodeImpl, INode, list<Interface* > , nmm_uint32(ICompositeNodeImpl:: * )(const INode&, const list<Interface* > &), nmm_uint32 >(this, &ICompositeNodeImpl::addNodeWithInterfaces));
    getEventDispatcher().addLimited(ICompositeNode::addNodeWithInterfaces_event, INode::CONSTRUCTED);
  
    getEventDispatcher().registerEvent(ICompositeNode::renameInputJackTag_event, new NMM::TEDObject2<ICompositeNodeImpl, string, string, Result(ICompositeNodeImpl:: * )(const string&, const string&), Result >(this, &ICompositeNodeImpl::renameInputJackTag));
    getEventDispatcher().addLimited(ICompositeNode::renameInputJackTag_event, INode::INITIALIZED);
  
    getEventDispatcher().registerEvent(ICompositeNode::renameOutputJackTag_event, new NMM::TEDObject2<ICompositeNodeImpl, string, string, Result(ICompositeNodeImpl:: * )(const string&, const string&), Result >(this, &ICompositeNodeImpl::renameOutputJackTag));
    getEventDispatcher().addLimited(ICompositeNode::renameOutputJackTag_event, INode::OUTPUT_INITIALIZED);

  }

}


#include "nmm/nmm_suffix.hpp"

