/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#ifndef NMM_ICompositeNodeImpl_HPP
#define NMM_ICompositeNodeImpl_HPP

#include "nmm/nmm_prefix.hpp"

#include "nmm/comm/NMMObject.hpp"
#include "ICompositeNode.hpp"

#include "nmm/multimedia/INodeImpl.hpp"

#include "visibility.hpp"

namespace NMM
{

  class DLLEXPORT ICompositeNodeImpl  : public virtual NMM::NMMObject { 
  public:
    ICompositeNodeImpl() { addInterface(new ICompositeNode(*this)); registerEvents(); };

    virtual ~ICompositeNodeImpl() {};

  protected:

    virtual nmm_uint32 addNode(const INode& node) /* limited(INode::CONSTRUCTED) */ = 0;

    virtual nmm_uint32 addNodeWithInterfaces(const INode& node, const list<Interface* > & interfaces) /* limited(INode::CONSTRUCTED) */ = 0;

    virtual Result renameInputJackTag(const string& old_cn_jack_tag, const string& new_cn_jack_tag) /* limited(INode::INITIALIZED) */ = 0;

    virtual Result renameOutputJackTag(const string& old_cn_jack_tag, const string& new_cn_jack_tag) /* limited(INode::OUTPUT_INITIALIZED) */ = 0;


  private:
    void registerEvents();
  };

}

#include "nmm/nmm_suffix.hpp"

#endif
