/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *  
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *  
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */


#include "PluginManager.hpp"

#include "nmm/utils/directory_utils.hpp"

#include "ExcludePlugins2.hpp"

#include "nmm/nmm_prefix.hpp"

namespace NMM {

  bool PluginManager::isPluginExcluded(const string& plugin_name)
  {
    // Get synchronizer name from environment variable
    string synchronizer_name_from_env = getNMMEnvVar("NMM_SINK_SYNCHRONIZER");
    if(synchronizer_name_from_env.empty()) synchronizer_name_from_env = "MultiAudioVideoSynchronizer";

    if(synchronizer_name_from_env == "MultiAudioVideoSynchronizer") {
      for(const char** p = plugin_names_sync2; *p != 0; ++p) {
        if(plugin_name == *p) return true;
      }
    }
    else if(synchronizer_name_from_env == "MultiAudioVideoSynchronizer2") {
      for(const char** p = plugin_names_sync; *p != 0; ++p) {
        if(plugin_name == *p) return true;
      }
    }

    return false;
  }

}

#include "nmm/nmm_suffix.hpp"
