/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "ISessionImpl.hpp"
#include "nmm/comm/serialize/SerializeResult.hpp"
#include "nmm/comm/messaging/TEDObject.hpp"

#include "nmm/nmm_prefix.hpp"

/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *
 * See file LICENCE for terms and conditions of usage
 *
 */

#include "GraphDescription.hpp"

namespace NMM
{
  
  void ISessionImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(ISession::getGraphDescription_event, new NMM::TEDObject0<ISessionImpl, GraphDescription*(ISessionImpl:: * )() const, GraphDescription* >(this, &ISessionImpl::getGraphDescription));
  
    getEventDispatcher().registerEvent(ISession::getSourceSynchronizer_event, new NMM::TEDObject0<ISessionImpl, ISourceSynchronizer*(ISessionImpl:: * )() const, ISourceSynchronizer* >(this, &ISessionImpl::getSourceSynchronizer));
  
    getEventDispatcher().registerEvent(ISession::getSinkSynchronizer_event, new NMM::TEDObject0<ISessionImpl, ISinkSynchronizer*(ISessionImpl:: * )() const, ISinkSynchronizer* >(this, &ISessionImpl::getSinkSynchronizer));
  
    getEventDispatcher().registerEvent(ISession::setSinkSynchronizer_event, new NMM::TEDObject1<ISessionImpl, ISinkSynchronizer, void(ISessionImpl:: * )(const ISinkSynchronizer&), void >(this, &ISessionImpl::setSinkSynchronizer));
  
    getEventDispatcher().registerEvent(ISession::setSourceSynchronizer_event, new NMM::TEDObject1<ISessionImpl, ISourceSynchronizer, void(ISessionImpl:: * )(const ISourceSynchronizer&), void >(this, &ISessionImpl::setSourceSynchronizer));
  
    getEventDispatcher().registerEvent(ISession::setGraphDescription_event, new NMM::TEDObject1<ISessionImpl, GraphDescription, void(ISessionImpl:: * )(const GraphDescription&), void >(this, &ISessionImpl::setGraphDescription));
  
    getEventDispatcher().registerEvent(ISession::getMasterGraph_event, new NMM::TEDObject0<ISessionImpl, GraphDescription*(ISessionImpl:: * )(), GraphDescription* >(this, &ISessionImpl::getMasterGraph));
  
    getEventDispatcher().registerEvent(ISession::setMasterGraph_event, new NMM::TEDObject1<ISessionImpl, GraphDescription, void(ISessionImpl:: * )(const GraphDescription&), void >(this, &ISessionImpl::setMasterGraph));
  
    getEventDispatcher().registerEvent(ISession::realizeGraph_event, new NMM::TEDObject0<ISessionImpl, void(ISessionImpl:: * )(), void >(this, &ISessionImpl::realizeGraph));
  
    getEventDispatcher().registerEvent(ISession::activateGraph_event, new NMM::TEDObject0<ISessionImpl, void(ISessionImpl:: * )(), void >(this, &ISessionImpl::activateGraph));
  
    getEventDispatcher().registerEvent(ISession::startGraph_event, new NMM::TEDObject0<ISessionImpl, void(ISessionImpl:: * )(), void >(this, &ISessionImpl::startGraph));
  
    getEventDispatcher().registerEvent(ISession::stopGraph_event, new NMM::TEDObject0<ISessionImpl, void(ISessionImpl:: * )(), void >(this, &ISessionImpl::stopGraph));

  }

}


#include "nmm/nmm_suffix.hpp"

