/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *  
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *  
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */
#include "MementoStruct.hpp"
#include "nmm/comm/serialize/StdValue.hpp"

#include "nmm/nmm_prefix.hpp"

namespace NMM {
  MementoStruct::MementoStruct()
    : SerializedValue("MementoStruct", "NMM")
  {
    registerAttributes();
  }

  MementoStruct::MementoStruct(const MementoStruct& ms)
    : SerializedValue( ms )
  {
    registerAttributes();
    *this = ms;
  }

  void MementoStruct::registerAttributes()
  {
    registerAttribute( &__node_description );
    registerAttribute( &__object_id );
    registerAttribute( &__max_instance_count );
    registerAttribute( &__plugin_index );
  }

  OValueStream& operator<<(OValueStream& ov, const list<MementoStruct>& string_list) {
    return writeList<MementoStruct>(ov, string_list, "MementoStruct");
  }

  IValueStream& operator>>(IValueStream& ov, list<MementoStruct>& string_list) {
    return readList<MementoStruct>(ov, string_list, "MementoStruct");
  }

}

#include "nmm/nmm_suffix.hpp"
