/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *  
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *  
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */
#include "Response.hpp"
#include "RegistryID.hpp"
#include "nmm/comm/serialize/OValueStream.hpp"
#include "nmm/comm/serialize/StdValue.hpp"
#include "nmm/comm/serialize/TValueConstructor.hpp"

#include "nmm/nmm_prefix.hpp"

namespace NMM {

OValueStream& operator<<(OValueStream& ov, const pair<RegistryID, list<ObjectID> >& string_list)
{
  return writePair<RegistryID, list<ObjectID> >(ov, string_list, "RegistryID", "list_ObjectID");
}

OValueStream& operator<<(OValueStream& ov, const list<Response>& string_list){
  return writeList<Response>(ov, string_list, "Response");
}

IValueStream& operator>>(IValueStream& ov, list<Response>& string_list) {
  return readList<Response>(ov, string_list, "Response");
}

IValueStream& operator>>(IValueStream& ov, pair<RegistryID, list<ObjectID> >& string_list){
  return readPair<RegistryID, list<ObjectID> >(ov, string_list, "RegistryID", "list_ObjectID");
}

TValueConstructor<list<Response> >     list_Response_value("list_Response", "std");
TValueConstructor<pair<RegistryID, list<ObjectID> > > pair_response_value("pair_RegistryID_list_ObjectID", "std");

}

#include "nmm/nmm_suffix.hpp"
