/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *  
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *  
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#ifndef NMM_STATICPLUGINLIST_HPP
#define NMM_STATICPLUGINLIST_HPP

#include "nmm/nmm_prefix.hpp"

/** This file is used in PluginManager to generate a list of static plug-ins,
    if build of static plug-ins is enabled.
*/

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#ifdef ENABLE_STATIC_PLUGINS 
#ifdef BUILD_YUVTORGBCONVERTERNODE
extern NMM::Plugin* YUVtoRGBConverterNode_plugin;
#endif

#ifdef BUILD_DVDREADNODE
extern NMM::Plugin* DVDReadNode_plugin;
#endif

#ifdef BUILD_AUDIOGENERATORNODE
//extern NMM::Plugin* AudioGeneratorNode_plugin;
#endif

#ifdef BUILD_AVMUXNODE
extern NMM::Plugin* AVMuxNode_plugin;
#endif

#ifdef BUILD_AVDEMUXNODE
extern NMM::Plugin* AVDemuxNode_plugin;
#endif

#ifdef BUILD_AVIREADNODE
extern NMM::Plugin* AVIReadNode_plugin;
#endif

#ifdef BUILD_AVIWRITENODE
extern NMM::Plugin* AVIWriteNode_plugin;
#endif

#ifdef BUILD_DEVNULLNODE
extern NMM::Plugin* DevNullNode_plugin;
#endif

#ifdef BUILD_IDNODE
extern NMM::Plugin* IdNode_plugin;
#endif

#ifdef BUILD_IPAQDISPLAYNODE
extern NMM::Plugin* iPAQDisplayNode_plugin;
#endif

#ifdef BUILD_IVTVREADNODE
extern NMM::Plugin* IVTVReadNode_plugin;
#endif

#ifdef BUILD_FFMPEGDECODENODE
extern NMM::Plugin* FFMpegDecodeNode_plugin;
#endif

#ifdef BUILD_GENERICREADNODE
extern NMM::Plugin* GenericReadNode_plugin;
#endif

#ifdef BUILD_WAVREADREADNODE
extern NMM::Plugin* WavReadNode_plugin;
#endif

#ifdef BUILD_MPEGAUDIODECODENODE
extern NMM::Plugin* MPEGAudioDecodeNode_plugin;
#endif

#ifdef BUILD_MPEGDEMUXNODE
extern NMM::Plugin* MPEGDemuxNode_plugin;
#endif

#ifdef BUILD_MPEGTIMESHIFTINGNODE
extern NMM::Plugin* MPEGTimeShiftingNode_plugin;
#endif

#ifdef BUILD_MPEGVIDEODECODENODE
extern NMM::Plugin* MPEGVideoDecodeNode_plugin;
#endif

#ifdef BUILD_OGGVORBISDECODENODE
extern NMM::Plugin* OggVorbisDecodeNode_plugin;
#endif

#ifdef BUILD_OSDMANAGERNODE
//extern NMM::Plugin* OSDManagerNode_plugin;
#endif

#ifdef BUILD_PCMDECODENODE
extern NMM::Plugin* PCMDecodeNode_plugin;
#endif

#ifdef BUILD_PCMENCODENODE
extern NMM::Plugin* PCMEncodeNode_plugin;
#endif

#ifdef BUILD_PLAYBACKNODE
extern NMM::Plugin* PlaybackNode_plugin;
#endif

#ifdef BUILD_PNGREADNODE
extern NMM::Plugin* PNGReadNode_plugin;
#endif

#ifdef BUILD_RAWNODE
extern NMM::Plugin* RawNode_plugin;
#endif

#ifdef BUILD_RECORDNODE
extern NMM::Plugin* RecordNode_plugin;
#endif

#ifdef BUILD_RGBTOYV12CONVERTERNODE
extern NMM::Plugin* RGBtoYV12ConverterNode_plugin;
#endif

#ifdef BUILD_XDISPLAYNODE
extern NMM::Plugin* XDisplayNode_plugin;
#endif

namespace NMM {

NMM::Plugin* nmm_static_plugins[] = {
#ifdef BUILD_YUVTORGBCONVERTERNODE
 YUVtoRGBConverterNode_plugin,
#endif

#ifdef BUILD_DVDREADNODE
 DVDReadNode_plugin,
#endif

#ifdef BUILD_AUDIOGENERATORNODE
// AudioGeneratorNode_plugin,
#endif

#ifdef BUILD_AVMUXNODE
 AVMuxNode_plugin,
#endif

#ifdef BUILD_AVDEMUXNODE
 AVDemuxNode_plugin,
#endif

#ifdef BUILD_AVIREADNODE
 AVIReadNode_plugin,
#endif

#ifdef BUILD_AVIWRITENODE
 AVIWriteNode_plugin,
#endif

#ifdef BUILD_DEVNULLNODE
 DevNullNode_plugin,
#endif

#ifdef BUILD_FFMPEGDECODENODE
 FFMpegDecodeNode_plugin,
#endif

#ifdef BUILD_GENERICREADNODE
 GenericReadNode_plugin,
#endif

#ifdef BUILD_WAVREADNODE
// WavReadNode_plugin,
#endif

#ifdef BUILD_IDNODE
 IdNode_plugin,
#endif

#ifdef BUILD_IVTVREADNODE
 IVTVReadNode_plugin,
#endif

#ifdef BUILD_IPAQDISPLAYNODE
 iPAQDisplayNode_plugin, 
#endif

#ifdef BUILD_MPEGAUDIODECODENODE
 MPEGAudioDecodeNode_plugin,
#endif

#ifdef BUILD_MPEGDEMUXNODE
 MPEGDemuxNode_plugin,
#endif

#ifdef BUILD_MPEGTIMESHIFTINGNODE
 MPEGTimeShiftingNode_plugin,
#endif

#ifdef BUILD_MPEGVIDEODECODENODE
 MPEGVideoDecodeNode_plugin,
#endif

#ifdef BUILD_OGGVORBISDECODENODE
 OggVorbisDecodeNode_plugin,
#endif

#ifdef BUILD_OSDMANAGERNODE
// OSDManagerNode_plugin,
#endif

#ifdef BUILD_PCMDECODENODE
 PCMDecodeNode_plugin,
#endif

#ifdef BUILD_PCMENCODENODE
 PCMEncodeNode_plugin,
#endif

#ifdef BUILD_PLAYBACKNODE
 PlaybackNode_plugin,
#endif

#ifdef BUILD_PNGREADNODE
 PNGReadNode_plugin,
#endif

#ifdef BUILD_RAWNODE
 RawNode_plugin,
#endif

#ifdef BUILD_RECORDNODE
 RecordNode_plugin,
#endif

#ifdef BUILD_RGBTOYV12CONVERTERNODE
 RGBtoYV12ConverterNode_plugin,
#endif

#ifdef BUILD_XDISPLAYNODE
// XDisplayNode_plugin,
#endif

0
};
}
#endif


#include "nmm/nmm_suffix.hpp"

#endif


