/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *  
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *  
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "GDParse.hpp"

#include <set>

extern NMM::GraphDescription* g;

extern FILE *yyin;

extern "C" {
  extern int lineno;
  extern char *yytext;

  int yyparse(void);
  int yylex(void);
  int yywrap();

  void yyerror(const char *str);

}

extern int yydebug;


void select_input (FILE *fin)
{
  yyin = fin;
}

#include "nmm/nmm_prefix.hpp"

namespace NMM{
  void getGraphfromGD(string filename,GraphDescription& g2) {
//      yydebug = true;

    FILE *fin;
    g = &g2;
    fin = fopen (filename.c_str(), "r");
    if (!fin) {
      throw Exception("Graph description file not found");
    }
    select_input (fin);

    /* parse the graph description */
    yyparse ();
    cerr << endl;
  }
  
  list<NodeConfiguration> GDParse::node_configuration;
}

#include "nmm/nmm_suffix.hpp"
