/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *  
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *  
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "nmm/services/registry/GraphDescription.hpp"

#include "NodeConfiguration.hpp"

#include "visibility.hpp"

extern int yydebug;
namespace NMM {

  /** Parse information from graph description file needed to build up graph.
     *
     * @param filename name of graph description
     * @param g2 reference to GraphDescription object
     */
  DLLEXPORT void getGraphfromGD(string filename, GraphDescription& g2);
  
  /** Graph description parser.
   *  Used by clic to read necessary information from graph description file to build up graph.
   */
  class DLLEXPORT GDParse {
  public:
    static list<NodeConfiguration> node_configuration;
  };
  
}

