/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *  
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *  
 * See file LICENCE for terms and conditions of usage
 *
 */

%{
#include <stdio.h>
#include <stdlib.h>
#include "os_specific.h"
#include "GraphDescriptionParser.h"
unsigned int lineno;
%}
%%

\%[^\n]*[\n]         { yylval=strdup(yytext); return COMMENT; }

audio_codec           return GD_AUDIO_CODEC;
audio_format          return GD_AUDIO_FORMAT;
audio_format_string   return GD_AUDIO_FORMAT_STRING;
bitperpixel           return GD_BITPERPIXEL;
bitpersample          return GD_BITPERSAMPLE;
bitrate               return GD_BITRATE;
channelorder          return GD_CHANNELORDER;
channels              return GD_CHANNELS;
colorspace            return GD_COLORSPACE;
compressor            return GD_COMPRESSOR;
encoding              return GD_ENCODEING;
endian                return GD_ENDIAN;
format_param          return GD_FORMAT_PARAM;
format_ac3_audio_streams  return GD_FORMAT_AC3_AUDIO_STREAMS_PARAM;
format_mpeg_audio_streams return GD_FORMAT_MPEG_AUDIO_STEAMS;
format_dts_audio_streams  return GD_FORMAT_DTS_AUDIO_STREAMS;
format_lpcm_audio_streams return GD_FORMAT_LPCM_AUDIO_STREAMS;
format_mpeg_video_streams return GD_FORMAT_MPEG_VIDEO_STERAMS;
format_spu_streams        return GD_FORMAT_SPU_STERAMS;
framerate             return GD_FRAMERATE;
layer                 return GD_LAYER;
map_ac3_audio_streams  return GD_MAP_AC3_AUDIO_STREAMS;
map_mpeg_audio_streams return GD_MAP_MPEG_AUDIO_STREAMS;
map_dts_audio_streams  return GD_MAP_DTS_AUDIO_STREAMS;
map_lpcm_audio_streams return GD_MAP_LPCM_AUDIO_STREAMS;
map_mpeg_video_streams return GD_MAP_MPEG_VIDEO_STREAMS;
map_spu_streams        return GD_MAP_SPU_STREAMS;
num_audio_streams     return GD_NUM_AUDIO_STREAMS;
num_video_streams     return GD_NUM_VIDEO_STREAMS;
quality               return GD_QUALITY;
ratio_x               return GD_RATIO_X;
ratio_y               return GD_RATIO_Y;
sample_rate           return GD_SAMPLE_RATE;
sign                  return GD_SIGN;
version               return GD_VERSION;
video_format          return GD_VIDEO_FORMAT;
x_resolution          return GD_X_RESOLUTION;
y_resolution          return GD_Y_RESOLUTION;
format_type           return GD_FORMAT_TYPE;


CONSTRUCTED           return STATE_CONSTRUCTED;
INITIALIZED           return STATE_INITIALIZED;
OUTPUT_INITIALIZED    return STATE_OUTPUT_INITIALIZED;
ACTIVATED             return STATE_ACTIVATED;
STARTED               return STATE_STARTED;

EXCLUSIVE_THEN_SHARED_OR_SHARED return TYPE_EXCLUSIVE_THEN_SHARED_OR_SHARED;
SHARED_OR_EXCLUSIVE_THEN_SHARED return TYPE_SHARED_OR_EXCLUSIVE_THEN_SHARED;
SHARED                return TYPE_SHARED;
EXCLUSIVE             return TYPE_EXCLUSIVE;
SHARED_OR_EXCLUSIVE   return TYPE_SHARED_OR_EXCLUSIVE;
EXCLUSIVE_OR_SHARED   return TYPE_EXCLUSIVE_OR_SHARED;
EXCLUSIVE_THEN_SHARED return TYPE_EXCLUSIVE_THEN_SHARED;


\"[^"\n]*["\n]          yylval=strdup(yytext); return STRINGIDENTIFIER;
-?(([0-9]*\.[0-9]+))    yylval=strdup(yytext); return FLOATNUMBER;
-?(([0-9]+))            yylval=strdup(yytext); return NUMBER;
[0-9]+[a-zA-Z]+         yylval=strdup(yytext); return NUMBERIDENTIFIER;
\!                      return CONNECT;
\{                      return OBRACE;
\}                      return EBRACE;
\(                      return OBRACKET;
\)                      return EBRACKET;
\[                      return OSQUARE_BRACKET;
\]                      return ESQUARE_BRACKET;
\=                      return EQUAL;
\,                      return COMMA;
\$                      return CONFIG_PARAMETER;
\@                      return CONNECTION_PARAMETER;

\#                          return NODE_PARAMETER;
\setLocation                return GD_HOST;
\setPort                    return GD_PORT;
\setSharingType             return GD_SHARING;
\Format                     return GD_FORMAT;
\setEventStrategy           return GD_SET_EVENT_TRANSPORT_STRATEGY;
\setBufferStrategy          return GD_INSTREAM_BUFFER_TRANSPORT_STRATEGY;
\n                      lineno++;
[\t]+                  /* ignore whitespace */;
[a-zA-Z_]+[a-zA-Z_0-9_:]*    yylval=strdup(yytext); return IDENTIFIER;
%%

