/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *  
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *  
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

/** @file nmm_sockaddr_in.hpp Platform-independent header to define
 * the sockaddr_in type.
 */

#ifndef NMM_SOCKADDR_IN_HPP
#define NMM_SOCKADDR_IN_HPP NMM_SOCKADDR_IN_HPP

#include "nmm/nmm_prefix.hpp"

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#ifdef BUILD_WINXP
#include <Winsock2.h>
#endif

#ifdef BUILD_WINCE
#include <Winsock2.h>
#endif

#ifdef BUILD_PPC 
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <netinet/in_systm.h>
#ifndef MSG_NOSIGNAL
#define MSG_NOSIGNAL 0
#endif  
#define SOL_TCP SOL_SOCKET
#endif


#ifdef BUILD_LINUX
#include <netinet/ip.h>
#endif

#ifdef __CYGWIN__
#include <netinet/ip.h>
#include <sys/socket.h>
#endif

#include "nmm/nmm_suffix.hpp"

#endif
