/* Network-Integrated Multimedia Middleware (NMM)
 * http://www.motama.com/nmm.html
 *  
 * Copyright (C) 2006-2007
 * Motama GmbH, Saarbruecken, Germany
 * http://www.motama.com
 *  
 * This file is part of NMM. 
 * 
 * NMM is free software; you can redistribute it and/or modify it    
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; only version 2 of the License.      
 * 
 * NMM is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public 
 * License for more details.  
 * 
 * You should have received a copy of the GNU General Public License 
 * along with NMM; if not, write to the Free Software Foundation,    
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */
#ifndef _NMM_PNGUTILS_HPP_
#define _NMM_PNGUTILS_HPP_ _NMM_PNGUTILS_HPP_

#include "nmm/nmm_prefix.hpp"

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <fcntl.h>
//#include <unistd.h>
#include <png.h>
#include <sstream>

#include "visibility.hpp"

using namespace std;

namespace NMM {
  class DLLEXPORT PNGUtils {
  public:

    PNGUtils();
    ~PNGUtils();

    enum colorformat {RGBX32, RGB24, YV12, YV12A};
    void setFormat( colorformat );
    void setDimension( unsigned int width, unsigned int heigt );
    void writeImage( const string& filename, unsigned char* image );

  private:
    colorformat format;
    unsigned int width;
    unsigned int height;
    unsigned char* rgb_buffer;

    void destroyRGBBuffer();
    void writePNG(const string& file_name, unsigned char* image, unsigned int width, unsigned int height);

  };

}

#include "nmm/nmm_suffix.hpp"

#endif
